<?xml version="1.0" encoding="UTF-8"?>
<xslout:stylesheet xmlns:xslout="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xslout:import href="CommonDicomIODValidationRules.xsl"/>
<xslout:output method="text"/>
<xslout:template match="/DicomObject">
<xslout:choose>
<xslout:when test="/DicomObject/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.2.1'">
<xslout:text>Found EnhancedCTImage IOD</xslout:text>
<xslout:value-of select="$newline"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: PatientModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientModule"/>
<xslout:if test="count(SpecimenAccessionNumber) &gt; 0 or count(SpecimenSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SpecimenIdentificationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SpecimenIdentificationModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialSponsorName) &gt; 0 or count(ClinicalTrialProtocolID) &gt; 0              or count(ClinicalTrialProtocolName) &gt; 0 or count(ClinicalTrialSiteID) &gt; 0              or count(ClinicalTrialSiteName) &gt; 0 or count(ClinicalTrialSubjectID) &gt; 0              or count(ClinicalTrialSubjectReadingID) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSubjectModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSubjectModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralStudyModule"/>
<xslout:if test="count(AdmittingDiagnosesDescription) &gt; 0 or count(AdmittingDiagnosesCodeSequence) &gt; 0              or count(PatientAge) &gt; 0 or count(PatientSize) &gt; 0              or count(PatientWeight) &gt; 0 or count(Occupation) &gt; 0              or count(AdditionalPatientHistory) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): PatientStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientStudyModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialTimePointID) &gt; 0 or count(ClinicalTrialTimePointDescription) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialStudyModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralSeriesModule"/>
<xslout:if test="count(ClinicalTrialCoordinatingCenterName) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSeriesModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: CTSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTSeriesModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: FrameOfReferenceModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameOfReferenceModule"/>
<xslout:if test="count(SynchronizationFrameOfReferenceUID) &gt; 0 or count(SynchronizationTrigger) &gt; 0              or count(TriggerSourceOrType) &gt; 0 or count(SynchronizationChannel) &gt; 0              or count(AcquisitionTimeSynchronized) &gt; 0 or count(TimeSource) &gt; 0              or count(TimeDistributionProtocol)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SynchronizationModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralEquipmentModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralEquipmentModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: ImagePixelModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ImagePixelModule"/>
<xslout:if test="count(ContrastBolusAgentSequence) &gt; 0 or count(//ContrastBolusUsageSequence) &gt; 0              or count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): EnhancedContrastBolusModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="EnhancedContrastBolusModule"/>
</xslout:if>
<xslout:if test="count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ContrastBolusModuleNotWanted</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusModuleNotWanted"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameFunctionalGroupsCommonModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameFunctionalGroupsCommonModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameFunctionalGroupsForEnhancedCTImageModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameFunctionalGroupsForEnhancedCTImageModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameDimensionModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameDimensionModule"/>
<xslout:if test="count(CardiacSynchronizationTechnique) &gt; 0 or count(CardiacSignalSource) &gt; 0              or count(CardiacRRIntervalSpecified) &gt; 0 or count(CardiacBeatRejectionTechnique) &gt; 0              or count(LowRRValue) &gt; 0 or count(HighRRValue) &gt; 0              or count(IntervalsAcquired) &gt; 0 or count(IntervalsRejected) &gt; 0              or count(//CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): CardiacSynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacSynchronizationModule"/>
</xslout:if>
<xslout:if test="count(RespiratoryMotionCompensationTechnique) &gt; 0 or count(RespiratorySignalSource) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): RespiratorySynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RespiratorySynchronizationModule"/>
</xslout:if>
<xslout:if test="PixelPresentation/value[@number=1]='COLOR' or PixelPresentation/value[@number=1]='MIXED'">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SupplementalPaletteColorLookupTableModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SupplementalPaletteColorLookupTableModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: AcquisitionContextModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="AcquisitionContextModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: EnhancedCTImageModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="EnhancedCTImageModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: SoftcopyPresentationLUTModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SoftcopyPresentationLUTModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: SOPCommonModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPCommonModule"/>
<xslout:text>IOD validation complete</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:when>
<xslout:when test="/DicomObject/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.4.1'">
<xslout:text>Found EnhancedMRImage IOD</xslout:text>
<xslout:value-of select="$newline"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: PatientModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientModule"/>
<xslout:if test="count(SpecimenAccessionNumber) &gt; 0 or count(SpecimenSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SpecimenIdentificationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SpecimenIdentificationModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialSponsorName) &gt; 0 or count(ClinicalTrialProtocolID) &gt; 0              or count(ClinicalTrialProtocolName) &gt; 0 or count(ClinicalTrialSiteID) &gt; 0              or count(ClinicalTrialSiteName) &gt; 0 or count(ClinicalTrialSubjectID) &gt; 0              or count(ClinicalTrialSubjectReadingID) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSubjectModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSubjectModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralStudyModule"/>
<xslout:if test="count(AdmittingDiagnosesDescription) &gt; 0 or count(AdmittingDiagnosesCodeSequence) &gt; 0              or count(PatientAge) &gt; 0 or count(PatientSize) &gt; 0              or count(PatientWeight) &gt; 0 or count(Occupation) &gt; 0              or count(AdditionalPatientHistory) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): PatientStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientStudyModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialTimePointID) &gt; 0 or count(ClinicalTrialTimePointDescription) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialStudyModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralSeriesModule"/>
<xslout:if test="count(ClinicalTrialCoordinatingCenterName) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSeriesModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MRSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSeriesModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: FrameOfReferenceModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameOfReferenceModule"/>
<xslout:if test="count(SynchronizationFrameOfReferenceUID) &gt; 0 or count(SynchronizationTrigger) &gt; 0              or count(TriggerSourceOrType) &gt; 0 or count(SynchronizationChannel) &gt; 0              or count(AcquisitionTimeSynchronized) &gt; 0 or count(TimeSource) &gt; 0              or count(TimeDistributionProtocol)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SynchronizationModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralEquipmentModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralEquipmentModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: ImagePixelModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ImagePixelModule"/>
<xslout:if test="count(ContrastBolusAgentSequence) &gt; 0 or count(//ContrastBolusUsageSequence) &gt; 0              or count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): EnhancedContrastBolusModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="EnhancedContrastBolusModule"/>
</xslout:if>
<xslout:if test="count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ContrastBolusModuleNotWanted</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusModuleNotWanted"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameFunctionalGroupsCommonModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameFunctionalGroupsCommonModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameFunctionalGroupsForEnhancedMRImageModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameFunctionalGroupsForEnhancedMRImageModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameDimensionModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameDimensionModule"/>
<xslout:if test="count(CardiacSynchronizationTechnique) &gt; 0 or count(CardiacSignalSource) &gt; 0              or count(CardiacRRIntervalSpecified) &gt; 0 or count(CardiacBeatRejectionTechnique) &gt; 0              or count(LowRRValue) &gt; 0 or count(HighRRValue) &gt; 0              or count(IntervalsAcquired) &gt; 0 or count(IntervalsRejected) &gt; 0              or count(//CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): CardiacSynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacSynchronizationModule"/>
</xslout:if>
<xslout:if test="count(RespiratoryMotionCompensationTechnique) &gt; 0 or count(RespiratorySignalSource) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): RespiratorySynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RespiratorySynchronizationModule"/>
</xslout:if>
<xslout:if test="count(BulkMotionCompensationTechnique) &gt; 0 or count(BulkMotionSignalSource) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): BulkMotionSynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="BulkMotionSynchronizationModule"/>
</xslout:if>
<xslout:if test="PixelPresentation/value[@number=1]='COLOR' or PixelPresentation/value[@number=1]='MIXED'">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SupplementalPaletteColorLookupTableModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SupplementalPaletteColorLookupTableModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: AcquisitionContextModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="AcquisitionContextModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: EnhancedMRImageModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="EnhancedMRImageModule"/>
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'              or count(PulseSequenceName) &gt; 0 or count(MRAcquisitionType) &gt; 0              or count(EchoPulseSequence) &gt; 0 or count(MultipleSpinEcho) &gt; 0              or count(MultiplanarExcitation) &gt; 0 or count(PhaseContrast) &gt; 0              or count(TimeOfFlightContrast) &gt; 0 or count(SteadyStatePulseSequence) &gt; 0              or count(EchoPlanarPulseSequence) &gt; 0 or count(SaturationRecovery) &gt; 0              or count(SpectrallySelectedSuppression) &gt; 0 or count(OversamplingPhase) &gt; 0              or count(GeometryOfKSpaceTraversal) &gt; 0 or count(RectilinearPhaseEncodeReordering) &gt; 0              or count(SegmentedKSpaceTraversal) &gt; 0 or count(CoverageOfKSpace) &gt; 0              or count(NumberOfKSpaceTrajectories) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): MRPulseSequenceModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRPulseSequenceModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: SoftcopyPresentationLUTModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SoftcopyPresentationLUTModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: SOPCommonModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPCommonModule"/>
<xslout:text>IOD validation complete</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:when>
<xslout:when test="/DicomObject/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.4.2'">
<xslout:text>Found MRSpectroscopy IOD</xslout:text>
<xslout:value-of select="$newline"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: PatientModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientModule"/>
<xslout:if test="count(SpecimenAccessionNumber) &gt; 0 or count(SpecimenSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SpecimenIdentificationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SpecimenIdentificationModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialSponsorName) &gt; 0 or count(ClinicalTrialProtocolID) &gt; 0              or count(ClinicalTrialProtocolName) &gt; 0 or count(ClinicalTrialSiteID) &gt; 0              or count(ClinicalTrialSiteName) &gt; 0 or count(ClinicalTrialSubjectID) &gt; 0              or count(ClinicalTrialSubjectReadingID) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSubjectModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSubjectModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralStudyModule"/>
<xslout:if test="count(AdmittingDiagnosesDescription) &gt; 0 or count(AdmittingDiagnosesCodeSequence) &gt; 0              or count(PatientAge) &gt; 0 or count(PatientSize) &gt; 0              or count(PatientWeight) &gt; 0 or count(Occupation) &gt; 0              or count(AdditionalPatientHistory) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): PatientStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PatientStudyModule"/>
</xslout:if>
<xslout:if test="count(ClinicalTrialTimePointID) &gt; 0 or count(ClinicalTrialTimePointDescription) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialStudyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialStudyModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralSeriesModule"/>
<xslout:if test="count(ClinicalTrialCoordinatingCenterName) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ClinicalTrialSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ClinicalTrialSeriesModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MRSeriesModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSeriesModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: FrameOfReferenceModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameOfReferenceModule"/>
<xslout:if test="count(SynchronizationFrameOfReferenceUID) &gt; 0 or count(SynchronizationTrigger) &gt; 0              or count(TriggerSourceOrType) &gt; 0 or count(SynchronizationChannel) &gt; 0              or count(AcquisitionTimeSynchronized) &gt; 0 or count(TimeSource) &gt; 0              or count(TimeDistributionProtocol)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SynchronizationModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: GeneralEquipmentModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="GeneralEquipmentModule"/>
<xslout:if test="count(ContrastBolusAgentSequence) &gt; 0 or count(//ContrastBolusUsageSequence) &gt; 0              or count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): EnhancedContrastBolusModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="EnhancedContrastBolusModule"/>
</xslout:if>
<xslout:if test="count(ContrastBolusAgent) &gt; 0 or count(ContrastBolusAgentSequence) &gt; 0              or count(ContrastBolusRoute) &gt; 0 or count(ContrastBolusAdministrationRouteSequence) &gt; 0              or count(ContrastBolusVolume) &gt; 0 or count(ContrastBolusStartTime) &gt; 0              or count(ContrastBolusStopTime) &gt; 0 or count(ContrastBolusTotalDose) &gt; 0              or count(ContrastBolusFlowRate) &gt; 0 or count(ContrastBolusDuration) &gt; 0              or count(ContrastBolusIngredient) &gt; 0 or count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): ContrastBolusModuleNotWanted</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusModuleNotWanted"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameFunctionalGroupsForMRImageSpectroscopyModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MultiFrameDimensionModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MultiFrameDimensionModule"/>
<xslout:if test="count(CardiacSynchronizationTechnique) &gt; 0 or count(CardiacSignalSource) &gt; 0              or count(CardiacRRIntervalSpecified) &gt; 0 or count(CardiacBeatRejectionTechnique) &gt; 0              or count(LowRRValue) &gt; 0 or count(HighRRValue) &gt; 0              or count(IntervalsAcquired) &gt; 0 or count(IntervalsRejected) &gt; 0              or count(//CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): CardiacSynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacSynchronizationModule"/>
</xslout:if>
<xslout:if test="count(RespiratoryMotionCompensationTechnique) &gt; 0 or count(RespiratorySignalSource) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): RespiratorySynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RespiratorySynchronizationModule"/>
</xslout:if>
<xslout:if test="count(BulkMotionCompensationTechnique) &gt; 0 or count(BulkMotionSignalSource) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): BulkMotionSynchronizationModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="BulkMotionSynchronizationModule"/>
</xslout:if>
<xslout:if test="PixelPresentation/value[@number=1]='COLOR' or PixelPresentation/value[@number=1]='MIXED'">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): SupplementalPaletteColorLookupTableModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SupplementalPaletteColorLookupTableModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: AcquisitionContextModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="AcquisitionContextModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MRSpectroscopyModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyModule"/>
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'              or count(PulseSequenceName) &gt; 0 or count(MRSpectroscopyAcquisitionType) &gt; 0              or count(EchoPulseSequence) &gt; 0 or count(MultipleSpinEcho) &gt; 0              or count(MultiplanarExcitation) &gt; 0 or count(SteadyStatePulseSequence) &gt; 0              or count(EchoPlanarPulseSequence) &gt; 0 or count(SpectrallySelectedSuppression) &gt; 0              or count(GeometryOfKSpaceTraversal) &gt; 0 or count(RectilinearPhaseEncodeReordering) &gt; 0              or count(SegmentedKSpaceTraversal) &gt; 0 or count(CoverageOfKSpace) &gt; 0              or count(NumberOfKSpaceTrajectories) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module (condition true): MRSpectroscopyPulseSequenceModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyPulseSequenceModule"/>
</xslout:if>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: MRSpectroscopyDataModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyDataModule"/>
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Module: SOPCommonModule</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPCommonModule"/>
<xslout:text>IOD validation complete</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:when>
<xslout:otherwise/>
</xslout:choose>
</xslout:template>
<xslout:template name="PatientModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientName/'" name="description"/>
<xslout:with-param select="PatientName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'PatientModule/PatientName/'" name="description"/>
<xslout:with-param select="PatientName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientID/'" name="description"/>
<xslout:with-param select="PatientID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'PatientModule/PatientID/'" name="description"/>
<xslout:with-param select="PatientID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientBirthDate/'" name="description"/>
<xslout:with-param select="PatientBirthDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'PatientModule/PatientBirthDate/'" name="description"/>
<xslout:with-param select="PatientBirthDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientSex/'" name="description"/>
<xslout:with-param select="PatientSex" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'PatientModule/PatientSex/'" name="description"/>
<xslout:with-param select="PatientSex" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(PatientSex/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PatientSex/value[@number=1] = 'M'">T</xslout:when>
<xslout:when test="PatientSex/value[@number=1] = 'F'">T</xslout:when>
<xslout:when test="PatientSex/value[@number=1] = 'O'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: PatientModule/PatientSex/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PatientSex" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PatientSex/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'PatientModule/ReferencedPatientSequence/'" name="description"/>
<xslout:with-param select="ReferencedPatientSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedPatientSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/ReferencedPatientSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'PatientModule/ReferencedPatientSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/ReferencedPatientSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'PatientModule/ReferencedPatientSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientBirthTime/'" name="description"/>
<xslout:with-param select="PatientBirthTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientModule/PatientBirthTime/'" name="description"/>
<xslout:with-param select="PatientBirthTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/OtherPatientID/'" name="description"/>
<xslout:with-param select="OtherPatientID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientModule/OtherPatientID/'" name="description"/>
<xslout:with-param select="OtherPatientID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/OtherPatientName/'" name="description"/>
<xslout:with-param select="OtherPatientName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientModule/OtherPatientName/'" name="description"/>
<xslout:with-param select="OtherPatientName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/EthnicGroup/'" name="description"/>
<xslout:with-param select="EthnicGroup" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientModule/EthnicGroup/'" name="description"/>
<xslout:with-param select="EthnicGroup" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientModule/PatientComments/'" name="description"/>
<xslout:with-param select="PatientComments" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientModule/PatientComments/'" name="description"/>
<xslout:with-param select="PatientComments" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="SpecimenIdentificationModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenAccessionNumber/'" name="description"/>
<xslout:with-param select="SpecimenAccessionNumber" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenAccessionNumber/'" name="description"/>
<xslout:with-param select="SpecimenAccessionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/'" name="description"/>
<xslout:with-param select="SpecimenSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SpecimenSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/SpecimenIdentifier/'" name="description"/>
<xslout:with-param select="SpecimenIdentifier" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/SpecimenIdentifier/'" name="description"/>
<xslout:with-param select="SpecimenIdentifier" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/SpecimenTypeCodeSequence/'" name="description"/>
<xslout:with-param select="SpecimenTypeCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SpecimenTypeCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/SlideIdentifier/'" name="description"/>
<xslout:with-param select="SlideIdentifier" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SpecimenIdentificationModule/SpecimenSequence/SlideIdentifier/'" name="description"/>
<xslout:with-param select="SlideIdentifier" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="ClinicalTrialSubjectModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSponsorName/'" name="description"/>
<xslout:with-param select="ClinicalTrialSponsorName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSponsorName/'" name="description"/>
<xslout:with-param select="ClinicalTrialSponsorName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialProtocolID/'" name="description"/>
<xslout:with-param select="ClinicalTrialProtocolID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialProtocolID/'" name="description"/>
<xslout:with-param select="ClinicalTrialProtocolID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialProtocolName/'" name="description"/>
<xslout:with-param select="ClinicalTrialProtocolName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialProtocolName/'" name="description"/>
<xslout:with-param select="ClinicalTrialProtocolName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSiteID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSiteID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSiteID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSiteID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSiteName/'" name="description"/>
<xslout:with-param select="ClinicalTrialSiteName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSiteName/'" name="description"/>
<xslout:with-param select="ClinicalTrialSiteName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ClinicalTrialSubjectReadingID) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectID" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectID" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectReadingID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectReadingID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ClinicalTrialSubjectID) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectReadingID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectReadingID" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectReadingID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectReadingID" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ClinicalTrialSubjectModule/ClinicalTrialSubjectReadingID/'" name="description"/>
<xslout:with-param select="ClinicalTrialSubjectReadingID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="GeneralStudyModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/StudyInstanceUID/'" name="description"/>
<xslout:with-param select="StudyInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralStudyModule/StudyInstanceUID/'" name="description"/>
<xslout:with-param select="StudyInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/StudyDate/'" name="description"/>
<xslout:with-param select="StudyDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralStudyModule/StudyDate/'" name="description"/>
<xslout:with-param select="StudyDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/StudyTime/'" name="description"/>
<xslout:with-param select="StudyTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralStudyModule/StudyTime/'" name="description"/>
<xslout:with-param select="StudyTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/ReferringPhysicianName/'" name="description"/>
<xslout:with-param select="ReferringPhysicianName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralStudyModule/ReferringPhysicianName/'" name="description"/>
<xslout:with-param select="ReferringPhysicianName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralStudyModule/ReferringPhysicianIdentificationSequence/'" name="description"/>
<xslout:with-param select="ReferringPhysicianIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferringPhysicianIdentificationSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: PersonIdentificationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PersonIdentificationMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/StudyID/'" name="description"/>
<xslout:with-param select="StudyID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralStudyModule/StudyID/'" name="description"/>
<xslout:with-param select="StudyID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/AccessionNumber/'" name="description"/>
<xslout:with-param select="AccessionNumber" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralStudyModule/AccessionNumber/'" name="description"/>
<xslout:with-param select="AccessionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/StudyDescription/'" name="description"/>
<xslout:with-param select="StudyDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralStudyModule/StudyDescription/'" name="description"/>
<xslout:with-param select="StudyDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/PhysicianOfRecord/'" name="description"/>
<xslout:with-param select="PhysicianOfRecord" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralStudyModule/PhysicianOfRecord/'" name="description"/>
<xslout:with-param select="PhysicianOfRecord" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralStudyModule/PhysicianOfRecordIdentificationSequence/'" name="description"/>
<xslout:with-param select="PhysicianOfRecordIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PhysicianOfRecordIdentificationSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: PersonIdentificationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PersonIdentificationMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/PhysicianReadingStudy/'" name="description"/>
<xslout:with-param select="PhysicianReadingStudy" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralStudyModule/PhysicianReadingStudy/'" name="description"/>
<xslout:with-param select="PhysicianReadingStudy" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralStudyModule/PhysicianReadingStudyIdentificationSequence/'" name="description"/>
<xslout:with-param select="PhysicianReadingStudyIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PhysicianReadingStudyIdentificationSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: PersonIdentificationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PersonIdentificationMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralStudyModule/ReferencedStudySequence/'" name="description"/>
<xslout:with-param select="ReferencedStudySequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedStudySequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/ReferencedStudySequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralStudyModule/ReferencedStudySequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralStudyModule/ReferencedStudySequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralStudyModule/ReferencedStudySequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralStudyModule/ProcedureCodeSequence/'" name="description"/>
<xslout:with-param select="ProcedureCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ProcedureCodeSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="PatientStudyModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/AdmittingDiagnosesDescription/'" name="description"/>
<xslout:with-param select="AdmittingDiagnosesDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/AdmittingDiagnosesDescription/'" name="description"/>
<xslout:with-param select="AdmittingDiagnosesDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'PatientStudyModule/AdmittingDiagnosesCodeSequence/'" name="description"/>
<xslout:with-param select="AdmittingDiagnosesCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="AdmittingDiagnosesCodeSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/PatientAge/'" name="description"/>
<xslout:with-param select="PatientAge" name="element"/>
<xslout:with-param select="'AS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/PatientAge/'" name="description"/>
<xslout:with-param select="PatientAge" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/PatientSize/'" name="description"/>
<xslout:with-param select="PatientSize" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/PatientSize/'" name="description"/>
<xslout:with-param select="PatientSize" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/PatientWeight/'" name="description"/>
<xslout:with-param select="PatientWeight" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/PatientWeight/'" name="description"/>
<xslout:with-param select="PatientWeight" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/Occupation/'" name="description"/>
<xslout:with-param select="Occupation" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/Occupation/'" name="description"/>
<xslout:with-param select="Occupation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PatientStudyModule/AdditionalPatientHistory/'" name="description"/>
<xslout:with-param select="AdditionalPatientHistory" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PatientStudyModule/AdditionalPatientHistory/'" name="description"/>
<xslout:with-param select="AdditionalPatientHistory" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="ClinicalTrialStudyModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialStudyModule/ClinicalTrialTimePointID/'" name="description"/>
<xslout:with-param select="ClinicalTrialTimePointID" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ClinicalTrialStudyModule/ClinicalTrialTimePointID/'" name="description"/>
<xslout:with-param select="ClinicalTrialTimePointID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialStudyModule/ClinicalTrialTimePointDescription/'" name="description"/>
<xslout:with-param select="ClinicalTrialTimePointDescription" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ClinicalTrialStudyModule/ClinicalTrialTimePointDescription/'" name="description"/>
<xslout:with-param select="ClinicalTrialTimePointDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="GeneralSeriesModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(Modality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Modality/value[@number=1] = 'CR'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'CT'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'MR'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'NM'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'US'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'OT'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'BI'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'CD'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'DD'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'DG'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'ES'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'LS'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'PT'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RG'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'ST'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'TG'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'XA'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RF'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RTIMAGE'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RTDOSE'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RTSTRUCT'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RTPLAN'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'RTRECORD'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'HC'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'DX'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'MG'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'IO'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'PX'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'GM'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'SM'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'XC'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'PR'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'AU'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'ECG'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'EPS'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'HD'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'SR'">T</xslout:when>
<xslout:when test="Modality/value[@number=1] = 'IVUS'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: GeneralSeriesModule/Modality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Modality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="Modality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SeriesInstanceUID/'" name="description"/>
<xslout:with-param select="SeriesInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/SeriesInstanceUID/'" name="description"/>
<xslout:with-param select="SeriesInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SeriesNumber/'" name="description"/>
<xslout:with-param select="SeriesNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralSeriesModule/SeriesNumber/'" name="description"/>
<xslout:with-param select="SeriesNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/Laterality/'" name="description"/>
<xslout:with-param select="Laterality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ImageLaterality) = 0 and count(//FrameLaterality) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'GeneralSeriesModule/Laterality/'" name="description"/>
<xslout:with-param select="Laterality" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'GeneralSeriesModule/Laterality/'" name="description"/>
<xslout:with-param select="Laterality" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'GeneralSeriesModule/Laterality/'" name="description"/>
<xslout:with-param select="Laterality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(Laterality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Laterality/value[@number=1] = 'R'">T</xslout:when>
<xslout:when test="Laterality/value[@number=1] = 'L'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: GeneralSeriesModule/Laterality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Laterality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="Laterality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SeriesDate/'" name="description"/>
<xslout:with-param select="SeriesDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/SeriesDate/'" name="description"/>
<xslout:with-param select="SeriesDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SeriesTime/'" name="description"/>
<xslout:with-param select="SeriesTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/SeriesTime/'" name="description"/>
<xslout:with-param select="SeriesTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PerformingPhysicianName/'" name="description"/>
<xslout:with-param select="PerformingPhysicianName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/PerformingPhysicianName/'" name="description"/>
<xslout:with-param select="PerformingPhysicianName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/PerformingPhysicianIdentificationSequence/'" name="description"/>
<xslout:with-param select="PerformingPhysicianIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PerformingPhysicianIdentificationSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: PersonIdentificationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PersonIdentificationMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/ProtocolName/'" name="description"/>
<xslout:with-param select="ProtocolName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/ProtocolName/'" name="description"/>
<xslout:with-param select="ProtocolName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SeriesDescription/'" name="description"/>
<xslout:with-param select="SeriesDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/SeriesDescription/'" name="description"/>
<xslout:with-param select="SeriesDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/OperatorName/'" name="description"/>
<xslout:with-param select="OperatorName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/OperatorName/'" name="description"/>
<xslout:with-param select="OperatorName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/OperatorIdentificationSequence/'" name="description"/>
<xslout:with-param select="OperatorIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="OperatorIdentificationSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: PersonIdentificationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PersonIdentificationMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/ReferencedPerformedProcedureStepSequence/'" name="description"/>
<xslout:with-param select="ReferencedPerformedProcedureStepSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedPerformedProcedureStepSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/BodyPartExamined/'" name="description"/>
<xslout:with-param select="BodyPartExamined" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/BodyPartExamined/'" name="description"/>
<xslout:with-param select="BodyPartExamined" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(BodyPartExamined/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BodyPartExamined/value[@number=1] = 'SKULL'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'CSPINE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'TSPINE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'LSPINE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'SSPINE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'COCCYX'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'CHEST'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'CLAVICLE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'BREAST'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'ABDOMEN'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'PELVIS'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'HIP'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'SHOULDER'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'ELBOW'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'KNEE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'ANKLE'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'HAND'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'FOOT'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'EXTREMITY'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'HEAD'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'HEART'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'NECK'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'LEG'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'ARM'">T</xslout:when>
<xslout:when test="BodyPartExamined/value[@number=1] = 'JAW'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: GeneralSeriesModule/BodyPartExamined/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BodyPartExamined" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="BodyPartExamined/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PatientPosition/'" name="description"/>
<xslout:with-param select="PatientPosition" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(PatientOrientationCodeSequence) = 0 and (Modality/value[@number=1]='CT' or Modality/value[@number=1]='MR')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'GeneralSeriesModule/PatientPosition/'" name="description"/>
<xslout:with-param select="PatientPosition" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'GeneralSeriesModule/PatientPosition/'" name="description"/>
<xslout:with-param select="PatientPosition" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'GeneralSeriesModule/PatientPosition/'" name="description"/>
<xslout:with-param select="PatientPosition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(PatientPosition/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PatientPosition/value[@number=1] = 'HFP'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'HFS'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'HFDR'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'HFDL'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'FFDR'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'FFDL'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'FFP'">T</xslout:when>
<xslout:when test="PatientPosition/value[@number=1] = 'FFS'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: GeneralSeriesModule/PatientPosition/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PatientPosition" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="PatientPosition/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/SmallestPixelValueInSeries/'" name="description"/>
<xslout:with-param select="SmallestPixelValueInSeries" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/SmallestPixelValueInSeries/'" name="description"/>
<xslout:with-param select="SmallestPixelValueInSeries" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/LargestPixelValueInSeries/'" name="description"/>
<xslout:with-param select="LargestPixelValueInSeries" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/LargestPixelValueInSeries/'" name="description"/>
<xslout:with-param select="LargestPixelValueInSeries" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/'" name="description"/>
<xslout:with-param select="RequestAttributesSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="RequestAttributesSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/RequestedProcedureID/'" name="description"/>
<xslout:with-param select="RequestedProcedureID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/RequestedProcedureID/'" name="description"/>
<xslout:with-param select="RequestedProcedureID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/ScheduledProcedureStepID/'" name="description"/>
<xslout:with-param select="ScheduledProcedureStepID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/ScheduledProcedureStepID/'" name="description"/>
<xslout:with-param select="ScheduledProcedureStepID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/ScheduledProcedureStepDescription/'" name="description"/>
<xslout:with-param select="ScheduledProcedureStepDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/ScheduledProcedureStepDescription/'" name="description"/>
<xslout:with-param select="ScheduledProcedureStepDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/RequestAttributesSequence/ScheduledProtocolCodeSequence/'" name="description"/>
<xslout:with-param select="ScheduledProtocolCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ScheduledProtocolCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepID/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepID/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepStartDate/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepStartDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepStartDate/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepStartDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepStartTime/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepStartTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepStartTime/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepStartTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepDescription/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/PerformedProcedureStepDescription/'" name="description"/>
<xslout:with-param select="PerformedProcedureStepDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'GeneralSeriesModule/PerformedProtocolCodeSequence/'" name="description"/>
<xslout:with-param select="PerformedProtocolCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PerformedProtocolCodeSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralSeriesModule/CommentsOnPerformedProcedureStep/'" name="description"/>
<xslout:with-param select="CommentsOnPerformedProcedureStep" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralSeriesModule/CommentsOnPerformedProcedureStep/'" name="description"/>
<xslout:with-param select="CommentsOnPerformedProcedureStep" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="ClinicalTrialSeriesModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ClinicalTrialSeriesModule/ClinicalTrialCoordinatingCenterName/'" name="description"/>
<xslout:with-param select="ClinicalTrialCoordinatingCenterName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ClinicalTrialSeriesModule/ClinicalTrialCoordinatingCenterName/'" name="description"/>
<xslout:with-param select="ClinicalTrialCoordinatingCenterName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="MRSeriesModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(Modality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Modality/value[@number=1] = 'MR'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSeriesModule/Modality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Modality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="Modality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRSeriesModule/ReferencedPerformedProcedureStepSequence/'" name="description"/>
<xslout:with-param select="ReferencedPerformedProcedureStepSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedPerformedProcedureStepSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="FrameOfReferenceModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameOfReferenceModule/FrameOfReferenceUID/'" name="description"/>
<xslout:with-param select="FrameOfReferenceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'FrameOfReferenceModule/FrameOfReferenceUID/'" name="description"/>
<xslout:with-param select="FrameOfReferenceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameOfReferenceModule/PositionReferenceIndicator/'" name="description"/>
<xslout:with-param select="PositionReferenceIndicator" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'FrameOfReferenceModule/PositionReferenceIndicator/'" name="description"/>
<xslout:with-param select="PositionReferenceIndicator" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="SynchronizationModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/SynchronizationFrameOfReferenceUID/'" name="description"/>
<xslout:with-param select="SynchronizationFrameOfReferenceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SynchronizationModule/SynchronizationFrameOfReferenceUID/'" name="description"/>
<xslout:with-param select="SynchronizationFrameOfReferenceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/SynchronizationTrigger/'" name="description"/>
<xslout:with-param select="SynchronizationTrigger" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SynchronizationModule/SynchronizationTrigger/'" name="description"/>
<xslout:with-param select="SynchronizationTrigger" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SynchronizationTrigger/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SynchronizationTrigger/value[@number=1] = 'SOURCE'">T</xslout:when>
<xslout:when test="SynchronizationTrigger/value[@number=1] = 'EXTERNAL'">T</xslout:when>
<xslout:when test="SynchronizationTrigger/value[@number=1] = 'PASSTHRU'">T</xslout:when>
<xslout:when test="SynchronizationTrigger/value[@number=1] = 'NO TRIGGER'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: SynchronizationModule/SynchronizationTrigger/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SynchronizationTrigger" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SynchronizationTrigger/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/TriggerSourceOrType/'" name="description"/>
<xslout:with-param select="TriggerSourceOrType" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SynchronizationModule/TriggerSourceOrType/'" name="description"/>
<xslout:with-param select="TriggerSourceOrType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/SynchronizationChannel/'" name="description"/>
<xslout:with-param select="SynchronizationChannel" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SynchronizationModule/SynchronizationChannel/'" name="description"/>
<xslout:with-param select="SynchronizationChannel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/AcquisitionTimeSynchronized/'" name="description"/>
<xslout:with-param select="AcquisitionTimeSynchronized" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SynchronizationModule/AcquisitionTimeSynchronized/'" name="description"/>
<xslout:with-param select="AcquisitionTimeSynchronized" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionTimeSynchronized/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionTimeSynchronized/value[@number=1] = 'Y'">T</xslout:when>
<xslout:when test="AcquisitionTimeSynchronized/value[@number=1] = 'N'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: SynchronizationModule/AcquisitionTimeSynchronized/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionTimeSynchronized" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="AcquisitionTimeSynchronized/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/TimeSource/'" name="description"/>
<xslout:with-param select="TimeSource" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SynchronizationModule/TimeSource/'" name="description"/>
<xslout:with-param select="TimeSource" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SynchronizationModule/TimeDistributionProtocol/'" name="description"/>
<xslout:with-param select="TimeDistributionProtocol" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SynchronizationModule/TimeDistributionProtocol/'" name="description"/>
<xslout:with-param select="TimeDistributionProtocol" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(TimeDistributionProtocol/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="TimeDistributionProtocol/value[@number=1] = 'NTP'">T</xslout:when>
<xslout:when test="TimeDistributionProtocol/value[@number=1] = 'IRIG'">T</xslout:when>
<xslout:when test="TimeDistributionProtocol/value[@number=1] = 'GPS'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: SynchronizationModule/TimeDistributionProtocol/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TimeDistributionProtocol" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="TimeDistributionProtocol/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="GeneralEquipmentModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/Manufacturer/'" name="description"/>
<xslout:with-param select="Manufacturer" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'GeneralEquipmentModule/Manufacturer/'" name="description"/>
<xslout:with-param select="Manufacturer" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/StationName/'" name="description"/>
<xslout:with-param select="StationName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/StationName/'" name="description"/>
<xslout:with-param select="StationName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionalDepartmentName/'" name="description"/>
<xslout:with-param select="InstitutionalDepartmentName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/InstitutionalDepartmentName/'" name="description"/>
<xslout:with-param select="InstitutionalDepartmentName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/ManufacturerModelName/'" name="description"/>
<xslout:with-param select="ManufacturerModelName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/ManufacturerModelName/'" name="description"/>
<xslout:with-param select="ManufacturerModelName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/DeviceSerialNumber/'" name="description"/>
<xslout:with-param select="DeviceSerialNumber" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/DeviceSerialNumber/'" name="description"/>
<xslout:with-param select="DeviceSerialNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/SoftwareVersion/'" name="description"/>
<xslout:with-param select="SoftwareVersion" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/SoftwareVersion/'" name="description"/>
<xslout:with-param select="SoftwareVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/SpatialResolution/'" name="description"/>
<xslout:with-param select="SpatialResolution" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/SpatialResolution/'" name="description"/>
<xslout:with-param select="SpatialResolution" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'GeneralEquipmentModule/PixelPaddingValue/'" name="description"/>
<xslout:with-param select="PixelPaddingValue" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'GeneralEquipmentModule/PixelPaddingValue/'" name="description"/>
<xslout:with-param select="PixelPaddingValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="ImagePixelModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'MONOCHROME1' and SamplesPerPixel/value != 1">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 1 when PhotometricInterpretation is MONOCHROME1</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'MONOCHROME2' and SamplesPerPixel/value != 1">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 1 when PhotometricInterpretation is MONOCHROME2</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'PALETTE COLOR' and SamplesPerPixel/value != 1">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 1 when PhotometricInterpretation is PALETTE COLOR</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'RGB' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is RGB</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'HSV' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is HSV</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'ARGB' and SamplesPerPixel/value != 4">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 4 when PhotometricInterpretation is ARGB</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'CMYK' and SamplesPerPixel/value != 4">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 4 when PhotometricInterpretation is CMYK</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'YBR_FULL' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is YBR_FULL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'YBR_FULL_422' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is YBR_FULL_422</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'YBR_PARTIAL_422' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is YBR_PARTIAL_422</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'YBR_ICT' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is YBR_ICT</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel) &gt; 0">
<xslout:if test="PhotometricInterpretation/value = 'YBR_RCT' and SamplesPerPixel/value != 3">
<xslout:text>Error: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 3 when PhotometricInterpretation is YBR_RCT</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SamplesPerPixel/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SamplesPerPixel/value[@number=1] = '1'">T</xslout:when>
<xslout:when test="SamplesPerPixel/value[@number=1] = '3'">T</xslout:when>
<xslout:when test="SamplesPerPixel/value[@number=1] = '4'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: ImagePixelModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SamplesPerPixel/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PhotometricInterpretation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'MONOCHROME1'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'MONOCHROME2'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'RGB'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'HSV'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'ARGB'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'CMYK'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'YBR_FULL'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'YBR_FULL_422'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'YBR_PARTIAL_422'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'YBR_ICT'">T</xslout:when>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'YBR_RCT'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: ImagePixelModule/PhotometricInterpretation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PhotometricInterpretation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="PhotometricInterpretation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/Rows/'" name="description"/>
<xslout:with-param select="Rows" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/Rows/'" name="description"/>
<xslout:with-param select="Rows" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/Columns/'" name="description"/>
<xslout:with-param select="Columns" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/Columns/'" name="description"/>
<xslout:with-param select="Columns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/PixelRepresentation/'" name="description"/>
<xslout:with-param select="PixelRepresentation" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/PixelRepresentation/'" name="description"/>
<xslout:with-param select="PixelRepresentation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PixelRepresentation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PixelRepresentation/value[@number=1] = '0'">T</xslout:when>
<xslout:when test="PixelRepresentation/value[@number=1] = '1'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: ImagePixelModule/PixelRepresentation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelRepresentation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PixelRepresentation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/PixelData/'" name="description"/>
<xslout:with-param select="PixelData" name="element"/>
<xslout:with-param select="'OX'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ImagePixelModule/PixelData/'" name="description"/>
<xslout:with-param select="PixelData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OX'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/PlanarConfiguration/'" name="description"/>
<xslout:with-param select="PlanarConfiguration" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="SamplesPerPixel/value[@number=1] &gt; 1">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/PlanarConfiguration/'" name="description"/>
<xslout:with-param select="PlanarConfiguration" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/PlanarConfiguration/'" name="description"/>
<xslout:with-param select="PlanarConfiguration" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/PlanarConfiguration/'" name="description"/>
<xslout:with-param select="PlanarConfiguration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PlanarConfiguration/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PlanarConfiguration/value[@number=1] = '0'">T</xslout:when>
<xslout:when test="PlanarConfiguration/value[@number=1] = '1'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: ImagePixelModule/PlanarConfiguration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PlanarConfiguration" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PlanarConfiguration/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/PixelAspectRatio/'" name="description"/>
<xslout:with-param select="PixelAspectRatio" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(//PixelSpacing) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/PixelAspectRatio/'" name="description"/>
<xslout:with-param select="PixelAspectRatio" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/PixelAspectRatio/'" name="description"/>
<xslout:with-param select="PixelAspectRatio" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/PixelAspectRatio/'" name="description"/>
<xslout:with-param select="PixelAspectRatio" name="element"/>
<xslout:with-param select="'2'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/SmallestImagePixelValue/'" name="description"/>
<xslout:with-param select="SmallestImagePixelValue" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ImagePixelModule/SmallestImagePixelValue/'" name="description"/>
<xslout:with-param select="SmallestImagePixelValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/LargestImagePixelValue/'" name="description"/>
<xslout:with-param select="LargestImagePixelValue" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ImagePixelModule/LargestImagePixelValue/'" name="description"/>
<xslout:with-param select="LargestImagePixelValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=1] != GreenPaletteColorLookupTableDescriptor/value[@number=1]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 1 red != green</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=1] != BluePaletteColorLookupTableDescriptor/value[@number=1]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 1 red != blue</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=2] != GreenPaletteColorLookupTableDescriptor/value[@number=2]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 2 red != green</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=2] != BluePaletteColorLookupTableDescriptor/value[@number=2]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 2 red != blue</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=3] != GreenPaletteColorLookupTableDescriptor/value[@number=3]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 3 red != green</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RedPaletteColorLookupTableDescriptor) &gt; 0">
<xslout:if test="RedPaletteColorLookupTableDescriptor/value[@number=3] != BluePaletteColorLookupTableDescriptor/value[@number=3]">
<xslout:text>Error: ImagePixelModule/RedPaletteColorLookupTableDescriptor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="node"/>
</xslout:call-template>
<xslout:text>: PaletteColorLookupTableDescriptor values do not match - value 3 red != blue</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'PALETTE COLOR' or PixelPresentation/value[@number=1] = 'COLOR' or PixelPresentation/value[@number=1] = 'MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ImagePixelModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="ContrastBolusModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusAgent/'" name="description"/>
<xslout:with-param select="ContrastBolusAgent" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusAgent/'" name="description"/>
<xslout:with-param select="ContrastBolusAgent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusAgentSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusAgentSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusRoute/'" name="description"/>
<xslout:with-param select="ContrastBolusRoute" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusRoute/'" name="description"/>
<xslout:with-param select="ContrastBolusRoute" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusAdministrationRouteSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusAdministrationRouteSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusAdministrationRouteSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusAdministrationRouteSequence/AdditionalDrugSequence/'" name="description"/>
<xslout:with-param select="AdditionalDrugSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="AdditionalDrugSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusVolume/'" name="description"/>
<xslout:with-param select="ContrastBolusVolume" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusVolume/'" name="description"/>
<xslout:with-param select="ContrastBolusVolume" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusStartTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStartTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusStartTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStartTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusStopTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStopTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusStopTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStopTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusTotalDose/'" name="description"/>
<xslout:with-param select="ContrastBolusTotalDose" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusTotalDose/'" name="description"/>
<xslout:with-param select="ContrastBolusTotalDose" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastFlowRate/'" name="description"/>
<xslout:with-param select="ContrastFlowRate" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastFlowRate/'" name="description"/>
<xslout:with-param select="ContrastFlowRate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastFlowDuration/'" name="description"/>
<xslout:with-param select="ContrastFlowDuration" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastFlowDuration/'" name="description"/>
<xslout:with-param select="ContrastFlowDuration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusIngredient/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredient" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusIngredient/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredient" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusIngredientConcentration/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredientConcentration" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModule/ContrastBolusIngredientConcentration/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredientConcentration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="ContrastBolusModuleNotWanted">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusAgent/'" name="description"/>
<xslout:with-param select="ContrastBolusAgent" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusAgent/'" name="description"/>
<xslout:with-param select="ContrastBolusAgent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusAgent) &gt; 0">
<xslout:if test="count(ContrastBolusAgent) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusAgent/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAgent" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusAgentSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusAgentSequence/Item">
			<xslout:if test="count(ContrastBolusAgentSequence) &gt; 0">
<xslout:if test="count(ContrastBolusAgentSequence) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusAgentSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAgentSequence" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusRoute/'" name="description"/>
<xslout:with-param select="ContrastBolusRoute" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusRoute/'" name="description"/>
<xslout:with-param select="ContrastBolusRoute" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusRoute) &gt; 0">
<xslout:if test="count(ContrastBolusRoute) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusRoute/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusRoute" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusAdministrationRouteSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusAdministrationRouteSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusAdministrationRouteSequence/Item">
			<xslout:if test="count(ContrastBolusAdministrationRouteSequence) &gt; 0">
<xslout:if test="count(ContrastBolusAdministrationRouteSequence) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusAdministrationRouteSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAdministrationRouteSequence" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusVolume/'" name="description"/>
<xslout:with-param select="ContrastBolusVolume" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusVolume/'" name="description"/>
<xslout:with-param select="ContrastBolusVolume" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusVolume) &gt; 0">
<xslout:if test="count(ContrastBolusVolume) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusVolume/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusVolume" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusStartTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStartTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusStartTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStartTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusStartTime) &gt; 0">
<xslout:if test="count(ContrastBolusStartTime) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusStartTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusStartTime" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusStopTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStopTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusStopTime/'" name="description"/>
<xslout:with-param select="ContrastBolusStopTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusStopTime) &gt; 0">
<xslout:if test="count(ContrastBolusStopTime) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusStopTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusStopTime" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusTotalDose/'" name="description"/>
<xslout:with-param select="ContrastBolusTotalDose" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusTotalDose/'" name="description"/>
<xslout:with-param select="ContrastBolusTotalDose" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusTotalDose) &gt; 0">
<xslout:if test="count(ContrastBolusTotalDose) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusTotalDose/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusTotalDose" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastFlowRate/'" name="description"/>
<xslout:with-param select="ContrastFlowRate" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastFlowRate/'" name="description"/>
<xslout:with-param select="ContrastFlowRate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastFlowRate) &gt; 0">
<xslout:if test="count(ContrastFlowRate) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastFlowRate/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastFlowRate" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastFlowDuration/'" name="description"/>
<xslout:with-param select="ContrastFlowDuration" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastFlowDuration/'" name="description"/>
<xslout:with-param select="ContrastFlowDuration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastFlowDuration) &gt; 0">
<xslout:if test="count(ContrastFlowDuration) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastFlowDuration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastFlowDuration" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusIngredient/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredient" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusIngredient/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredient" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusIngredient) &gt; 0">
<xslout:if test="count(ContrastBolusIngredient) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusIngredient/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusIngredient" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusIngredientConcentration/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredientConcentration" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'ContrastBolusModuleNotWanted/ContrastBolusIngredientConcentration/'" name="description"/>
<xslout:with-param select="ContrastBolusIngredientConcentration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:if test="count(ContrastBolusIngredientConcentration) &gt; 0">
<xslout:text>Error: ContrastBolusModuleNotWanted/ContrastBolusIngredientConcentration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusIngredientConcentration" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present; Enhanced Contrast Bolus Module required</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="EnhancedContrastBolusModule">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'EnhancedContrastBolusModule/ContrastBolusAgentSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusAgentSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MultiFrameFunctionalGroupsCommonModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InstanceNumber/'" name="description"/>
<xslout:with-param select="InstanceNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InstanceNumber/'" name="description"/>
<xslout:with-param select="InstanceNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ContentDate/'" name="description"/>
<xslout:with-param select="ContentDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ContentDate/'" name="description"/>
<xslout:with-param select="ContentDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ContentTime/'" name="description"/>
<xslout:with-param select="ContentTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ContentTime/'" name="description"/>
<xslout:with-param select="ContentTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/NumberOfFrames/'" name="description"/>
<xslout:with-param select="NumberOfFrames" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/NumberOfFrames/'" name="description"/>
<xslout:with-param select="NumberOfFrames" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationFrameOffsetNumber/'" name="description"/>
<xslout:with-param select="ConcatenationFrameOffsetNumber" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ConcatenationUID) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationFrameOffsetNumber/'" name="description"/>
<xslout:with-param select="ConcatenationFrameOffsetNumber" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationFrameOffsetNumber/'" name="description"/>
<xslout:with-param select="ConcatenationFrameOffsetNumber" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationFrameOffsetNumber/'" name="description"/>
<xslout:with-param select="ConcatenationFrameOffsetNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/RepresentativeFrameNumber/'" name="description"/>
<xslout:with-param select="RepresentativeFrameNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/RepresentativeFrameNumber/'" name="description"/>
<xslout:with-param select="RepresentativeFrameNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationUID/'" name="description"/>
<xslout:with-param select="ConcatenationUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/ConcatenationUID/'" name="description"/>
<xslout:with-param select="ConcatenationUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationNumber/'" name="description"/>
<xslout:with-param select="InConcatenationNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ConcatenationUID) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationNumber/'" name="description"/>
<xslout:with-param select="InConcatenationNumber" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationNumber/'" name="description"/>
<xslout:with-param select="InConcatenationNumber" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationNumber/'" name="description"/>
<xslout:with-param select="InConcatenationNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationTotalNumber/'" name="description"/>
<xslout:with-param select="InConcatenationTotalNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ConcatenationUID) &gt; 0"/>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationTotalNumber/'" name="description"/>
<xslout:with-param select="InConcatenationTotalNumber" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsCommonModule/InConcatenationTotalNumber/'" name="description"/>
<xslout:with-param select="InConcatenationTotalNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="MultiFrameFunctionalGroupsForEnhancedCTImageModule">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="SharedFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SharedFunctionalGroupsSequence/Item">
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			<xslout:if test="count(PixelMeasuresSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PixelMeasuresSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameContentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameContentSequence cannot be in SharedFunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlanePositionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlaneOrientationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ReferencedImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: DerivationImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CardiacTriggerSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameAnatomySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameVOILUTSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameVOILUTMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameVOILUTMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameVOILUTSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameVOILUTSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameVOILUTSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/RealWorldValueMappingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): RealWorldValueMappingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RealWorldValueMappingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/RealWorldValueMappingSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/RealWorldValueMappingSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: RealWorldValueMappingSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusAgentSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusAgentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ContrastBolusAgentSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTImageFrameTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTImageFrameTypeMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTImageFrameTypeSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTAcquisitionTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTAcquisitionTypeMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTAcquisitionTypeSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionDetailsSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionDetailsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTAcquisitionDetailsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTAcquisitionDetailsMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionDetailsSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionDetailsSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTAcquisitionDetailsSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTTableDynamicsSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTTableDynamicsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTTableDynamicsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTTableDynamicsMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTTableDynamicsSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTTableDynamicsSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTTableDynamicsSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTPositionSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTPositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTPositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTPositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTPositionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTPositionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTPositionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTGeometrySequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTGeometryMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTGeometrySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTGeometrySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTGeometrySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value[@number=1] != 'CONSTANT_ANGLE' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value[@number=1] != 'CONSTANT_ANGLE') and ((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTReconstructionSequence) = 0)) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTReconstructionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTReconstructionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTReconstructionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTReconstructionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTReconstructionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTReconstructionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTExposureSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTExposureSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTExposureMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTExposureMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTExposureSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTExposureSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTExposureSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>

			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTXrayDetailsSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTXrayDetailsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTXrayDetailsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTXrayDetailsMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTXrayDetailsSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTXrayDetailsSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CTXrayDetailsSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTPixelValueTransformationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTPixelValueTransformationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PixelValueTransformationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
		</xslout:for-each>
		<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item) != /DicomObject/NumberOfFrames/value[@number=1]">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedCTImageModule/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiFrameFunctionalGroupsForEnhancedCTImageModule" name="node"/>
</xslout:call-template>
<xslout:text>: Number of PerFrameFunctionalGroupsSequence Items must equal NumberOfFrames</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForEnhancedCTImageModule/PerFrameFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="PerFrameFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PerFrameFunctionalGroupsSequence/Item">
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: FrameContentMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameContentMacro"/>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameVOILUTSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameVOILUTMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameVOILUTMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/RealWorldValueMappingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): RealWorldValueMappingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RealWorldValueMappingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTImageFrameTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTImageFrameTypeMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTAcquisitionTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTAcquisitionTypeMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionDetailsSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionDetailsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTAcquisitionDetailsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTAcquisitionDetailsMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTTableDynamicsSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTTableDynamicsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTTableDynamicsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTTableDynamicsMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTPositionSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTPositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTPositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTPositionMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTGeometrySequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTGeometryMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value[@number=1] != 'CONSTANT_ANGLE' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value[@number=1] != 'CONSTANT_ANGLE') and ((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[*]/CTReconstructionSequence) = 0)) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[@number=1]/CTReconstructionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTReconstructionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTReconstructionMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTExposureSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTExposureSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTExposureMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTExposureMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTXrayDetailsSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTXrayDetailsSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTXrayDetailsMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTXrayDetailsMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CTPixelValueTransformationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CTPixelValueTransformationMacro"/>
</xslout:if>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MultiFrameFunctionalGroupsForEnhancedMRImageModule">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="SharedFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SharedFunctionalGroupsSequence/Item">
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			<xslout:if test="count(PixelMeasuresSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PixelMeasuresSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameContentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameContentSequence cannot be in SharedFunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlanePositionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlaneOrientationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ReferencedImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: DerivationImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CardiacTriggerSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameAnatomySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelValueTransformationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelValueTransformationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PixelValueTransformationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameVOILUTSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameVOILUTMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameVOILUTMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameVOILUTSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameVOILUTSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameVOILUTSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/RealWorldValueMappingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): RealWorldValueMappingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RealWorldValueMappingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/RealWorldValueMappingSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/RealWorldValueMappingSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: RealWorldValueMappingSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusAgentSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusAgentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ContrastBolusAgentSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRImageFrameTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageFrameTypeMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRImageFrameTypeSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTimingAndRelatedParametersMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTimingAndRelatedParametersMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRTimingAndRelatedParametersSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/GeometryOfKSpaceTraversal) &gt; 0 and /DicomObject/GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRFOVGeometrySequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRFOVGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRFOVGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRFOVGeometryMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRFOVGeometrySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRFOVGeometrySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRFOVGeometrySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MREchoMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MREchoMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MREchoSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRModifierMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRModifierSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImagingModifierSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImagingModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRImagingModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImagingModifierMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImagingModifierSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImagingModifierSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRImagingModifierSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRReceiveCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRReceiveCoilMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRReceiveCoilSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTransmitCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTransmitCoilMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRTransmitCoilSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) &gt; 0) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) = 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRDiffusionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRDiffusionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRDiffusionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRAveragesSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRAveragesSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRAveragesMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRAveragesMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRAveragesSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRAveragesSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRAveragesSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpatialSaturationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpatialSaturationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRSpatialSaturationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="(/DicomObject/ImageType/value[@number=3] = 'METABOLITE_MAP' and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRMetaboliteMapSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRMetaboliteMapSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRMetaboliteMapMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRMetaboliteMapMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRMetaboliteMapSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRMetaboliteMapSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRMetaboliteMapSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			<xslout:if test="((/DicomObject/PhaseContrast/value[@number=1] = 'YES' and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRVelocityEncodingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRVelocityEncodingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRVelocityEncodingSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
		</xslout:for-each>
		<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item) != /DicomObject/NumberOfFrames/value[@number=1]">
<xslout:text>Error: MultiFrameFunctionalGroupsForEnhancedMRImageModule/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiFrameFunctionalGroupsForEnhancedMRImageModule" name="node"/>
</xslout:call-template>
<xslout:text>: Number of PerFrameFunctionalGroupsSequence Items must equal NumberOfFrames</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForEnhancedMRImageModule/PerFrameFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="PerFrameFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PerFrameFunctionalGroupsSequence/Item">
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: FrameContentMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameContentMacro"/>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelValueTransformationSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelValueTransformationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelValueTransformationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelValueTransformationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameVOILUTSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameVOILUTMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameVOILUTMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/RealWorldValueMappingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): RealWorldValueMappingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="RealWorldValueMappingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRImageFrameTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageFrameTypeMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTimingAndRelatedParametersMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTimingAndRelatedParametersMacro"/>
</xslout:if>
			<xslout:if test="(((count(/DicomObject/GeometryOfKSpaceTraversal) &gt; 0 and /DicomObject/GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRFOVGeometrySequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRFOVGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRFOVGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRFOVGeometryMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MREchoMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MREchoMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRModifierMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImagingModifierSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImagingModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRImagingModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImagingModifierMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRReceiveCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRReceiveCoilMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTransmitCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTransmitCoilMacro"/>
</xslout:if>
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRDiffusionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRDiffusionMacro"/>
</xslout:if>
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpatialSaturationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpatialSaturationMacro"/>
</xslout:if>
			<xslout:if test="(/DicomObject/ImageType/value[@number=3] = 'METABOLITE_MAP' and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRMetaboliteMapSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRMetaboliteMapSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRMetaboliteMapMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRMetaboliteMapMacro"/>
</xslout:if>
			<xslout:if test="((/DicomObject/PhaseContrast/value[@number=1] = 'YES' and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRVelocityEncodingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRVelocityEncodingMacro"/>
</xslout:if>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MultiFrameFunctionalGroupsForMRImageSpectroscopyModule">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="SharedFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SharedFunctionalGroupsSequence/Item">
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			<xslout:if test="count(PixelMeasuresSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PixelMeasuresSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameContentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameContentSequence cannot be in SharedFunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlanePositionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: PlaneOrientationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ReferencedImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ReferencedImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/DerivationImageSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: DerivationImageSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: CardiacTriggerSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: FrameAnatomySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusAgentSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusAgentSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: ContrastBolusAgentSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>

			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTimingAndRelatedParametersMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTimingAndRelatedParametersMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRTimingAndRelatedParametersSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="(((count(/DicomObject/GeometryOfKSpaceTraversal) &gt; 0 and /DicomObject/GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpectroscopyFOVGeometrySequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpectroscopyFOVGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpectroscopyFOVGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyFOVGeometryMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpectroscopyFOVGeometrySequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpectroscopyFOVGeometrySequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRSpectroscopyFOVGeometrySequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MREchoMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MREchoMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MREchoSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRModifierMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRModifierSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRReceiveCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRReceiveCoilMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRReceiveCoilSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTransmitCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTransmitCoilMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRTransmitCoilSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) &gt; 0) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) = 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRDiffusionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRDiffusionMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRDiffusionSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRAveragesSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRAveragesSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRAveragesMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRAveragesMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRAveragesSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRAveragesSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRAveragesSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpatialSaturationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpatialSaturationMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRSpatialSaturationSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/PhaseContrast/value[@number=1] = 'YES' and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) = 0) or count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRVelocityEncodingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRVelocityEncodingMacro"/>
</xslout:if>
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) &gt; 0 and count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) &gt; 0">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/SharedFunctionalGroupsSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SharedFunctionalGroupsSequence" name="node"/>
</xslout:call-template>
<xslout:text>: MRVelocityEncodingSequence cannot be in both Shared and PerFrame FunctionalGroupsSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
			
		</xslout:for-each>
		
		
		<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item) != /DicomObject/NumberOfFrames/value[@number=1]">
<xslout:text>Error: MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiFrameFunctionalGroupsForMRImageSpectroscopyModule" name="node"/>
</xslout:call-template>
<xslout:text>: Number of PerFrameFunctionalGroupsSequence Items must equal NumberOfFrames</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MultiFrameFunctionalGroupsForMRImageSpectroscopyModule/PerFrameFunctionalGroupsSequence/'" name="description"/>
<xslout:with-param select="PerFrameFunctionalGroupsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PerFrameFunctionalGroupsSequence/Item">
		
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PixelMeasuresSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PixelMeasuresSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PixelMeasuresMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PixelMeasuresMacro"/>
</xslout:if>
			
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: FrameContentMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameContentMacro"/>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlanePositionSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlanePositionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlanePositionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlanePositionMacro"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/PlaneOrientationSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/PlaneOrientationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): PlaneOrientationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="PlaneOrientationMacro"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ReferencedImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ReferencedImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ReferencedImageMacro"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/DerivationImageSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): DerivationImageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DerivationImageMacro"/>
</xslout:if>
			
			<xslout:if test="(((count(/DicomObject/CardiacSynchronizationTechnique) &gt; 0 and /DicomObject/CardiacSynchronizationTechnique/value[@number=1] != 'NONE') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CardiacTriggerSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CardiacTriggerSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): CardiacTriggerMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CardiacTriggerMacro"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/FrameAnatomySequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/FrameAnatomySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): FrameAnatomyMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="FrameAnatomyMacro"/>
</xslout:if>
			
			<xslout:if test="count(/DicomObject/ContrastBolusAgentSequence) &gt; 0 and (count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/ContrastBolusUsageSequence) = 0 or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/ContrastBolusUsageSequence) &gt; 0)">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): ContrastBolusUsageMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="ContrastBolusUsageMacro"/>
</xslout:if>

			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRSpectroscopyFrameTypeMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyFrameTypeMacro"/>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTimingAndRelatedParametersSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTimingAndRelatedParametersSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTimingAndRelatedParametersMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTimingAndRelatedParametersMacro"/>
</xslout:if>
			
			<xslout:if test="(((count(/DicomObject/GeometryOfKSpaceTraversal) &gt; 0 and /DicomObject/GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpectroscopyFOVGeometrySequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpectroscopyFOVGeometrySequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpectroscopyFOVGeometryMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyFOVGeometryMacro"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MREchoSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MREchoSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MREchoMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MREchoMacro"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRModifierMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRModifierMacro"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRReceiveCoilSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRReceiveCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRReceiveCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRReceiveCoilMacro"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED') and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRTransmitCoilSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRTransmitCoilSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRTransmitCoilMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRTransmitCoilMacro"/>
</xslout:if>
			
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/AcquisitionContrast/value[@number=1] = 'DIFFUSION') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRDiffusionSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRDiffusionSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRDiffusionMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRDiffusionMacro"/>
</xslout:if>
			
			<xslout:if test="(((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB' or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRModifierSequence/Item[@number=1]/SpatialPresaturation/value[@number=1] = 'SLAB') and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRSpatialSaturationSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRSpatialSaturationSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRSpatialSaturationMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpatialSaturationMacro"/>
</xslout:if>
			
			<xslout:if test="((/DicomObject/PhaseContrast/value[@number=1] = 'YES' and (/DicomObject/ImageType/value[@number=1] = 'ORIGINAL' or /DicomObject/ImageType/value[@number=1] = 'MIXED')) and count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRVelocityEncodingSequence) = 0) or count(/DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRVelocityEncodingSequence) &gt; 0">
<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro (condition true): MRVelocityEncodingMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRVelocityEncodingMacro"/>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MultiFrameDimensionModule">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionOrganizationSequence/'" name="description"/>
<xslout:with-param select="DimensionOrganizationSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="DimensionOrganizationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionOrganizationSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionOrganizationSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/'" name="description"/>
<xslout:with-param select="DimensionIndexSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="DimensionIndexSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionIndexPointer/'" name="description"/>
<xslout:with-param select="DimensionIndexPointer" name="element"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionIndexPointer/'" name="description"/>
<xslout:with-param select="DimensionIndexPointer" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionIndexPrivateCreator/'" name="description"/>
<xslout:with-param select="DimensionIndexPrivateCreator" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionIndexPrivateCreator/'" name="description"/>
<xslout:with-param select="DimensionIndexPrivateCreator" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/FunctionalGroupPointer/'" name="description"/>
<xslout:with-param select="FunctionalGroupPointer" name="element"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/FunctionalGroupPointer/'" name="description"/>
<xslout:with-param select="FunctionalGroupPointer" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/FunctionalGroupPrivateCreator/'" name="description"/>
<xslout:with-param select="FunctionalGroupPrivateCreator" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/FunctionalGroupPrivateCreator/'" name="description"/>
<xslout:with-param select="FunctionalGroupPrivateCreator" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(/DicomObject/DimensionOrganizationSequence/Item) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MultiFrameDimensionModule/DimensionIndexSequence/DimensionOrganizationUID/'" name="description"/>
<xslout:with-param select="DimensionOrganizationUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CardiacSynchronizationModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSynchronizationTechnique/'" name="description"/>
<xslout:with-param select="CardiacSynchronizationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSynchronizationTechnique/'" name="description"/>
<xslout:with-param select="CardiacSynchronizationTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSynchronizationTechnique/'" name="description"/>
<xslout:with-param select="CardiacSynchronizationTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSynchronizationTechnique/'" name="description"/>
<xslout:with-param select="CardiacSynchronizationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CardiacSynchronizationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CardiacSynchronizationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="CardiacSynchronizationTechnique/value[@number=1] = 'REALTIME'">T</xslout:when>
<xslout:when test="CardiacSynchronizationTechnique/value[@number=1] = 'PROSPECTIVE'">T</xslout:when>
<xslout:when test="CardiacSynchronizationTechnique/value[@number=1] = 'RETROSPECTIVE'">T</xslout:when>
<xslout:when test="CardiacSynchronizationTechnique/value[@number=1] = 'PACED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CardiacSynchronizationModule/CardiacSynchronizationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacSynchronizationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="CardiacSynchronizationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSignalSource/'" name="description"/>
<xslout:with-param select="CardiacSignalSource" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and CardiacSynchronizationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSignalSource/'" name="description"/>
<xslout:with-param select="CardiacSignalSource" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSignalSource/'" name="description"/>
<xslout:with-param select="CardiacSignalSource" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacSignalSource/'" name="description"/>
<xslout:with-param select="CardiacSignalSource" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CardiacSignalSource) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: CardiacSynchronizationModule/CardiacSignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacSignalSource" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(CardiacSignalSource/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CardiacSignalSource/value[@number=1] = 'ECG'">T</xslout:when>
<xslout:when test="CardiacSignalSource/value[@number=1] = 'VCG'">T</xslout:when>
<xslout:when test="CardiacSignalSource/value[@number=1] = 'PP'">T</xslout:when>
<xslout:when test="CardiacSignalSource/value[@number=1] = 'MR'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CardiacSynchronizationModule/CardiacSignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacSignalSource" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CardiacSignalSource/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacRRIntervalSpecified/'" name="description"/>
<xslout:with-param select="CardiacRRIntervalSpecified" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and CardiacSynchronizationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacRRIntervalSpecified/'" name="description"/>
<xslout:with-param select="CardiacRRIntervalSpecified" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacRRIntervalSpecified/'" name="description"/>
<xslout:with-param select="CardiacRRIntervalSpecified" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacRRIntervalSpecified/'" name="description"/>
<xslout:with-param select="CardiacRRIntervalSpecified" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CardiacRRIntervalSpecified) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: CardiacSynchronizationModule/CardiacRRIntervalSpecified/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacRRIntervalSpecified" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacBeatRejectionTechnique/'" name="description"/>
<xslout:with-param select="CardiacBeatRejectionTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and (CardiacSynchronizationTechnique/value[@number=1]='PROSPECTIVE' or CardiacSynchronizationTechnique/value[@number=1]='RETROSPECTIVE') and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacBeatRejectionTechnique/'" name="description"/>
<xslout:with-param select="CardiacBeatRejectionTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacBeatRejectionTechnique/'" name="description"/>
<xslout:with-param select="CardiacBeatRejectionTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/CardiacBeatRejectionTechnique/'" name="description"/>
<xslout:with-param select="CardiacBeatRejectionTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CardiacBeatRejectionTechnique) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]!='PROSPECTIVE' and CardiacSynchronizationTechnique/value[@number=1]!='RETROSPECTIVE'">
<xslout:text>Error: CardiacSynchronizationModule/CardiacBeatRejectionTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacBeatRejectionTechnique" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is other than PROSPECTIVE or RETROSPECTIVE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(CardiacBeatRejectionTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CardiacBeatRejectionTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="CardiacBeatRejectionTechnique/value[@number=1] = 'RR_INTERVAL'">T</xslout:when>
<xslout:when test="CardiacBeatRejectionTechnique/value[@number=1] = 'QRS_LOOP'">T</xslout:when>
<xslout:when test="CardiacBeatRejectionTechnique/value[@number=1] = 'PVC'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CardiacSynchronizationModule/CardiacBeatRejectionTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacBeatRejectionTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CardiacBeatRejectionTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/LowRRValue/'" name="description"/>
<xslout:with-param select="LowRRValue" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and (CardiacSynchronizationTechnique/value[@number=1]='PROSPECTIVE' or CardiacSynchronizationTechnique/value[@number=1]='RETROSPECTIVE') and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/LowRRValue/'" name="description"/>
<xslout:with-param select="LowRRValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/LowRRValue/'" name="description"/>
<xslout:with-param select="LowRRValue" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/LowRRValue/'" name="description"/>
<xslout:with-param select="LowRRValue" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(LowRRValue) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]!='PROSPECTIVE' and CardiacSynchronizationTechnique/value[@number=1]!='RETROSPECTIVE'">
<xslout:text>Error: CardiacSynchronizationModule/LowRRValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LowRRValue" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is other than PROSPECTIVE or RETROSPECTIVE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/HighRRValue/'" name="description"/>
<xslout:with-param select="HighRRValue" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and (CardiacSynchronizationTechnique/value[@number=1]='PROSPECTIVE' or CardiacSynchronizationTechnique/value[@number=1]='RETROSPECTIVE') and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/HighRRValue/'" name="description"/>
<xslout:with-param select="HighRRValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/HighRRValue/'" name="description"/>
<xslout:with-param select="HighRRValue" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/HighRRValue/'" name="description"/>
<xslout:with-param select="HighRRValue" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(HighRRValue) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]!='PROSPECTIVE' and CardiacSynchronizationTechnique/value[@number=1]!='RETROSPECTIVE'">
<xslout:text>Error: CardiacSynchronizationModule/HighRRValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="HighRRValue" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is other than PROSPECTIVE or RETROSPECTIVE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsAcquired/'" name="description"/>
<xslout:with-param select="IntervalsAcquired" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and CardiacSynchronizationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsAcquired/'" name="description"/>
<xslout:with-param select="IntervalsAcquired" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsAcquired/'" name="description"/>
<xslout:with-param select="IntervalsAcquired" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsAcquired/'" name="description"/>
<xslout:with-param select="IntervalsAcquired" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(IntervalsAcquired) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: CardiacSynchronizationModule/IntervalsAcquired/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="IntervalsAcquired" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsRejected/'" name="description"/>
<xslout:with-param select="IntervalsRejected" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CardiacSynchronizationTechnique) &gt; 0 and CardiacSynchronizationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsRejected/'" name="description"/>
<xslout:with-param select="IntervalsRejected" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsRejected/'" name="description"/>
<xslout:with-param select="IntervalsRejected" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'CardiacSynchronizationModule/IntervalsRejected/'" name="description"/>
<xslout:with-param select="IntervalsRejected" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(IntervalsRejected) &gt; 0">
<xslout:if test="CardiacSynchronizationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: CardiacSynchronizationModule/IntervalsRejected/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="IntervalsRejected" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when CardiacSynchronizationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="RespiratorySynchronizationModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratoryMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="RespiratoryMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratoryMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="RespiratoryMotionCompensationTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratoryMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="RespiratoryMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratoryMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="RespiratoryMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(RespiratoryMotionCompensationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'BREATH_HOLD'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'REALTIME'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'GATING'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'TRACKING'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'PHASE_ORDERING'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'PHASE_RESCANNING'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'RETROSPECTIVE'">T</xslout:when>
<xslout:when test="RespiratoryMotionCompensationTechnique/value[@number=1] = 'CORRECTION'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: RespiratorySynchronizationModule/RespiratoryMotionCompensationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RespiratoryMotionCompensationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="RespiratoryMotionCompensationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratorySignalSource/'" name="description"/>
<xslout:with-param select="RespiratorySignalSource" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(RespiratoryMotionCompensationTechnique) &gt; 0 and RespiratoryMotionCompensationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratorySignalSource/'" name="description"/>
<xslout:with-param select="RespiratorySignalSource" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratorySignalSource/'" name="description"/>
<xslout:with-param select="RespiratorySignalSource" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'RespiratorySynchronizationModule/RespiratorySignalSource/'" name="description"/>
<xslout:with-param select="RespiratorySignalSource" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(RespiratorySignalSource) &gt; 0">
<xslout:if test="RespiratoryMotionCompensationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: RespiratorySynchronizationModule/RespiratorySignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RespiratorySignalSource" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when RespiratoryMotionCompensationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RespiratorySignalSource/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'BELT'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'NASAL_PROBE'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'CO2_SENSOR'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'NAVIGATOR'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'MR_PHASE'">T</xslout:when>
<xslout:when test="RespiratorySignalSource/value[@number=1] = 'ECG'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: RespiratorySynchronizationModule/RespiratorySignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RespiratorySignalSource" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="RespiratorySignalSource/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="BulkMotionSynchronizationModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="BulkMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="BulkMotionCompensationTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="BulkMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionCompensationTechnique/'" name="description"/>
<xslout:with-param select="BulkMotionCompensationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BulkMotionCompensationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'REALTIME'">T</xslout:when>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'GATING'">T</xslout:when>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'TRACKING'">T</xslout:when>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'RETROSPECTIVE'">T</xslout:when>
<xslout:when test="BulkMotionCompensationTechnique/value[@number=1] = 'CORRECTION'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: BulkMotionSynchronizationModule/BulkMotionCompensationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BulkMotionCompensationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="BulkMotionCompensationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionSignalSource/'" name="description"/>
<xslout:with-param select="BulkMotionSignalSource" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(BulkMotionCompensationTechnique) &gt; 0 and BulkMotionCompensationTechnique/value[@number=1]!='NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionSignalSource/'" name="description"/>
<xslout:with-param select="BulkMotionSignalSource" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionSignalSource/'" name="description"/>
<xslout:with-param select="BulkMotionSignalSource" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'BulkMotionSynchronizationModule/BulkMotionSignalSource/'" name="description"/>
<xslout:with-param select="BulkMotionSignalSource" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BulkMotionSignalSource) &gt; 0">
<xslout:if test="BulkMotionCompensationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: BulkMotionSynchronizationModule/BulkMotionSignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BulkMotionSignalSource" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when BulkMotionCompensationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(BulkMotionSignalSource/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BulkMotionSignalSource/value[@number=1] = 'JOINT'">T</xslout:when>
<xslout:when test="BulkMotionSignalSource/value[@number=1] = 'NAVIGATOR'">T</xslout:when>
<xslout:when test="BulkMotionSignalSource/value[@number=1] = 'MR_PHASE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: BulkMotionSynchronizationModule/BulkMotionSignalSource/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BulkMotionSignalSource" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="BulkMotionSignalSource/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="SupplementalPaletteColorLookupTableModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/RedPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/GreenPaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/BluePaletteColorLookupTableDescriptor/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/RedPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="RedPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/GreenPaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="GreenPaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SupplementalPaletteColorLookupTableModule/BluePaletteColorLookupTableData/'" name="description"/>
<xslout:with-param select="BluePaletteColorLookupTableData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OW'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="AcquisitionContextModule">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/'" name="description"/>
<xslout:with-param select="AcquisitionContextSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="AcquisitionContextSequence/Item">
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ConceptNameCodeSequence/'" name="description"/>
<xslout:with-param select="ConceptNameCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ConceptNameCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ReferencedFrameNumbers/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumbers" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ReferencedFrameNumbers/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumbers" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReferencedFrameNumbers) &gt; 0">
<xslout:if test="count(DicomObject/NumberOfFrames) = 0 or DicomObject/NumberOfFrames/value[@number=1] = 0">
<xslout:text>Error: AcquisitionContextModule/AcquisitionContextSequence/ReferencedFrameNumbers/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReferencedFrameNumbers" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless this is a Multi-frame SOP Instance</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/NumericValue/'" name="description"/>
<xslout:with-param select="NumericValue" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(Date) = 0 and count(Time) = 0 and count(PersonName) = 0 and count(TextValue) = 0 and count(ConceptCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/NumericValue/'" name="description"/>
<xslout:with-param select="NumericValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/NumericValue/'" name="description"/>
<xslout:with-param select="NumericValue" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/NumericValue/'" name="description"/>
<xslout:with-param select="NumericValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
			<xslout:choose>
<xslout:when test="count(NumericValue) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/MeasurementUnitsCodeSequence/'" name="description"/>
<xslout:with-param select="MeasurementUnitsCodeSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/MeasurementUnitsCodeSequence/'" name="description"/>
<xslout:with-param select="MeasurementUnitsCodeSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/MeasurementUnitsCodeSequence/'" name="description"/>
<xslout:with-param select="MeasurementUnitsCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MeasurementUnitsCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Date/'" name="description"/>
<xslout:with-param select="Date" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(NumericValue) = 0 and count(Time) = 0 and count(PersonName) = 0 and count(TextValue) = 0 and count(ConceptCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Date/'" name="description"/>
<xslout:with-param select="Date" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Date/'" name="description"/>
<xslout:with-param select="Date" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Date/'" name="description"/>
<xslout:with-param select="Date" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Time/'" name="description"/>
<xslout:with-param select="Time" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(NumericValue) = 0 and count(Date) = 0 and count(PersonName) = 0 and count(TextValue) = 0 and count(ConceptCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Time/'" name="description"/>
<xslout:with-param select="Time" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Time/'" name="description"/>
<xslout:with-param select="Time" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/Time/'" name="description"/>
<xslout:with-param select="Time" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/PersonName/'" name="description"/>
<xslout:with-param select="PersonName" name="element"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(NumericValue) = 0 and count(Date) = 0 and count(Time) = 0 and count(TextValue) = 0 and count(ConceptCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/PersonName/'" name="description"/>
<xslout:with-param select="PersonName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/PersonName/'" name="description"/>
<xslout:with-param select="PersonName" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/PersonName/'" name="description"/>
<xslout:with-param select="PersonName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'PN'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/TextValue/'" name="description"/>
<xslout:with-param select="TextValue" name="element"/>
<xslout:with-param select="'UT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(NumericValue) = 0 and count(Date) = 0 and count(Time) = 0 and count(PersonName) = 0 and count(ConceptCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/TextValue/'" name="description"/>
<xslout:with-param select="TextValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/TextValue/'" name="description"/>
<xslout:with-param select="TextValue" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/TextValue/'" name="description"/>
<xslout:with-param select="TextValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UT'" name="vr"/>
</xslout:call-template>
			<xslout:choose>
<xslout:when test="count(NumericValue) = 0 and count(Date) = 0 and count(Time) = 0 and count(PersonName) = 0 and count(TextValue) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ConceptCodeSequence/'" name="description"/>
<xslout:with-param select="ConceptCodeSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ConceptCodeSequence/'" name="description"/>
<xslout:with-param select="ConceptCodeSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/ConceptCodeSequence/'" name="description"/>
<xslout:with-param select="ConceptCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ConceptCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/AcquisitionContextDescription/'" name="description"/>
<xslout:with-param select="AcquisitionContextDescription" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'AcquisitionContextModule/AcquisitionContextSequence/AcquisitionContextDescription/'" name="description"/>
<xslout:with-param select="AcquisitionContextDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="EnhancedMRImageModule">
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRImageAndMRSpectroscopyInstanceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageAndMRSpectroscopyInstanceMacro"/>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=3] = 'ANGIO'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'FLUOROSCOPY'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'LOCALIZER'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'MOTION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'PERFUSION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'PRE_CONTRAST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'POST_CONTRAST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'REST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'STRESS'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'VOLUME'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'ANGIO_TIME'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'CINE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'FLOW_ENCODED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'FLUID_ATTENUATED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'FMRI'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'MAX_IP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'MIN_IP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'M_MODE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'METABOLITE_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'MULTIECHO'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'REALTIME'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'STIR'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'TAGGING'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'TEMPERATURE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'T1'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'T2'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'T2_STAR'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'TOF'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'VELOCITY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MASKED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MTT'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RCBF'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RCBV'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RESAMPLED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'T_TEST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'TTP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'Z_SCORE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'ADC'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIFFUSION_ANISO'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIFFUSION_ATTNTD'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'METABOLITE_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'NEI'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'R_COEFFICIENT'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RHO'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'SCM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'SNR_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'T1_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'T2_STAR_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'T2_MAP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'TCS'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'TEMPERATURE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'VELOCITY'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' and ImageType/value[@number=4]!='NONE'">
<xslout:text>Error: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='DERIVED' and ImageType/value[@number=4]='NONE'">
<xslout:text>Error: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='MIXED' and ImageType/value[@number=4]!='MIXED'">
<xslout:text>Error: EnhancedMRImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be MIXED when value 1 is MIXED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CommonCTMRImageDescriptionAtImageLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CommonCTMRImageDescriptionAtImageLevelMacro"/>
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRImageDescriptionAtImageLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageDescriptionAtImageLevelMacro"/>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SamplesPerPixel/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SamplesPerPixel/value[@number=1] = '1'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SamplesPerPixel/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PhotometricInterpretation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'MONOCHROME2'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/PhotometricInterpretation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PhotometricInterpretation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PhotometricInterpretation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/LargestMonochromePixelValue/'" name="description"/>
<xslout:with-param select="LargestMonochromePixelValue" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'EnhancedMRImageModule/LargestMonochromePixelValue/'" name="description"/>
<xslout:with-param select="LargestMonochromePixelValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(LargestMonochromePixelValue) &gt; 0">
<xslout:if test="count(LargestMonochromePixelValue) != 0">
<xslout:text>Warning: EnhancedMRImageModule/LargestMonochromePixelValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LargestMonochromePixelValue" name="node"/>
</xslout:call-template>
<xslout:text>: LargestMonochromePixelValue is retired and should not be used</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(LargestMonochromePixelValue) &gt; 0">
<xslout:if test="LargestMonochromePixelValue/value + 1 != RedPaletteColorLookupTableDescriptor/value[@number=2]">
<xslout:text>Error: EnhancedMRImageModule/LargestMonochromePixelValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LargestMonochromePixelValue" name="node"/>
</xslout:call-template>
<xslout:text>: LargestMonochromePixelValue should be one less than RedPaletteColorLookupTableDescriptor value 2</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(LargestMonochromePixelValue) &gt; 0">
<xslout:if test="LargestMonochromePixelValue/value + 1 != GreenPaletteColorLookupTableDescriptor/value[@number=2]">
<xslout:text>Error: EnhancedMRImageModule/LargestMonochromePixelValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LargestMonochromePixelValue" name="node"/>
</xslout:call-template>
<xslout:text>: LargestMonochromePixelValue should be one less than GreenPaletteColorLookupTableDescriptor value 2</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(LargestMonochromePixelValue) &gt; 0">
<xslout:if test="LargestMonochromePixelValue/value + 1 != BluePaletteColorLookupTableDescriptor/value[@number=2]">
<xslout:text>Error: EnhancedMRImageModule/LargestMonochromePixelValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LargestMonochromePixelValue" name="node"/>
</xslout:call-template>
<xslout:text>: LargestMonochromePixelValue should be one less than BluePaletteColorLookupTableDescriptor value 2</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BitsAllocated/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BitsAllocated/value[@number=1] = '8'">T</xslout:when>
<xslout:when test="BitsAllocated/value[@number=1] = '16'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/BitsAllocated/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsAllocated" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="BitsAllocated/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(BitsAllocated) &gt; 0">
<xslout:if test="BitsStored/value = 8 and BitsAllocated/value != 8">
<xslout:text>Error: EnhancedMRImageModule/BitsAllocated/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsAllocated" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 8 when BitsStored is 8</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(BitsAllocated) &gt; 0">
<xslout:if test="(BitsStored/value = 12 or BitsStored/value = 16) and BitsAllocated/value != 16">
<xslout:text>Error: EnhancedMRImageModule/BitsAllocated/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsAllocated" name="node"/>
</xslout:call-template>
<xslout:text>: Must be 16 when BitsStored is 12 or 16</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BitsStored/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BitsStored/value[@number=1] = '8'">T</xslout:when>
<xslout:when test="BitsStored/value[@number=1] = '12'">T</xslout:when>
<xslout:when test="BitsStored/value[@number=1] = '16'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/BitsStored/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsStored" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="BitsStored/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(HighBit/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="HighBit/value[@number=1] = '7'">T</xslout:when>
<xslout:when test="HighBit/value[@number=1] = '11'">T</xslout:when>
<xslout:when test="HighBit/value[@number=1] = '15'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/HighBit/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="HighBit" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="HighBit/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(HighBit) &gt; 0">
<xslout:if test="BitsStored/value != (HighBit/value + 1)">
<xslout:text>Error: EnhancedMRImageModule/HighBit/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="HighBit" name="node"/>
</xslout:call-template>
<xslout:text>: Must be one less than BitsStored</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/SpacingBetweenSlices/'" name="description"/>
<xslout:with-param select="SpacingBetweenSlices" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'EnhancedMRImageModule/SpacingBetweenSlices/'" name="description"/>
<xslout:with-param select="SpacingBetweenSlices" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompression/'" name="description"/>
<xslout:with-param select="LossyImageCompression" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompression/'" name="description"/>
<xslout:with-param select="LossyImageCompression" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(LossyImageCompression/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="LossyImageCompression/value[@number=1] = '00'">T</xslout:when>
<xslout:when test="LossyImageCompression/value[@number=1] = '01'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedMRImageModule/LossyImageCompression/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LossyImageCompression" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="LossyImageCompression/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="LossyImageCompression/value='01'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'EnhancedMRImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="MRPulseSequenceModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/MRAcquisitionType/'" name="description"/>
<xslout:with-param select="MRAcquisitionType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MRAcquisitionType/'" name="description"/>
<xslout:with-param select="MRAcquisitionType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MRAcquisitionType/'" name="description"/>
<xslout:with-param select="MRAcquisitionType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/MRAcquisitionType/'" name="description"/>
<xslout:with-param select="MRAcquisitionType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MRAcquisitionType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MRAcquisitionType/value[@number=1] = '1D'">T</xslout:when>
<xslout:when test="MRAcquisitionType/value[@number=1] = '2D'">T</xslout:when>
<xslout:when test="MRAcquisitionType/value[@number=1] = '3D'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/MRAcquisitionType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MRAcquisitionType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="MRAcquisitionType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(EchoPulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'SPIN'">T</xslout:when>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'GRADIENT'">T</xslout:when>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'BOTH'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/EchoPulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EchoPulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="EchoPulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                    and (EchoPulseSequence/value[@number=1]='SPIN' or EchoPulseSequence/value[@number=1]='BOTH')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MultipleSpinEcho) &gt; 0">
<xslout:if test="EchoPulseSequence/value[@number=1]!='SPIN' and EchoPulseSequence/value[@number=1]!='BOTH'">
<xslout:text>Error: MRPulseSequenceModule/MultipleSpinEcho/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultipleSpinEcho" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when EchoPulseSequence is SPIN or BOTH</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(MultipleSpinEcho/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MultipleSpinEcho/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="MultipleSpinEcho/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/MultipleSpinEcho/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultipleSpinEcho" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MultipleSpinEcho/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MultiplanarExcitation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MultiplanarExcitation/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="MultiplanarExcitation/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/MultiplanarExcitation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiplanarExcitation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MultiplanarExcitation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/PhaseContrast/'" name="description"/>
<xslout:with-param select="PhaseContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/PhaseContrast/'" name="description"/>
<xslout:with-param select="PhaseContrast" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/PhaseContrast/'" name="description"/>
<xslout:with-param select="PhaseContrast" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/PhaseContrast/'" name="description"/>
<xslout:with-param select="PhaseContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PhaseContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PhaseContrast/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="PhaseContrast/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/PhaseContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PhaseContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PhaseContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/TimeOfFlightContrast/'" name="description"/>
<xslout:with-param select="TimeOfFlightContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/TimeOfFlightContrast/'" name="description"/>
<xslout:with-param select="TimeOfFlightContrast" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/TimeOfFlightContrast/'" name="description"/>
<xslout:with-param select="TimeOfFlightContrast" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/TimeOfFlightContrast/'" name="description"/>
<xslout:with-param select="TimeOfFlightContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(TimeOfFlightContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="TimeOfFlightContrast/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="TimeOfFlightContrast/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/TimeOfFlightContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TimeOfFlightContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="TimeOfFlightContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SteadyStatePulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'FREE_PRECESSION'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'TRANSVERSE'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'TIME_REVERSED'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'LONGITUDINAL'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/SteadyStatePulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SteadyStatePulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SteadyStatePulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(EchoPlanarPulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="EchoPlanarPulseSequence/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="EchoPlanarPulseSequence/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/EchoPlanarPulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EchoPlanarPulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="EchoPlanarPulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/SaturationRecovery/'" name="description"/>
<xslout:with-param select="SaturationRecovery" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SaturationRecovery/'" name="description"/>
<xslout:with-param select="SaturationRecovery" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SaturationRecovery/'" name="description"/>
<xslout:with-param select="SaturationRecovery" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/SaturationRecovery/'" name="description"/>
<xslout:with-param select="SaturationRecovery" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SaturationRecovery/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SaturationRecovery/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="SaturationRecovery/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/SaturationRecovery/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SaturationRecovery" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SaturationRecovery/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SpectrallySelectedSuppression/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'FAT'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'WATER'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'FAT_AND_WATER'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'SILICON_GEL'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/SpectrallySelectedSuppression/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpectrallySelectedSuppression" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SpectrallySelectedSuppression/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/OversamplingPhase/'" name="description"/>
<xslout:with-param select="OversamplingPhase" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/OversamplingPhase/'" name="description"/>
<xslout:with-param select="OversamplingPhase" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/OversamplingPhase/'" name="description"/>
<xslout:with-param select="OversamplingPhase" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/OversamplingPhase/'" name="description"/>
<xslout:with-param select="OversamplingPhase" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(OversamplingPhase/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="OversamplingPhase/value[@number=1] = '2D'">T</xslout:when>
<xslout:when test="OversamplingPhase/value[@number=1] = '3D'">T</xslout:when>
<xslout:when test="OversamplingPhase/value[@number=1] = '2D_3D'">T</xslout:when>
<xslout:when test="OversamplingPhase/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/OversamplingPhase/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="OversamplingPhase" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="OversamplingPhase/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(GeometryOfKSpaceTraversal/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR'">T</xslout:when>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'RADIAL'">T</xslout:when>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'SPIRAL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/GeometryOfKSpaceTraversal/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GeometryOfKSpaceTraversal" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="GeometryOfKSpaceTraversal/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                    and  GeometryOfKSpaceTraversal/value[@number=1]='RECTILINEAR'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(RectilinearPhaseEncodeReordering) &gt; 0">
<xslout:if test="GeometryOfKSpaceTraversal/value[@number=1]!='RECTILINEAR'">
<xslout:text>Error: MRPulseSequenceModule/RectilinearPhaseEncodeReordering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when GeometryOfKSpaceTraversal is RECTILINEAR</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RectilinearPhaseEncodeReordering/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'LINEAR'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'CENTRIC'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'SEGMENTED'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'REVERSE_LINEAR'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'REVERSE_CENTRIC'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/RectilinearPhaseEncodeReordering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="RectilinearPhaseEncodeReordering/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SegmentedKSpaceTraversal/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'SINGLE'">T</xslout:when>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'PARTIAL'">T</xslout:when>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'FULL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRPulseSequenceModule/SegmentedKSpaceTraversal/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SegmentedKSpaceTraversal" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SegmentedKSpaceTraversal/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                     and  MRAcquisitionType/value[@number=1]='3D'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CoverageOfKSpace) &gt; 0">
<xslout:if test="MRAcquisitionType/value[@number=1]!='3D'">
<xslout:text>Error: MRPulseSequenceModule/CoverageOfKSpace/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CoverageOfKSpace" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when MRAcquisitionType is 3D</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(CoverageOfKSpace/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'FULL'">T</xslout:when>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'ELLIPTICAL'">T</xslout:when>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'WEIGHTED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRPulseSequenceModule/CoverageOfKSpace/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CoverageOfKSpace" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CoverageOfKSpace/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="SoftcopyPresentationLUTModule">
		<xslout:choose>
<xslout:when test="count(PresentationLUTShape) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/'" name="description"/>
<xslout:with-param select="PresentationLUTSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/'" name="description"/>
<xslout:with-param select="PresentationLUTSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/'" name="description"/>
<xslout:with-param select="PresentationLUTSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PresentationLUTSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTDescriptor/'" name="description"/>
<xslout:with-param select="LUTDescriptor" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTDescriptor/'" name="description"/>
<xslout:with-param select="LUTDescriptor" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTExplanation/'" name="description"/>
<xslout:with-param select="LUTExplanation" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTExplanation/'" name="description"/>
<xslout:with-param select="LUTExplanation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTData/'" name="description"/>
<xslout:with-param select="LUTData" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTSequence/LUTData/'" name="description"/>
<xslout:with-param select="LUTData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTShape/'" name="description"/>
<xslout:with-param select="PresentationLUTShape" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(PresentationLUTSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTShape/'" name="description"/>
<xslout:with-param select="PresentationLUTShape" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTShape/'" name="description"/>
<xslout:with-param select="PresentationLUTShape" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SoftcopyPresentationLUTModule/PresentationLUTShape/'" name="description"/>
<xslout:with-param select="PresentationLUTShape" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PresentationLUTShape/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PresentationLUTShape/value[@number=1] = 'IDENTITY'">T</xslout:when>
<xslout:when test="PresentationLUTShape/value[@number=1] = 'INVERSE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: SoftcopyPresentationLUTModule/PresentationLUTShape/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PresentationLUTShape" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PresentationLUTShape/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="SOPCommonModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SOPClassUID/'" name="description"/>
<xslout:with-param select="SOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPCommonModule/SOPClassUID/'" name="description"/>
<xslout:with-param select="SOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SOPInstanceUID/'" name="description"/>
<xslout:with-param select="SOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPCommonModule/SOPInstanceUID/'" name="description"/>
<xslout:with-param select="SOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SpecificCharacterSet/'" name="description"/>
<xslout:with-param select="SpecificCharacterSet" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SOPCommonModule/SpecificCharacterSet/'" name="description"/>
<xslout:with-param select="SpecificCharacterSet" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SpecificCharacterSet/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 100'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 101'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 109'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 110'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 144'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 127'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 126'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 138'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 148'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 13'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO_IR 166'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 6'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 100'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 101'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 109'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 110'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 144'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 127'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 126'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 138'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 148'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 13'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 166'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 87'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 159'">T</xslout:when>
<xslout:when test="SpecificCharacterSet/value[@number=1] = 'ISO 2022 IR 149'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: SOPCommonModule/SpecificCharacterSet/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpecificCharacterSet" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SpecificCharacterSet/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/InstanceCreationDate/'" name="description"/>
<xslout:with-param select="InstanceCreationDate" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/InstanceCreationDate/'" name="description"/>
<xslout:with-param select="InstanceCreationDate" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/InstanceCreationTime/'" name="description"/>
<xslout:with-param select="InstanceCreationTime" name="element"/>
<xslout:with-param select="'TM'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/InstanceCreationTime/'" name="description"/>
<xslout:with-param select="InstanceCreationTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/InstanceCreatorUID/'" name="description"/>
<xslout:with-param select="InstanceCreatorUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/InstanceCreatorUID/'" name="description"/>
<xslout:with-param select="InstanceCreatorUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/'" name="description"/>
<xslout:with-param select="CodingSchemeIdentificationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CodingSchemeIdentificationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeDesignator/'" name="description"/>
<xslout:with-param select="CodingSchemeDesignator" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeDesignator/'" name="description"/>
<xslout:with-param select="CodingSchemeDesignator" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeRegistry/'" name="description"/>
<xslout:with-param select="CodingSchemeRegistry" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeRegistry/'" name="description"/>
<xslout:with-param select="CodingSchemeRegistry" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(CodingSchemeRegistry/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CodingSchemeRegistry/value[@number=1] = 'HL7'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeRegistry/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CodingSchemeRegistry" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CodingSchemeRegistry/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeUID/'" name="description"/>
<xslout:with-param select="CodingSchemeUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeUID/'" name="description"/>
<xslout:with-param select="CodingSchemeUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeExternalID/'" name="description"/>
<xslout:with-param select="CodingSchemeExternalID" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeExternalID/'" name="description"/>
<xslout:with-param select="CodingSchemeExternalID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(CodingSchemeExternalID) &gt; 0">
<xslout:if test="count(CodingSchemeUID) &gt; 0">
<xslout:text>Error: SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeExternalID/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CodingSchemeExternalID" name="node"/>
</xslout:call-template>
<xslout:text>: May only be present when CodingSchemeUID is not</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeName/'" name="description"/>
<xslout:with-param select="CodingSchemeName" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeName/'" name="description"/>
<xslout:with-param select="CodingSchemeName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeVersion/'" name="description"/>
<xslout:with-param select="CodingSchemeVersion" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/CodingSchemeVersion/'" name="description"/>
<xslout:with-param select="CodingSchemeVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/ResponsibleOrganization/'" name="description"/>
<xslout:with-param select="ResponsibleOrganization" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/CodingSchemeIdentificationSequence/ResponsibleOrganization/'" name="description"/>
<xslout:with-param select="ResponsibleOrganization" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/TimezoneOffsetFromUTC/'" name="description"/>
<xslout:with-param select="TimezoneOffsetFromUTC" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/TimezoneOffsetFromUTC/'" name="description"/>
<xslout:with-param select="TimezoneOffsetFromUTC" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/'" name="description"/>
<xslout:with-param select="ContributingEquipmentSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContributingEquipmentSequence/Item">
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/PurposeOfReferenceCodeSequence/'" name="description"/>
<xslout:with-param select="PurposeOfReferenceCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PurposeOfReferenceCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/Manufacturer/'" name="description"/>
<xslout:with-param select="Manufacturer" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/Manufacturer/'" name="description"/>
<xslout:with-param select="Manufacturer" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/StationName/'" name="description"/>
<xslout:with-param select="StationName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/StationName/'" name="description"/>
<xslout:with-param select="StationName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionalDepartmentName/'" name="description"/>
<xslout:with-param select="InstitutionalDepartmentName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/InstitutionalDepartmentName/'" name="description"/>
<xslout:with-param select="InstitutionalDepartmentName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ManufacturerModelName/'" name="description"/>
<xslout:with-param select="ManufacturerModelName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ManufacturerModelName/'" name="description"/>
<xslout:with-param select="ManufacturerModelName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DeviceSerialNumber/'" name="description"/>
<xslout:with-param select="DeviceSerialNumber" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DeviceSerialNumber/'" name="description"/>
<xslout:with-param select="DeviceSerialNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/SoftwareVersion/'" name="description"/>
<xslout:with-param select="SoftwareVersion" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/SoftwareVersion/'" name="description"/>
<xslout:with-param select="SoftwareVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/SpatialResolution/'" name="description"/>
<xslout:with-param select="SpatialResolution" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/SpatialResolution/'" name="description"/>
<xslout:with-param select="SpatialResolution" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'DA'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/DateOfLastCalibration/'" name="description"/>
<xslout:with-param select="DateOfLastCalibration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ContributionDateTime/'" name="description"/>
<xslout:with-param select="ContributionDateTime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ContributionDateTime/'" name="description"/>
<xslout:with-param select="ContributionDateTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ContributionDescription/'" name="description"/>
<xslout:with-param select="ContributionDescription" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/ContributingEquipmentSequence/ContributionDescription/'" name="description"/>
<xslout:with-param select="ContributionDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/InstanceNumber/'" name="description"/>
<xslout:with-param select="InstanceNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/InstanceNumber/'" name="description"/>
<xslout:with-param select="InstanceNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SOPInstanceStatus/'" name="description"/>
<xslout:with-param select="SOPInstanceStatus" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/SOPInstanceStatus/'" name="description"/>
<xslout:with-param select="SOPInstanceStatus" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(SOPInstanceStatus/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SOPInstanceStatus/value[@number=1] = 'NS'">T</xslout:when>
<xslout:when test="SOPInstanceStatus/value[@number=1] = 'OR'">T</xslout:when>
<xslout:when test="SOPInstanceStatus/value[@number=1] = 'AO'">T</xslout:when>
<xslout:when test="SOPInstanceStatus/value[@number=1] = 'AC'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: SOPCommonModule/SOPInstanceStatus/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SOPInstanceStatus" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SOPInstanceStatus/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SOPAuthorizationDateAndTime/'" name="description"/>
<xslout:with-param select="SOPAuthorizationDateAndTime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/SOPAuthorizationDateAndTime/'" name="description"/>
<xslout:with-param select="SOPAuthorizationDateAndTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/SOPAuthorizationComment/'" name="description"/>
<xslout:with-param select="SOPAuthorizationComment" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/SOPAuthorizationComment/'" name="description"/>
<xslout:with-param select="SOPAuthorizationComment" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/AuthorizationEquipmentCertificationNumber/'" name="description"/>
<xslout:with-param select="AuthorizationEquipmentCertificationNumber" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPCommonModule/AuthorizationEquipmentCertificationNumber/'" name="description"/>
<xslout:with-param select="AuthorizationEquipmentCertificationNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: DigitalSignaturesMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="DigitalSignaturesMacro"/>
		<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'SOPCommonModule/EncryptedAttributesSequence/'" name="description"/>
<xslout:with-param select="EncryptedAttributesSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="EncryptedAttributesSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/EncryptedAttributesSequence/EncryptedContentTransferSyntaxUID/'" name="description"/>
<xslout:with-param select="EncryptedContentTransferSyntaxUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPCommonModule/EncryptedAttributesSequence/EncryptedContentTransferSyntaxUID/'" name="description"/>
<xslout:with-param select="EncryptedContentTransferSyntaxUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPCommonModule/EncryptedAttributesSequence/EncryptedContent/'" name="description"/>
<xslout:with-param select="EncryptedContent" name="element"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPCommonModule/EncryptedAttributesSequence/EncryptedContent/'" name="description"/>
<xslout:with-param select="EncryptedContent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRSpectroscopyModule">
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRImageAndMRSpectroscopyInstanceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageAndMRSpectroscopyInstanceMacro"/>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=3] = 'SPECTROSCOPY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' and ImageType/value[@number=4]!='NONE'">
<xslout:text>Error: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='DERIVED' and ImageType/value[@number=4]='NONE'">
<xslout:text>Error: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='MIXED' and ImageType/value[@number=4]!='MIXED'">
<xslout:text>Error: MRSpectroscopyModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be MIXED when value 1 is MIXED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRSpectroscopyDescriptionAtImageLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyDescriptionAtImageLevelMacro"/>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(TransmitterFrequency) &gt; 0">
<xslout:if test="count(TransmitterFrequency/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/TransmitterFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TransmitterFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(TransmitterFrequency) &gt; 0">
<xslout:if test="number(TransmitterFrequency/value[@number=1])=0">
<xslout:text>Warning: MRSpectroscopyModule/TransmitterFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TransmitterFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(TransmitterFrequency) &gt; 0">
<xslout:if test="number(TransmitterFrequency/value[@number=2])=0">
<xslout:text>Warning: MRSpectroscopyModule/TransmitterFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TransmitterFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/SpectralWidth/'" name="description"/>
<xslout:with-param select="SpectralWidth" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/SpectralWidth/'" name="description"/>
<xslout:with-param select="SpectralWidth" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/SpectralWidth/'" name="description"/>
<xslout:with-param select="SpectralWidth" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/SpectralWidth/'" name="description"/>
<xslout:with-param select="SpectralWidth" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SpectralWidth) &gt; 0">
<xslout:if test="count(SpectralWidth/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/SpectralWidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpectralWidth" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(SpectralWidth) &gt; 0">
<xslout:if test="number(SpectralWidth/value)=0">
<xslout:text>Warning: MRSpectroscopyModule/SpectralWidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpectralWidth" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/ChemicalShiftReference/'" name="description"/>
<xslout:with-param select="ChemicalShiftReference" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/ChemicalShiftReference/'" name="description"/>
<xslout:with-param select="ChemicalShiftReference" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/ChemicalShiftReference/'" name="description"/>
<xslout:with-param select="ChemicalShiftReference" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/ChemicalShiftReference/'" name="description"/>
<xslout:with-param select="ChemicalShiftReference" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ChemicalShiftReference) &gt; 0">
<xslout:if test="count(ChemicalShiftReference/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/ChemicalShiftReference/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ChemicalShiftReference" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationTechnique/'" name="description"/>
<xslout:with-param select="VolumeLocalizationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationTechnique/'" name="description"/>
<xslout:with-param select="VolumeLocalizationTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationTechnique/'" name="description"/>
<xslout:with-param select="VolumeLocalizationTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationTechnique/'" name="description"/>
<xslout:with-param select="VolumeLocalizationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumeLocalizationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'ILOPS'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'ISIS'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'PRIME'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'PRESS'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'SLIM'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'SLOOP'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'STEAM'">T</xslout:when>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/VolumeLocalizationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeLocalizationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="VolumeLocalizationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:choose>
<xslout:when test="VolumeLocalizationTechnique/value[@number=1] != 'NONE' and (ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/'" name="description"/>
<xslout:with-param select="VolumeLocalizationSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/'" name="description"/>
<xslout:with-param select="VolumeLocalizationSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/'" name="description"/>
<xslout:with-param select="VolumeLocalizationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="VolumeLocalizationSequence/Item">
			<xslout:if test="count(VolumeLocalizationSequence) &gt; 0">
<xslout:if test="VolumeLocalizationTechnique/value[@number=1]='NONE'">
<xslout:text>Error: MRSpectroscopyModule/VolumeLocalizationSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeLocalizationSequence" name="node"/>
</xslout:call-template>
<xslout:text>: may not be present when VolumeLocalizationTechnique is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/SlabThickness/'" name="description"/>
<xslout:with-param select="SlabThickness" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/SlabThickness/'" name="description"/>
<xslout:with-param select="SlabThickness" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/SlabOrientation/'" name="description"/>
<xslout:with-param select="SlabOrientation" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/SlabOrientation/'" name="description"/>
<xslout:with-param select="SlabOrientation" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/MidSlabPosition/'" name="description"/>
<xslout:with-param select="MidSlabPosition" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyModule/VolumeLocalizationSequence/MidSlabPosition/'" name="description"/>
<xslout:with-param select="MidSlabPosition" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/Decoupling/'" name="description"/>
<xslout:with-param select="Decoupling" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/Decoupling/'" name="description"/>
<xslout:with-param select="Decoupling" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/Decoupling/'" name="description"/>
<xslout:with-param select="Decoupling" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/Decoupling/'" name="description"/>
<xslout:with-param select="Decoupling" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(Decoupling/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Decoupling/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="Decoupling/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/Decoupling/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Decoupling" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="Decoupling/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/DecoupledNucleus/'" name="description"/>
<xslout:with-param select="DecoupledNucleus" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="Decoupling/value[@number=1]='YES'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecoupledNucleus/'" name="description"/>
<xslout:with-param select="DecoupledNucleus" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecoupledNucleus/'" name="description"/>
<xslout:with-param select="DecoupledNucleus" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/DecoupledNucleus/'" name="description"/>
<xslout:with-param select="DecoupledNucleus" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(DecoupledNucleus) &gt; 0">
<xslout:if test="count(DecoupledNucleus/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/DecoupledNucleus/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecoupledNucleus" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(DecoupledNucleus/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DecoupledNucleus/value[@number=1] = '1H'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '3HE'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '7LI'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '13C'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '19F'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '23NA'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '31P'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=1] = '129XE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/DecoupledNucleus/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecoupledNucleus" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="DecoupledNucleus/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(DecoupledNucleus/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DecoupledNucleus/value[@number=2] = '1H'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '3HE'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '7LI'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '13C'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '19F'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '23NA'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '31P'">T</xslout:when>
<xslout:when test="DecoupledNucleus/value[@number=2] = '129XE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/DecoupledNucleus/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecoupledNucleus" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="DecoupledNucleus/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingFrequency/'" name="description"/>
<xslout:with-param select="DecouplingFrequency" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="Decoupling/value[@number=1]='YES'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingFrequency/'" name="description"/>
<xslout:with-param select="DecouplingFrequency" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingFrequency/'" name="description"/>
<xslout:with-param select="DecouplingFrequency" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingFrequency/'" name="description"/>
<xslout:with-param select="DecouplingFrequency" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(DecouplingFrequency) &gt; 0">
<xslout:if test="count(DecouplingFrequency/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/DecouplingFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecouplingFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(DecouplingFrequency) &gt; 0">
<xslout:if test="number(DecouplingFrequency/value[@number=1])=0">
<xslout:text>Warning: MRSpectroscopyModule/DecouplingFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecouplingFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(DecouplingFrequency) &gt; 0">
<xslout:if test="number(DecouplingFrequency/value[@number=2])=0">
<xslout:text>Warning: MRSpectroscopyModule/DecouplingFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecouplingFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingMethod/'" name="description"/>
<xslout:with-param select="DecouplingMethod" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="Decoupling/value[@number=1]='YES'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingMethod/'" name="description"/>
<xslout:with-param select="DecouplingMethod" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingMethod/'" name="description"/>
<xslout:with-param select="DecouplingMethod" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingMethod/'" name="description"/>
<xslout:with-param select="DecouplingMethod" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(DecouplingMethod/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DecouplingMethod/value[@number=1] = 'MLEV'">T</xslout:when>
<xslout:when test="DecouplingMethod/value[@number=1] = 'WALTZ'">T</xslout:when>
<xslout:when test="DecouplingMethod/value[@number=1] = 'NARROWBAND'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/DecouplingMethod/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecouplingMethod" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="DecouplingMethod/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingChemicalShiftReference/'" name="description"/>
<xslout:with-param select="DecouplingChemicalShiftReference" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="Decoupling/value[@number=1]='YES'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingChemicalShiftReference/'" name="description"/>
<xslout:with-param select="DecouplingChemicalShiftReference" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingChemicalShiftReference/'" name="description"/>
<xslout:with-param select="DecouplingChemicalShiftReference" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/DecouplingChemicalShiftReference/'" name="description"/>
<xslout:with-param select="DecouplingChemicalShiftReference" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(DecouplingChemicalShiftReference) &gt; 0">
<xslout:if test="count(DecouplingChemicalShiftReference/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/DecouplingChemicalShiftReference/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DecouplingChemicalShiftReference" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/TimeDomainFiltering/'" name="description"/>
<xslout:with-param select="TimeDomainFiltering" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/TimeDomainFiltering/'" name="description"/>
<xslout:with-param select="TimeDomainFiltering" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/TimeDomainFiltering/'" name="description"/>
<xslout:with-param select="TimeDomainFiltering" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/TimeDomainFiltering/'" name="description"/>
<xslout:with-param select="TimeDomainFiltering" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(TimeDomainFiltering) &gt; 0">
<xslout:if test="count(TimeDomainFiltering/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/TimeDomainFiltering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TimeDomainFiltering" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(TimeDomainFiltering/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="TimeDomainFiltering/value = 'COSINE'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'COSINE_SQUARED'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'EXPONENTIAL'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'GAUSSIAN'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'HAMMING'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'HANNING'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'LORENTZIAN'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'LRNTZ_GSS_TRNSFM'">T</xslout:when>
<xslout:when test="TimeDomainFiltering/value = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/TimeDomainFiltering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TimeDomainFiltering" name="node"/>
</xslout:call-template>
<xslout:text>: Unrecognized defined term :</xslout:text>
<xslout:value-of select="TimeDomainFiltering/value"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/NumberOfZeroFills/'" name="description"/>
<xslout:with-param select="NumberOfZeroFills" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/NumberOfZeroFills/'" name="description"/>
<xslout:with-param select="NumberOfZeroFills" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/NumberOfZeroFills/'" name="description"/>
<xslout:with-param select="NumberOfZeroFills" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/NumberOfZeroFills/'" name="description"/>
<xslout:with-param select="NumberOfZeroFills" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(NumberOfZeroFills) &gt; 0">
<xslout:if test="count(NumberOfZeroFills/value) != DataPointRows/value[@number=1]">
<xslout:text>Error: MRSpectroscopyModule/NumberOfZeroFills/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="NumberOfZeroFills" name="node"/>
</xslout:call-template>
<xslout:text>: VM must equal value of Data Point Rows</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/BaselineCorrection/'" name="description"/>
<xslout:with-param select="BaselineCorrection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/BaselineCorrection/'" name="description"/>
<xslout:with-param select="BaselineCorrection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/BaselineCorrection/'" name="description"/>
<xslout:with-param select="BaselineCorrection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/BaselineCorrection/'" name="description"/>
<xslout:with-param select="BaselineCorrection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BaselineCorrection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BaselineCorrection/value[@number=1] = 'LINEAR_TILT'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'LOCAL_LINEAR_FIT'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'POLYNOMIAL_FIT'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'SINC_DECONVOLUTION'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'TIME_DOMAIN_FIT'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'SPLINE'">T</xslout:when>
<xslout:when test="BaselineCorrection/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyModule/BaselineCorrection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BaselineCorrection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="BaselineCorrection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/FrequencyCorrection/'" name="description"/>
<xslout:with-param select="FrequencyCorrection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/FrequencyCorrection/'" name="description"/>
<xslout:with-param select="FrequencyCorrection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/FrequencyCorrection/'" name="description"/>
<xslout:with-param select="FrequencyCorrection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/FrequencyCorrection/'" name="description"/>
<xslout:with-param select="FrequencyCorrection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(FrequencyCorrection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrequencyCorrection/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="FrequencyCorrection/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/FrequencyCorrection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrequencyCorrection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrequencyCorrection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/FirstOrderPhaseCorrection/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/FirstOrderPhaseCorrection/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/FirstOrderPhaseCorrection/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/FirstOrderPhaseCorrection/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(FirstOrderPhaseCorrection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FirstOrderPhaseCorrection/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="FirstOrderPhaseCorrection/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/FirstOrderPhaseCorrection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FirstOrderPhaseCorrection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FirstOrderPhaseCorrection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyModule/WaterReferencedPhaseCorrection/'" name="description"/>
<xslout:with-param select="WaterReferencedPhaseCorrection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/WaterReferencedPhaseCorrection/'" name="description"/>
<xslout:with-param select="WaterReferencedPhaseCorrection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyModule/WaterReferencedPhaseCorrection/'" name="description"/>
<xslout:with-param select="WaterReferencedPhaseCorrection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyModule/WaterReferencedPhaseCorrection/'" name="description"/>
<xslout:with-param select="WaterReferencedPhaseCorrection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(WaterReferencedPhaseCorrection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="WaterReferencedPhaseCorrection/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="WaterReferencedPhaseCorrection/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyModule/WaterReferencedPhaseCorrection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="WaterReferencedPhaseCorrection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="WaterReferencedPhaseCorrection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="MRSpectroscopyPulseSequenceModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/PulseSequenceName/'" name="description"/>
<xslout:with-param select="PulseSequenceName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MRSpectroscopyAcquisitionType/'" name="description"/>
<xslout:with-param select="MRSpectroscopyAcquisitionType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MRSpectroscopyAcquisitionType/'" name="description"/>
<xslout:with-param select="MRSpectroscopyAcquisitionType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MRSpectroscopyAcquisitionType/'" name="description"/>
<xslout:with-param select="MRSpectroscopyAcquisitionType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MRSpectroscopyAcquisitionType/'" name="description"/>
<xslout:with-param select="MRSpectroscopyAcquisitionType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MRSpectroscopyAcquisitionType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MRSpectroscopyAcquisitionType/value[@number=1] = 'SINGLE_VOXEL'">T</xslout:when>
<xslout:when test="MRSpectroscopyAcquisitionType/value[@number=1] = 'ROW'">T</xslout:when>
<xslout:when test="MRSpectroscopyAcquisitionType/value[@number=1] = 'PLANE'">T</xslout:when>
<xslout:when test="MRSpectroscopyAcquisitionType/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/MRSpectroscopyAcquisitionType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MRSpectroscopyAcquisitionType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="MRSpectroscopyAcquisitionType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(EchoPulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'SPIN'">T</xslout:when>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'GRADIENT'">T</xslout:when>
<xslout:when test="EchoPulseSequence/value[@number=1] = 'BOTH'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/EchoPulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EchoPulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="EchoPulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                    and (EchoPulseSequence/value[@number=1]='SPIN' or EchoPulseSequence/value[@number=1]='BOTH')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/'" name="description"/>
<xslout:with-param select="MultipleSpinEcho" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MultipleSpinEcho) &gt; 0">
<xslout:if test="EchoPulseSequence/value[@number=1]!='SPIN' and EchoPulseSequence/value[@number=1]!='BOTH'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultipleSpinEcho" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when EchoPulseSequence is SPIN or BOTH</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(MultipleSpinEcho/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MultipleSpinEcho/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="MultipleSpinEcho/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/MultipleSpinEcho/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultipleSpinEcho" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MultipleSpinEcho/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/MultiplanarExcitation/'" name="description"/>
<xslout:with-param select="MultiplanarExcitation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(MultiplanarExcitation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MultiplanarExcitation/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="MultiplanarExcitation/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/MultiplanarExcitation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiplanarExcitation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MultiplanarExcitation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SteadyStatePulseSequence/'" name="description"/>
<xslout:with-param select="SteadyStatePulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SteadyStatePulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'FREE_PRECESSION'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'TRANSVERSE'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'TIME_REVERSED'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'LONGITUDINAL'">T</xslout:when>
<xslout:when test="SteadyStatePulseSequence/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/SteadyStatePulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SteadyStatePulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SteadyStatePulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/EchoPlanarPulseSequence/'" name="description"/>
<xslout:with-param select="EchoPlanarPulseSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(EchoPlanarPulseSequence/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="EchoPlanarPulseSequence/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="EchoPlanarPulseSequence/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/EchoPlanarPulseSequence/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EchoPlanarPulseSequence" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="EchoPlanarPulseSequence/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SpectrallySelectedSuppression/'" name="description"/>
<xslout:with-param select="SpectrallySelectedSuppression" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SpectrallySelectedSuppression/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'FAT'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'WATER'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'FAT_AND_WATER'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'SILICON_GEL'">T</xslout:when>
<xslout:when test="SpectrallySelectedSuppression/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/SpectrallySelectedSuppression/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpectrallySelectedSuppression" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SpectrallySelectedSuppression/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/GeometryOfKSpaceTraversal/'" name="description"/>
<xslout:with-param select="GeometryOfKSpaceTraversal" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(GeometryOfKSpaceTraversal/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'RECTILINEAR'">T</xslout:when>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'RADIAL'">T</xslout:when>
<xslout:when test="GeometryOfKSpaceTraversal/value[@number=1] = 'SPIRAL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/GeometryOfKSpaceTraversal/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GeometryOfKSpaceTraversal" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="GeometryOfKSpaceTraversal/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                    and  GeometryOfKSpaceTraversal/value[@number=1]='RECTILINEAR'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/'" name="description"/>
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(RectilinearPhaseEncodeReordering) &gt; 0">
<xslout:if test="GeometryOfKSpaceTraversal/value[@number=1]!='RECTILINEAR'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when GeometryOfKSpaceTraversal is RECTILINEAR</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(RectilinearPhaseEncodeReordering/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'LINEAR'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'CENTRIC'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'SEGMENTED'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'REVERSE_LINEAR'">T</xslout:when>
<xslout:when test="RectilinearPhaseEncodeReordering/value[@number=1] = 'REVERSE_CENTRIC'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/RectilinearPhaseEncodeReordering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RectilinearPhaseEncodeReordering" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="RectilinearPhaseEncodeReordering/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/SegmentedKSpaceTraversal/'" name="description"/>
<xslout:with-param select="SegmentedKSpaceTraversal" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SegmentedKSpaceTraversal/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'SINGLE'">T</xslout:when>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'PARTIAL'">T</xslout:when>
<xslout:when test="SegmentedKSpaceTraversal/value[@number=1] = 'FULL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/SegmentedKSpaceTraversal/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SegmentedKSpaceTraversal" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SegmentedKSpaceTraversal/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED')                     and  MRSpectroscopyAcquisitionType/value[@number=1]='VOLUME'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/'" name="description"/>
<xslout:with-param select="CoverageOfKSpace" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(CoverageOfKSpace) &gt; 0">
<xslout:if test="MRAcquisitionType/value[@number=1]!='VOLUME'">
<xslout:text>Error: MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CoverageOfKSpace" name="node"/>
</xslout:call-template>
<xslout:text>: Can only be present when MRSpectroscopyAcquisitionType is VOLUME</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(CoverageOfKSpace/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'FULL'">T</xslout:when>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'CYLINDRICAL'">T</xslout:when>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'ELLIPSOIDAL'">T</xslout:when>
<xslout:when test="CoverageOfKSpace/value[@number=1] = 'WEIGHTED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyPulseSequenceModule/CoverageOfKSpace/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CoverageOfKSpace" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CoverageOfKSpace/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyPulseSequenceModule/NumberOfKSpaceTrajectories/'" name="description"/>
<xslout:with-param select="NumberOfKSpaceTrajectories" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="MRSpectroscopyDataModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/Rows/'" name="description"/>
<xslout:with-param select="Rows" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/Rows/'" name="description"/>
<xslout:with-param select="Rows" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/Columns/'" name="description"/>
<xslout:with-param select="Columns" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/Columns/'" name="description"/>
<xslout:with-param select="Columns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/DataPointRows/'" name="description"/>
<xslout:with-param select="DataPointRows" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/DataPointRows/'" name="description"/>
<xslout:with-param select="DataPointRows" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/DataPointColumns/'" name="description"/>
<xslout:with-param select="DataPointColumns" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/DataPointColumns/'" name="description"/>
<xslout:with-param select="DataPointColumns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/DataRepresentation/'" name="description"/>
<xslout:with-param select="DataRepresentation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/DataRepresentation/'" name="description"/>
<xslout:with-param select="DataRepresentation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(DataRepresentation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DataRepresentation/value[@number=1] = 'COMPLEX'">T</xslout:when>
<xslout:when test="DataRepresentation/value[@number=1] = 'REAL'">T</xslout:when>
<xslout:when test="DataRepresentation/value[@number=1] = 'IMAGINARY'">T</xslout:when>
<xslout:when test="DataRepresentation/value[@number=1] = 'MAGNITUDE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyDataModule/DataRepresentation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DataRepresentation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="DataRepresentation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainColumns/'" name="description"/>
<xslout:with-param select="SignalDomainColumns" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainColumns/'" name="description"/>
<xslout:with-param select="SignalDomainColumns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SignalDomainColumns/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SignalDomainColumns/value[@number=1] = 'FREQUENCY'">T</xslout:when>
<xslout:when test="SignalDomainColumns/value[@number=1] = 'TIME'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyDataModule/SignalDomainColumns/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SignalDomainColumns" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SignalDomainColumns/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainRows/'" name="description"/>
<xslout:with-param select="SignalDomainRows" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="DataPointRows/value[@number=1] &gt; 1 or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainRows/'" name="description"/>
<xslout:with-param select="SignalDomainRows" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainRows/'" name="description"/>
<xslout:with-param select="SignalDomainRows" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyDataModule/SignalDomainRows/'" name="description"/>
<xslout:with-param select="SignalDomainRows" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SignalDomainRows/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SignalDomainRows/value[@number=1] = 'FREQUENCY'">T</xslout:when>
<xslout:when test="SignalDomainRows/value[@number=1] = 'TIME'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyDataModule/SignalDomainRows/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SignalDomainRows" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SignalDomainRows/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/FirstOrderPhaseCorrectionAngle/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrectionAngle" name="element"/>
<xslout:with-param select="'OF'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="FirstOrderPhaseCorrection/value[@number=1] = 'YES'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyDataModule/FirstOrderPhaseCorrectionAngle/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrectionAngle" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyDataModule/FirstOrderPhaseCorrectionAngle/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrectionAngle" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyDataModule/FirstOrderPhaseCorrectionAngle/'" name="description"/>
<xslout:with-param select="FirstOrderPhaseCorrectionAngle" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OF'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDataModule/SpectroscopyData/'" name="description"/>
<xslout:with-param select="SpectroscopyData" name="element"/>
<xslout:with-param select="'OF'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDataModule/SpectroscopyData/'" name="description"/>
<xslout:with-param select="SpectroscopyData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OF'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="CTSeriesModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTSeriesModule/Modality/'" name="description"/>
<xslout:with-param select="Modality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(Modality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Modality/value[@number=1] = 'CT'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTSeriesModule/Modality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Modality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="Modality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'CTSeriesModule/ReferencedPerformedProcedureStepSequence/'" name="description"/>
<xslout:with-param select="ReferencedPerformedProcedureStepSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedPerformedProcedureStepSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTSeriesModule/ReferencedPerformedProcedureStepSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="EnhancedCTImageModule">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/ImageType/'" name="description"/>
<xslout:with-param select="ImageType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ImageType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=3] = 'ANGIO'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'FLUOROSCOPY'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'LOCALIZER'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'MOTION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'PERFUSION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'PRE_CONTRAST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'POST_CONTRAST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'REST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'STRESS'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'VOLUME'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'ATTENUATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'CARDIAC'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'CARDIAC_GATED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=3] = 'REFERENCE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ImageType/value[@number=4] = 'FILTERED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MEDIAN'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MASKED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MTT'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RCBF'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RCBV'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'RESAMPLED'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'T_TEST'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'TTP'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'Z_SCORE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:when test="ImageType/value[@number=4] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ImageType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' and ImageType/value[@number=4]!='NONE'">
<xslout:text>Error: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='DERIVED' and ImageType/value[@number=4]='NONE'">
<xslout:text>Error: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(ImageType) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='MIXED' and ImageType/value[@number=4]!='MIXED'">
<xslout:text>Error: EnhancedCTImageModule/ImageType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ImageType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be MIXED when value 1 is MIXED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CommonCTMRImageDescriptionAtImageLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CommonCTMRImageDescriptionAtImageLevelMacro"/>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionNumber/'" name="description"/>
<xslout:with-param select="AcquisitionNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionNumber/'" name="description"/>
<xslout:with-param select="AcquisitionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionDuration) &gt; 0">
<xslout:if test="number(AcquisitionDuration/value)=0">
<xslout:text>Warning: EnhancedCTImageModule/AcquisitionDuration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionDuration" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedRawDataSequence/'" name="description"/>
<xslout:with-param select="ReferencedRawDataSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedRawDataSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedWaveformSequence/'" name="description"/>
<xslout:with-param select="ReferencedWaveformSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedWaveformSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:choose>
<xslout:when test="count(//ReferencedImageSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedImageEvidenceSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:choose>
<xslout:when test="count(//SourceImageSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SourceImageEvidenceSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/ReferencedGrayscalePresentationStateSequence/'" name="description"/>
<xslout:with-param select="ReferencedGrayscalePresentationStateSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedGrayscalePresentationStateSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/SamplesPerPixel/'" name="description"/>
<xslout:with-param select="SamplesPerPixel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(SamplesPerPixel/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SamplesPerPixel/value[@number=1] = '1'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/SamplesPerPixel/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SamplesPerPixel" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SamplesPerPixel/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/PhotometricInterpretation/'" name="description"/>
<xslout:with-param select="PhotometricInterpretation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PhotometricInterpretation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PhotometricInterpretation/value[@number=1] = 'MONOCHROME2'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/PhotometricInterpretation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PhotometricInterpretation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PhotometricInterpretation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/BitsAllocated/'" name="description"/>
<xslout:with-param select="BitsAllocated" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BitsAllocated/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BitsAllocated/value[@number=1] = '16'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/BitsAllocated/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsAllocated" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="BitsAllocated/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/BitsStored/'" name="description"/>
<xslout:with-param select="BitsStored" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(BitsStored/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BitsStored/value[@number=1] = '12'">T</xslout:when>
<xslout:when test="BitsStored/value[@number=1] = '16'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/BitsStored/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BitsStored" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="BitsStored/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/HighBit/'" name="description"/>
<xslout:with-param select="HighBit" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(HighBit/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="HighBit/value[@number=1] = '11'">T</xslout:when>
<xslout:when test="HighBit/value[@number=1] = '15'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/HighBit/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="HighBit" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="HighBit/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(HighBit) &gt; 0">
<xslout:if test="BitsStored/value != (HighBit/value + 1)">
<xslout:text>Error: EnhancedCTImageModule/HighBit/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="HighBit" name="node"/>
</xslout:call-template>
<xslout:text>: Must be one less than BitsStored</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/ContentQualification/'" name="description"/>
<xslout:with-param select="ContentQualification" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/ContentQualification/'" name="description"/>
<xslout:with-param select="ContentQualification" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ContentQualification/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContentQualification/value[@number=1] = 'PRODUCT'">T</xslout:when>
<xslout:when test="ContentQualification/value[@number=1] = 'RESEARCH'">T</xslout:when>
<xslout:when test="ContentQualification/value[@number=1] = 'SERVICE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/ContentQualification/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContentQualification" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ContentQualification/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/ImageComments/'" name="description"/>
<xslout:with-param select="ImageComments" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'EnhancedCTImageModule/ImageComments/'" name="description"/>
<xslout:with-param select="ImageComments" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompression/'" name="description"/>
<xslout:with-param select="LossyImageCompression" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompression/'" name="description"/>
<xslout:with-param select="LossyImageCompression" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(LossyImageCompression/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="LossyImageCompression/value[@number=1] = '00'">T</xslout:when>
<xslout:when test="LossyImageCompression/value[@number=1] = '01'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: EnhancedCTImageModule/LossyImageCompression/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="LossyImageCompression" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="LossyImageCompression/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="LossyImageCompression/value='01'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'EnhancedCTImageModule/LossyImageCompressionRatio/'" name="description"/>
<xslout:with-param select="LossyImageCompressionRatio" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="DigitalSignaturesMacro">
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/'" name="description"/>
<xslout:with-param select="MACParametersSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MACParametersSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACIDNumber/'" name="description"/>
<xslout:with-param select="MACIDNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACIDNumber/'" name="description"/>
<xslout:with-param select="MACIDNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACCalculationTransferSyntaxUID/'" name="description"/>
<xslout:with-param select="MACCalculationTransferSyntaxUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACCalculationTransferSyntaxUID/'" name="description"/>
<xslout:with-param select="MACCalculationTransferSyntaxUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACAlgorithm/'" name="description"/>
<xslout:with-param select="MACAlgorithm" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACAlgorithm/'" name="description"/>
<xslout:with-param select="MACAlgorithm" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(MACAlgorithm/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MACAlgorithm/value[@number=1] = 'RIPEMD160'">T</xslout:when>
<xslout:when test="MACAlgorithm/value[@number=1] = 'MD5'">T</xslout:when>
<xslout:when test="MACAlgorithm/value[@number=1] = 'SHA'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: DigitalSignaturesMacro/MACParametersSequence/MACAlgorithm/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MACAlgorithm" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="MACAlgorithm/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DataElementsSigned/'" name="description"/>
<xslout:with-param select="DataElementsSigned" name="element"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DataElementsSigned/'" name="description"/>
<xslout:with-param select="DataElementsSigned" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'AT'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/'" name="description"/>
<xslout:with-param select="MACParametersSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MACParametersSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACIDNumber/'" name="description"/>
<xslout:with-param select="MACIDNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/MACIDNumber/'" name="description"/>
<xslout:with-param select="MACIDNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DigitalSignatureUID/'" name="description"/>
<xslout:with-param select="DigitalSignatureUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DigitalSignatureUID/'" name="description"/>
<xslout:with-param select="DigitalSignatureUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DigitalSignatureDateTime/'" name="description"/>
<xslout:with-param select="DigitalSignatureDateTime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/DigitalSignatureDateTime/'" name="description"/>
<xslout:with-param select="DigitalSignatureDateTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertificateType/'" name="description"/>
<xslout:with-param select="CertificateType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertificateType/'" name="description"/>
<xslout:with-param select="CertificateType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertificateOfSigner/'" name="description"/>
<xslout:with-param select="CertificateOfSigner" name="element"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertificateOfSigner/'" name="description"/>
<xslout:with-param select="CertificateOfSigner" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/Signature/'" name="description"/>
<xslout:with-param select="Signature" name="element"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/Signature/'" name="description"/>
<xslout:with-param select="Signature" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestampType/'" name="description"/>
<xslout:with-param select="CertifiedTimestampType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(CertifiedTimestamp) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestampType/'" name="description"/>
<xslout:with-param select="CertifiedTimestampType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestampType/'" name="description"/>
<xslout:with-param select="CertifiedTimestampType" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestampType/'" name="description"/>
<xslout:with-param select="CertifiedTimestampType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(CertifiedTimestampType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CertifiedTimestampType/value[@number=1] = 'CMS_TSP'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestampType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CertifiedTimestampType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CertifiedTimestampType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestamp/'" name="description"/>
<xslout:with-param select="CertifiedTimestamp" name="element"/>
<xslout:with-param select="'OB'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'DigitalSignaturesMacro/MACParametersSequence/CertifiedTimestamp/'" name="description"/>
<xslout:with-param select="CertifiedTimestamp" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRImageAndMRSpectroscopyInstanceMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionNumber/'" name="description"/>
<xslout:with-param select="AcquisitionNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionNumber/'" name="description"/>
<xslout:with-param select="AcquisitionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDateTime/'" name="description"/>
<xslout:with-param select="AcquisitionDateTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDuration/'" name="description"/>
<xslout:with-param select="AcquisitionDuration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionDuration) &gt; 0">
<xslout:if test="number(AcquisitionDuration/value)=0">
<xslout:text>Warning: MRImageAndMRSpectroscopyInstanceMacro/AcquisitionDuration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionDuration" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedRawDataSequence/'" name="description"/>
<xslout:with-param select="ReferencedRawDataSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedRawDataSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedWaveformSequence/'" name="description"/>
<xslout:with-param select="ReferencedWaveformSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedWaveformSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:choose>
<xslout:when test="count(//ReferencedImageSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageEvidenceSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedImageEvidenceSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:choose>
<xslout:when test="count(//SourceImageSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/SourceImageEvidenceSequence/'" name="description"/>
<xslout:with-param select="SourceImageEvidenceSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SourceImageEvidenceSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ReferencedGrayscalePresentationStateSequence/'" name="description"/>
<xslout:with-param select="ReferencedGrayscalePresentationStateSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedGrayscalePresentationStateSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: SOPInstanceReferenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="SOPInstanceReferenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ContentQualification/'" name="description"/>
<xslout:with-param select="ContentQualification" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ContentQualification/'" name="description"/>
<xslout:with-param select="ContentQualification" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ContentQualification/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContentQualification/value[@number=1] = 'PRODUCT'">T</xslout:when>
<xslout:when test="ContentQualification/value[@number=1] = 'RESEARCH'">T</xslout:when>
<xslout:when test="ContentQualification/value[@number=1] = 'SERVICE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRImageAndMRSpectroscopyInstanceMacro/ContentQualification/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContentQualification" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ContentQualification/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ResonantNucleus/'" name="description"/>
<xslout:with-param select="ResonantNucleus" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ResonantNucleus/'" name="description"/>
<xslout:with-param select="ResonantNucleus" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ResonantNucleus/'" name="description"/>
<xslout:with-param select="ResonantNucleus" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ResonantNucleus/'" name="description"/>
<xslout:with-param select="ResonantNucleus" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ResonantNucleus/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ResonantNucleus/value[@number=1] = '1H'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '3HE'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '7LI'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '13C'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '19F'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '23NA'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '31P'">T</xslout:when>
<xslout:when test="ResonantNucleus/value[@number=1] = '129XE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageAndMRSpectroscopyInstanceMacro/ResonantNucleus/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ResonantNucleus" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ResonantNucleus/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/KSpaceFiltering/'" name="description"/>
<xslout:with-param select="KSpaceFiltering" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/KSpaceFiltering/'" name="description"/>
<xslout:with-param select="KSpaceFiltering" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/KSpaceFiltering/'" name="description"/>
<xslout:with-param select="KSpaceFiltering" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/KSpaceFiltering/'" name="description"/>
<xslout:with-param select="KSpaceFiltering" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(KSpaceFiltering/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'COSINE'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'COSINE_SQUARED'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'FERMI'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'GAUSSIAN'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'HAMMING'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'HANNING'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'LORENTZIAN'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'LRNTZ_GSS_TRNSFM'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'RIESZ'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'TUKEY'">T</xslout:when>
<xslout:when test="KSpaceFiltering/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageAndMRSpectroscopyInstanceMacro/KSpaceFiltering/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="KSpaceFiltering" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="KSpaceFiltering/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/MagneticFieldStrength/'" name="description"/>
<xslout:with-param select="MagneticFieldStrength" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ImageType/value[@number=1]='ORIGINAL' or ImageType/value[@number=1]='MIXED'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/MagneticFieldStrength/'" name="description"/>
<xslout:with-param select="MagneticFieldStrength" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/MagneticFieldStrength/'" name="description"/>
<xslout:with-param select="MagneticFieldStrength" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/MagneticFieldStrength/'" name="description"/>
<xslout:with-param select="MagneticFieldStrength" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ApplicableSafetyStandardAgency/'" name="description"/>
<xslout:with-param select="ApplicableSafetyStandardAgency" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ApplicableSafetyStandardAgency/'" name="description"/>
<xslout:with-param select="ApplicableSafetyStandardAgency" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ApplicableSafetyStandardAgency/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ApplicableSafetyStandardAgency/value[@number=1] = 'IEC'">T</xslout:when>
<xslout:when test="ApplicableSafetyStandardAgency/value[@number=1] = 'FDA'">T</xslout:when>
<xslout:when test="ApplicableSafetyStandardAgency/value[@number=1] = 'MHW'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageAndMRSpectroscopyInstanceMacro/ApplicableSafetyStandardAgency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ApplicableSafetyStandardAgency" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ApplicableSafetyStandardAgency/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ApplicableSafetyStandardDescription/'" name="description"/>
<xslout:with-param select="ApplicableSafetyStandardDescription" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ApplicableSafetyStandardDescription/'" name="description"/>
<xslout:with-param select="ApplicableSafetyStandardDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ImageComments/'" name="description"/>
<xslout:with-param select="ImageComments" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MRImageAndMRSpectroscopyInstanceMacro/ImageComments/'" name="description"/>
<xslout:with-param select="ImageComments" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="CommonCTMRImageDescriptionAtImageLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/PixelPresentation/'" name="description"/>
<xslout:with-param select="PixelPresentation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/PixelPresentation/'" name="description"/>
<xslout:with-param select="PixelPresentation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PixelPresentation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PixelPresentation/value[@number=1] = 'COLOR'">T</xslout:when>
<xslout:when test="PixelPresentation/value[@number=1] = 'MONOCHROME'">T</xslout:when>
<xslout:when test="PixelPresentation/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CommonCTMRImageDescriptionAtImageLevelMacro/PixelPresentation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelPresentation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PixelPresentation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumetricProperties/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumetricProperties/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'SAMPLED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'DISTORTED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CommonCTMRImageDescriptionAtImageLevelMacro/VolumetricProperties/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumetricProperties" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="VolumetricProperties/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumeBasedCalculationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MAX_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIN_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'VOLUME_RENDER'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'SURFACE_RENDER'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MPR'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'CURVED_MPR'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CommonCTMRImageDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="VolumeBasedCalculationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(VolumeBasedCalculationTechnique) &gt; 0">
<xslout:if test="ImageType/value[@number=1]='ORIGINAL' and VolumeBasedCalculationTechnique/value[@number=1]!='NONE'">
<xslout:text>Error: CommonCTMRImageDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>: must be NONE when ImageType value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="MRImageDescriptionAtImageLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageDescriptionAtImageLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageDescriptionAtImageLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ComplexImageComponent/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MAGNITUDE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'REAL'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'IMAGINARY'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageDescriptionAtImageLevelMacro/ComplexImageComponent/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ComplexImageComponent" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ComplexImageComponent/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageDescriptionAtImageLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageDescriptionAtImageLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'FLOW_ENCODED'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'FLUID_ATTENUATED'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PERFUSION'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'STIR'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'TAGGING'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T1'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2_STAR'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'TOF'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'UNKNOWN'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageDescriptionAtImageLevelMacro/AcquisitionContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="AcquisitionContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="CommonCTMRImageDescriptionAtFrameLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/PixelPresentation/'" name="description"/>
<xslout:with-param select="PixelPresentation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/PixelPresentation/'" name="description"/>
<xslout:with-param select="PixelPresentation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(PixelPresentation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PixelPresentation/value[@number=1] = 'COLOR'">T</xslout:when>
<xslout:when test="PixelPresentation/value[@number=1] = 'MONOCHROME'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CommonCTMRImageDescriptionAtFrameLevelMacro/PixelPresentation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelPresentation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PixelPresentation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumetricProperties/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumetricProperties/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'SAMPLED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'DISTORTED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CommonCTMRImageDescriptionAtFrameLevelMacro/VolumetricProperties/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumetricProperties" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="VolumetricProperties/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CommonCTMRImageDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumeBasedCalculationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MAX_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIN_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'VOLUME_RENDER'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'SURFACE_RENDER'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MPR'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'CURVED_MPR'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CommonCTMRImageDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="VolumeBasedCalculationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			<xslout:if test="count(VolumeBasedCalculationTechnique) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='ORIGINAL' and VolumeBasedCalculationTechnique/value[@number=1]!='NONE'">
<xslout:text>Error: CommonCTMRImageDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>: must be NONE when FrameType value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="MRImageDescriptionAtFrameLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageDescriptionAtFrameLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageDescriptionAtFrameLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ComplexImageComponent/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MAGNITUDE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'REAL'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'IMAGINARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageDescriptionAtFrameLevelMacro/ComplexImageComponent/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ComplexImageComponent" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ComplexImageComponent/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageDescriptionAtFrameLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageDescriptionAtFrameLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'FLOW_ENCODED'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'FLUID_ATTENUATED'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PERFUSION'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'STIR'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'TAGGING'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T1'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2_STAR'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'TOF'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'UNKNOWN'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageDescriptionAtFrameLevelMacro/AcquisitionContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="AcquisitionContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="MRSpectroscopyDescriptionAtImageLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumetricProperties/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumetricProperties/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'SAMPLED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'DISTORTED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyDescriptionAtImageLevelMacro/VolumetricProperties/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumetricProperties" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="VolumetricProperties/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumeBasedCalculationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MAX_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIN_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtImageLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="VolumeBasedCalculationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ComplexImageComponent/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MAGNITUDE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'REAL'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'IMAGINARY'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'COMPLEX'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtImageLevelMacro/ComplexImageComponent/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ComplexImageComponent" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ComplexImageComponent/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtImageLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T1'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'UNKNOWN'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtImageLevelMacro/AcquisitionContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="AcquisitionContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="MRSpectroscopyDescriptionAtFrameLevelMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/VolumetricProperties/'" name="description"/>
<xslout:with-param select="VolumetricProperties" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumetricProperties/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumetricProperties/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'SAMPLED'">T</xslout:when>
<xslout:when test="VolumetricProperties/value[@number=1] = 'DISTORTED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyDescriptionAtFrameLevelMacro/VolumetricProperties/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumetricProperties" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="VolumetricProperties/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/'" name="description"/>
<xslout:with-param select="VolumeBasedCalculationTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(VolumeBasedCalculationTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MAX_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'MIN_IP'">T</xslout:when>
<xslout:when test="VolumeBasedCalculationTechnique/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtFrameLevelMacro/VolumeBasedCalculationTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VolumeBasedCalculationTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="VolumeBasedCalculationTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/ComplexImageComponent/'" name="description"/>
<xslout:with-param select="ComplexImageComponent" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(ComplexImageComponent/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'MAGNITUDE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'REAL'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'IMAGINARY'">T</xslout:when>
<xslout:when test="ComplexImageComponent/value[@number=1] = 'COMPLEX'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtFrameLevelMacro/ComplexImageComponent/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ComplexImageComponent" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ComplexImageComponent/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyDescriptionAtFrameLevelMacro/AcquisitionContrast/'" name="description"/>
<xslout:with-param select="AcquisitionContrast" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
			<xslout:if test="count(AcquisitionContrast/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T1'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'T2'">T</xslout:when>
<xslout:when test="AcquisitionContrast/value[@number=1] = 'UNKNOWN'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyDescriptionAtFrameLevelMacro/AcquisitionContrast/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionContrast" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="AcquisitionContrast/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
	</xslout:template>
<xslout:template name="SOPInstanceReferenceMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/StudyInstanceUID/'" name="description"/>
<xslout:with-param select="StudyInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/StudyInstanceUID/'" name="description"/>
<xslout:with-param select="StudyInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/'" name="description"/>
<xslout:with-param select="ReferencedSeriesSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedSeriesSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/SeriesInstanceUID/'" name="description"/>
<xslout:with-param select="SeriesInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/SeriesInstanceUID/'" name="description"/>
<xslout:with-param select="SeriesInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/RetrieveAETitle/'" name="description"/>
<xslout:with-param select="RetrieveAETitle" name="element"/>
<xslout:with-param select="'AE'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/RetrieveAETitle/'" name="description"/>
<xslout:with-param select="RetrieveAETitle" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/StorageMediaFileSetID/'" name="description"/>
<xslout:with-param select="StorageMediaFileSetID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/StorageMediaFileSetID/'" name="description"/>
<xslout:with-param select="StorageMediaFileSetID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/StorageMediaFileSetUID/'" name="description"/>
<xslout:with-param select="StorageMediaFileSetUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/StorageMediaFileSetUID/'" name="description"/>
<xslout:with-param select="StorageMediaFileSetUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/ReferencedSOPSequence/'" name="description"/>
<xslout:with-param select="ReferencedSOPSequence" name="element"/>
<xslout:with-param select="''" name="vmmin"/>
<xslout:with-param select="''" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedSOPSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/ReferencedSOPSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/ReferencedSOPSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/ReferencedSOPSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'SOPInstanceReferenceMacro/ReferencedSeriesSequence/ReferencedSOPSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CodeSequenceMacro">
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/CodeValue/'" name="description"/>
<xslout:with-param select="CodeValue" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CodeSequenceMacro/CodeValue/'" name="description"/>
<xslout:with-param select="CodeValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/CodingSchemeDesignator/'" name="description"/>
<xslout:with-param select="CodingSchemeDesignator" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CodeSequenceMacro/CodingSchemeDesignator/'" name="description"/>
<xslout:with-param select="CodingSchemeDesignator" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/CodingSchemeVersion/'" name="description"/>
<xslout:with-param select="CodingSchemeVersion" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CodeSequenceMacro/CodingSchemeVersion/'" name="description"/>
<xslout:with-param select="CodingSchemeVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/CodeMeaning/'" name="description"/>
<xslout:with-param select="CodeMeaning" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CodeSequenceMacro/CodeMeaning/'" name="description"/>
<xslout:with-param select="CodeMeaning" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/ContextIdentifier/'" name="description"/>
<xslout:with-param select="ContextIdentifier" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'CodeSequenceMacro/ContextIdentifier/'" name="description"/>
<xslout:with-param select="ContextIdentifier" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/MappingResource/'" name="description"/>
<xslout:with-param select="MappingResource" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ContextIdentifier) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CodeSequenceMacro/MappingResource/'" name="description"/>
<xslout:with-param select="MappingResource" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CodeSequenceMacro/MappingResource/'" name="description"/>
<xslout:with-param select="MappingResource" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CodeSequenceMacro/MappingResource/'" name="description"/>
<xslout:with-param select="MappingResource" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupVersion/'" name="description"/>
<xslout:with-param select="ContextGroupVersion" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ContextIdentifier) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupVersion/'" name="description"/>
<xslout:with-param select="ContextGroupVersion" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupVersion/'" name="description"/>
<xslout:with-param select="ContextGroupVersion" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupVersion/'" name="description"/>
<xslout:with-param select="ContextGroupVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionFlag/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionFlag" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionFlag/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionFlag" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:if test="count(ContextGroupExtensionFlag/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContextGroupExtensionFlag/value[@number=1] = 'Y'">T</xslout:when>
<xslout:when test="ContextGroupExtensionFlag/value[@number=1] = 'N'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CodeSequenceMacro/ContextGroupExtensionFlag/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContextGroupExtensionFlag" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ContextGroupExtensionFlag/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
		
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupLocalVersion/'" name="description"/>
<xslout:with-param select="ContextGroupLocalVersion" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ContextGroupExtensionFlag/value[@number=1]='Y'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupLocalVersion/'" name="description"/>
<xslout:with-param select="ContextGroupLocalVersion" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupLocalVersion/'" name="description"/>
<xslout:with-param select="ContextGroupLocalVersion" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupLocalVersion/'" name="description"/>
<xslout:with-param select="ContextGroupLocalVersion" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionCreatorUID/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionCreatorUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ContextGroupExtensionFlag/value[@number=1]='Y'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionCreatorUID/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionCreatorUID" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionCreatorUID/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionCreatorUID" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CodeSequenceMacro/ContextGroupExtensionCreatorUID/'" name="description"/>
<xslout:with-param select="ContextGroupExtensionCreatorUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
	</xslout:template>
<xslout:template name="PersonIdentificationMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'PersonIdentificationMacro/PersonIdentificationCodeSequence/'" name="description"/>
<xslout:with-param select="PersonIdentificationCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PersonIdentificationCodeSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PersonIdentificationMacro/PersonAddress/'" name="description"/>
<xslout:with-param select="PersonAddress" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PersonIdentificationMacro/PersonAddress/'" name="description"/>
<xslout:with-param select="PersonAddress" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PersonIdentificationMacro/PersonTelephoneNumbers/'" name="description"/>
<xslout:with-param select="PersonTelephoneNumbers" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PersonIdentificationMacro/PersonTelephoneNumbers/'" name="description"/>
<xslout:with-param select="PersonTelephoneNumbers" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(InstitutionCodeSequence) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionName/'" name="description"/>
<xslout:with-param select="InstitutionName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
		<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionAddress/'" name="description"/>
<xslout:with-param select="InstitutionAddress" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		<xslout:choose>
<xslout:when test="count(InstitutionName) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionCodeSequence/'" name="description"/>
<xslout:with-param select="InstitutionCodeSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionCodeSequence/'" name="description"/>
<xslout:with-param select="InstitutionCodeSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'PersonIdentificationMacro/InstitutionCodeSequence/'" name="description"/>
<xslout:with-param select="InstitutionCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="InstitutionCodeSequence/Item">
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="PixelMeasuresMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/'" name="description"/>
<xslout:with-param select="PixelMeasuresSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PixelMeasuresSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/'" name="description"/>
<xslout:with-param select="PixelSpacing" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='VOLUME')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/'" name="description"/>
<xslout:with-param select="PixelSpacing" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/'" name="description"/>
<xslout:with-param select="PixelSpacing" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/'" name="description"/>
<xslout:with-param select="PixelSpacing" name="element"/>
<xslout:with-param select="'2'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PixelSpacing) &gt; 0">
<xslout:if test="number(PixelSpacing/value[@number=1])=0">
<xslout:text>Warning: PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelSpacing" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(PixelSpacing) &gt; 0">
<xslout:if test="number(PixelSpacing/value[@number=2])=0">
<xslout:text>Warning: PixelMeasuresMacro/PixelMeasuresSequence/PixelSpacing/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelSpacing" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/SliceThickness/'" name="description"/>
<xslout:with-param select="SliceThickness" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED') or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and (../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or ../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED')) or (name(../../..) = 'SharedFunctionalGroupsSequence' and (/DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='SAMPLED'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/SliceThickness/'" name="description"/>
<xslout:with-param select="SliceThickness" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/SliceThickness/'" name="description"/>
<xslout:with-param select="SliceThickness" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'PixelMeasuresMacro/PixelMeasuresSequence/SliceThickness/'" name="description"/>
<xslout:with-param select="SliceThickness" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SliceThickness) &gt; 0">
<xslout:if test="number(SliceThickness/value)=0">
<xslout:text>Warning: PixelMeasuresMacro/PixelMeasuresSequence/SliceThickness/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SliceThickness" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="FrameContentMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/'" name="description"/>
<xslout:with-param select="FrameContentSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="FrameContentSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionNumber/'" name="description"/>
<xslout:with-param select="FrameAcquisitionNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionNumber/'" name="description"/>
<xslout:with-param select="FrameAcquisitionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameReferenceDatetime/'" name="description"/>
<xslout:with-param select="FrameReferenceDatetime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameReferenceDatetime/'" name="description"/>
<xslout:with-param select="FrameReferenceDatetime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameReferenceDatetime/'" name="description"/>
<xslout:with-param select="FrameReferenceDatetime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameReferenceDatetime/'" name="description"/>
<xslout:with-param select="FrameReferenceDatetime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDatetime/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDatetime" name="element"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDatetime/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDatetime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDatetime/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDatetime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDatetime/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDatetime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DT'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDuration/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDuration" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDuration/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDuration" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDuration/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDuration" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameAcquisitionDuration/'" name="description"/>
<xslout:with-param select="FrameAcquisitionDuration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FrameAcquisitionDuration) &gt; 0">
<xslout:if test="number(FrameAcquisitionDuration/value)=0">
<xslout:text>Warning: FrameContentMacro/FrameContentSequence/FrameAcquisitionDuration/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameAcquisitionDuration" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/CardiacCyclePosition/'" name="description"/>
<xslout:with-param select="CardiacCyclePosition" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/CardiacCyclePosition/'" name="description"/>
<xslout:with-param select="CardiacCyclePosition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(CardiacCyclePosition/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="CardiacCyclePosition/value[@number=1] = 'END_SYSTOLE'">T</xslout:when>
<xslout:when test="CardiacCyclePosition/value[@number=1] = 'END_DIASTOLE'">T</xslout:when>
<xslout:when test="CardiacCyclePosition/value[@number=1] = 'UNDETERMINED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: FrameContentMacro/FrameContentSequence/CardiacCyclePosition/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CardiacCyclePosition" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="CardiacCyclePosition/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/RespiratoryCyclePosition/'" name="description"/>
<xslout:with-param select="RespiratoryCyclePosition" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/RespiratoryCyclePosition/'" name="description"/>
<xslout:with-param select="RespiratoryCyclePosition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(RespiratoryCyclePosition/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RespiratoryCyclePosition/value[@number=1] = 'START_RESPIR'">T</xslout:when>
<xslout:when test="RespiratoryCyclePosition/value[@number=1] = 'END_RESPIR'">T</xslout:when>
<xslout:when test="RespiratoryCyclePosition/value[@number=1] = 'UNDETERMINED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: FrameContentMacro/FrameContentSequence/RespiratoryCyclePosition/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RespiratoryCyclePosition" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="RespiratoryCyclePosition/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/DimensionIndexValues/'" name="description"/>
<xslout:with-param select="DimensionIndexValues" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(/DicomObject/DimensionIndexSequence/Item) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/DimensionIndexValues/'" name="description"/>
<xslout:with-param select="DimensionIndexValues" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/DimensionIndexValues/'" name="description"/>
<xslout:with-param select="DimensionIndexValues" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/DimensionIndexValues/'" name="description"/>
<xslout:with-param select="DimensionIndexValues" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DimensionIndexValues) &gt; 0">
<xslout:if test="count(DimensionIndexValues/value) != count(/DicomObject/DimensionIndexSequence/Item)">
<xslout:text>Error: FrameContentMacro/FrameContentSequence/DimensionIndexValues/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DimensionIndexValues" name="node"/>
</xslout:call-template>
<xslout:text>: DimensionIndexValues must have Value Multiplicity = number of items in DimensionIndexSequence</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/TemporalPositionIndex/'" name="description"/>
<xslout:with-param select="TemporalPositionIndex" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/TemporalPositionIndex/'" name="description"/>
<xslout:with-param select="TemporalPositionIndex" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/StackID/'" name="description"/>
<xslout:with-param select="StackID" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/StackID/'" name="description"/>
<xslout:with-param select="StackID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/InStackPositionNumber/'" name="description"/>
<xslout:with-param select="InStackPositionNumber" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(StackID) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/InStackPositionNumber/'" name="description"/>
<xslout:with-param select="InStackPositionNumber" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/InStackPositionNumber/'" name="description"/>
<xslout:with-param select="InStackPositionNumber" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/InStackPositionNumber/'" name="description"/>
<xslout:with-param select="InStackPositionNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameComments/'" name="description"/>
<xslout:with-param select="FrameComments" name="element"/>
<xslout:with-param select="'LT'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameContentMacro/FrameContentSequence/FrameComments/'" name="description"/>
<xslout:with-param select="FrameComments" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="PlanePositionMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'PlanePositionMacro/PlanePositionSequence/'" name="description"/>
<xslout:with-param select="PlanePositionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PlanePositionSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PlanePositionMacro/PlanePositionSequence/ImagePositionPatient/'" name="description"/>
<xslout:with-param select="ImagePositionPatient" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED') or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and (../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or ../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED')) or (name(../../..) = 'SharedFunctionalGroupsSequence' and (/DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='SAMPLED')))                    and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PlanePositionMacro/PlanePositionSequence/ImagePositionPatient/'" name="description"/>
<xslout:with-param select="ImagePositionPatient" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PlanePositionMacro/PlanePositionSequence/ImagePositionPatient/'" name="description"/>
<xslout:with-param select="ImagePositionPatient" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'PlanePositionMacro/PlanePositionSequence/ImagePositionPatient/'" name="description"/>
<xslout:with-param select="ImagePositionPatient" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="PlaneOrientationMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'PlaneOrientationMacro/PlaneOrientationSequence/'" name="description"/>
<xslout:with-param select="PlaneOrientationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PlaneOrientationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PlaneOrientationMacro/PlaneOrientationSequence/ImageOrientationPatient/'" name="description"/>
<xslout:with-param select="ImageOrientationPatient" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED') or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and (../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='VOLUME' or ../../MRImageFrameTypeSequence/Item[@number=1]/VolumetricProperties/value[@number=1]='SAMPLED')) or (name(../../..) = 'SharedFunctionalGroupsSequence' and (/DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='VOLUME' or /DicomObject/PerFrameFunctionalGroupsSequence/Item/MRImageFrameTypeSequence/Item[*]/VolumetricProperties/value[@number=1]='SAMPLED')))                    and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'PlaneOrientationMacro/PlaneOrientationSequence/ImageOrientationPatient/'" name="description"/>
<xslout:with-param select="ImageOrientationPatient" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'PlaneOrientationMacro/PlaneOrientationSequence/ImageOrientationPatient/'" name="description"/>
<xslout:with-param select="ImageOrientationPatient" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'PlaneOrientationMacro/PlaneOrientationSequence/ImageOrientationPatient/'" name="description"/>
<xslout:with-param select="ImageOrientationPatient" name="element"/>
<xslout:with-param select="'6'" name="vmmin"/>
<xslout:with-param select="'6'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="ReferencedImageMacro">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/'" name="description"/>
<xslout:with-param select="ReferencedImageSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ReferencedImageSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ReferencedFrameNumber) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'ReferencedImageMacro/ReferencedImageSequence/PurposeOfReferenceCodeSequence/'" name="description"/>
<xslout:with-param select="PurposeOfReferenceCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PurposeOfReferenceCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="DerivationImageMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/'" name="description"/>
<xslout:with-param select="DerivationImageSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="DerivationImageSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/DerivationDescription/'" name="description"/>
<xslout:with-param select="DerivationDescription" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/DerivationDescription/'" name="description"/>
<xslout:with-param select="DerivationDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/DerivationCodeSequence/'" name="description"/>
<xslout:with-param select="DerivationCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="DerivationCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/'" name="description"/>
<xslout:with-param select="SourceImageSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SourceImageSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedSOPClassUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPClassUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedSOPInstanceUID/'" name="description"/>
<xslout:with-param select="ReferencedSOPInstanceUID" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UI'" name="vr"/>
</xslout:call-template>
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ReferencedFrameNumber) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/ReferencedFrameNumber/'" name="description"/>
<xslout:with-param select="ReferencedFrameNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
				<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'DerivationImageMacro/DerivationImageSequence/SourceImageSequence/PurposeOfReferenceCodeSequence/'" name="description"/>
<xslout:with-param select="PurposeOfReferenceCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PurposeOfReferenceCodeSequence/Item">
					<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
				</xslout:for-each>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CardiacTriggerMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CardiacTriggerMacro/CardiacTriggerSequence/'" name="description"/>
<xslout:with-param select="CardiacTriggerSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CardiacTriggerSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CardiacTriggerMacro/CardiacTriggerSequence/TriggerDelayTime/'" name="description"/>
<xslout:with-param select="TriggerDelayTime" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CardiacTriggerMacro/CardiacTriggerSequence/TriggerDelayTime/'" name="description"/>
<xslout:with-param select="TriggerDelayTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="FrameAnatomyMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/'" name="description"/>
<xslout:with-param select="FrameAnatomySequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="FrameAnatomySequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/FrameLaterality/'" name="description"/>
<xslout:with-param select="FrameLaterality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/FrameLaterality/'" name="description"/>
<xslout:with-param select="FrameLaterality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FrameLaterality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameLaterality/value[@number=1] = 'R'">T</xslout:when>
<xslout:when test="FrameLaterality/value[@number=1] = 'L'">T</xslout:when>
<xslout:when test="FrameLaterality/value[@number=1] = 'U'">T</xslout:when>
<xslout:when test="FrameLaterality/value[@number=1] = 'B'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: FrameAnatomyMacro/FrameAnatomySequence/FrameLaterality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameLaterality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameLaterality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/AnatomicRegionSequence/'" name="description"/>
<xslout:with-param select="AnatomicRegionSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="AnatomicRegionSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
				<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/AnatomicRegionSequence/AnatomicRegionModifierSequence/'" name="description"/>
<xslout:with-param select="AnatomicRegionModifierSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="AnatomicRegionModifierSequence/Item">
					<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
				</xslout:for-each>
			</xslout:for-each>
			<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/PrimaryAnatomicStructureSequence/'" name="description"/>
<xslout:with-param select="PrimaryAnatomicStructureSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PrimaryAnatomicStructureSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
				<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'FrameAnatomyMacro/FrameAnatomySequence/PrimaryAnatomicStructureSequence/PrimaryAnatomicStructureModifierSequence/'" name="description"/>
<xslout:with-param select="PrimaryAnatomicStructureModifierSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PrimaryAnatomicStructureModifierSequence/Item">
					<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
				</xslout:for-each>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="PixelValueTransformationMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/'" name="description"/>
<xslout:with-param select="PixelValueTransformationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PixelValueTransformationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleIntercept/'" name="description"/>
<xslout:with-param select="RescaleIntercept" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleIntercept/'" name="description"/>
<xslout:with-param select="RescaleIntercept" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/'" name="description"/>
<xslout:with-param select="RescaleSlope" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/'" name="description"/>
<xslout:with-param select="RescaleSlope" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RescaleSlope) &gt; 0">
<xslout:if test="number(RescaleSlope/value)=0">
<xslout:text>Warning: PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RescaleSlope" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/'" name="description"/>
<xslout:with-param select="RescaleType" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/'" name="description"/>
<xslout:with-param select="RescaleType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RescaleType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RescaleType/value[@number=1] = 'US'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: PixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RescaleType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="RescaleType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="FrameVOILUTMacro">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/'" name="description"/>
<xslout:with-param select="FrameVOILUTSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="FrameVOILUTSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowCenter/'" name="description"/>
<xslout:with-param select="WindowCenter" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowCenter/'" name="description"/>
<xslout:with-param select="WindowCenter" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(WindowCenter) &gt; 0">
<xslout:if test="number(WindowCenter/value)=0">
<xslout:text>Warning: FrameVOILUTMacro/FrameVOILUTSequence/WindowCenter/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="WindowCenter" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowWidth/'" name="description"/>
<xslout:with-param select="WindowWidth" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowWidth/'" name="description"/>
<xslout:with-param select="WindowWidth" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(WindowWidth) &gt; 0">
<xslout:if test="number(WindowWidth/value)=0">
<xslout:text>Warning: FrameVOILUTMacro/FrameVOILUTSequence/WindowWidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="WindowWidth" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowCenterWidthExplanation/'" name="description"/>
<xslout:with-param select="WindowCenterWidthExplanation" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'FrameVOILUTMacro/FrameVOILUTSequence/WindowCenterWidthExplanation/'" name="description"/>
<xslout:with-param select="WindowCenterWidthExplanation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(WindowCenterWidthExplanation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="WindowCenterWidthExplanation/value = 'BRAIN'">T</xslout:when>
<xslout:when test="WindowCenterWidthExplanation/value = 'SOFT_TISSUE'">T</xslout:when>
<xslout:when test="WindowCenterWidthExplanation/value = 'LUNG'">T</xslout:when>
<xslout:when test="WindowCenterWidthExplanation/value = 'BONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: FrameVOILUTMacro/FrameVOILUTSequence/WindowCenterWidthExplanation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="WindowCenterWidthExplanation" name="node"/>
</xslout:call-template>
<xslout:text>: Unrecognized defined term :</xslout:text>
<xslout:value-of select="WindowCenterWidthExplanation/value"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="RealWorldValueMappingMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/'" name="description"/>
<xslout:with-param select="RealWorldValueMappingSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="RealWorldValueMappingSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueFirstValueMapped/'" name="description"/>
<xslout:with-param select="RealWorldValueFirstValueMapped" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueFirstValueMapped/'" name="description"/>
<xslout:with-param select="RealWorldValueFirstValueMapped" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLastValueMapped/'" name="description"/>
<xslout:with-param select="RealWorldValueLastValueMapped" name="element"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLastValueMapped/'" name="description"/>
<xslout:with-param select="RealWorldValueLastValueMapped" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'XS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueIntercept/'" name="description"/>
<xslout:with-param select="RealWorldValueIntercept" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(RealWorldValueLUTData) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueIntercept/'" name="description"/>
<xslout:with-param select="RealWorldValueIntercept" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueIntercept/'" name="description"/>
<xslout:with-param select="RealWorldValueIntercept" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueIntercept/'" name="description"/>
<xslout:with-param select="RealWorldValueIntercept" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueSlope/'" name="description"/>
<xslout:with-param select="RealWorldValueSlope" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(RealWorldValueLUTData) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueSlope/'" name="description"/>
<xslout:with-param select="RealWorldValueSlope" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueSlope/'" name="description"/>
<xslout:with-param select="RealWorldValueSlope" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueSlope/'" name="description"/>
<xslout:with-param select="RealWorldValueSlope" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RealWorldValueSlope) &gt; 0">
<xslout:if test="number(RealWorldValueSlope/value)=0">
<xslout:text>Warning: RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueSlope/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RealWorldValueSlope" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLUTData/'" name="description"/>
<xslout:with-param select="RealWorldValueLUTData" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(RealWorldValueIntercept) = 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLUTData/'" name="description"/>
<xslout:with-param select="RealWorldValueLUTData" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLUTData/'" name="description"/>
<xslout:with-param select="RealWorldValueLUTData" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/RealWorldValueLUTData/'" name="description"/>
<xslout:with-param select="RealWorldValueLUTData" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/LUTExplanation/'" name="description"/>
<xslout:with-param select="LUTExplanation" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/LUTExplanation/'" name="description"/>
<xslout:with-param select="LUTExplanation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/LUTLabel/'" name="description"/>
<xslout:with-param select="LUTLabel" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/LUTLabel/'" name="description"/>
<xslout:with-param select="LUTLabel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'RealWorldValueMappingMacro/RealWorldValueMappingSequence/MeasurementUnitsCodeSequence/'" name="description"/>
<xslout:with-param select="MeasurementUnitsCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MeasurementUnitsCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="ContrastBolusUsageMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/'" name="description"/>
<xslout:with-param select="ContrastBolusUsageSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ContrastBolusUsageSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentNumber/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentNumber" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentNumber/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentNumber" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentAdministered/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentAdministered" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentAdministered/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentAdministered" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ContrastBolusAgentAdministered/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContrastBolusAgentAdministered/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="ContrastBolusAgentAdministered/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentAdministered/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAgentAdministered" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ContrastBolusAgentAdministered/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentDetected/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentDetected" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentDetected/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentDetected" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(ContrastBolusAgentDetected/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContrastBolusAgentDetected/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="ContrastBolusAgentDetected/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentDetected/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAgentDetected" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ContrastBolusAgentDetected/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentPhase/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentPhase" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="ContrastBolusAgentNumber/value[@number=1] = /DicomObject/ContrastBolusAgentSequence/Item[@number=1]/ContrastBolusAgentNumber/value[@number=1] and /DicomObject/ContrastBolusAgentSequence/Item[@number=1]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodingSchemeDesignator/value[@number=1] = 'SNM3' and /DicomObject/ContrastBolusAgentSequence/Item[@number=1]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodeValue/value[@number=1] = 'G-D101' or ContrastBolusAgentNumber/value[@number=2] = /DicomObject/ContrastBolusAgentSequence/Item[@number=2]/ContrastBolusAgentNumber/value[@number=1] and /DicomObject/ContrastBolusAgentSequence/Item[@number=2]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodingSchemeDesignator/value[@number=1] = 'SNM3' and /DicomObject/ContrastBolusAgentSequence/Item[@number=2]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodeValue/value[@number=1] = 'G-D101' or ContrastBolusAgentNumber/value[@number=3] = /DicomObject/ContrastBolusAgentSequence/Item[@number=3]/ContrastBolusAgentNumber/value[@number=1] and /DicomObject/ContrastBolusAgentSequence/Item[@number=3]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodingSchemeDesignator/value[@number=1] = 'SNM3' and /DicomObject/ContrastBolusAgentSequence/Item[@number=3]/ContrastBolusAdministrationRouteSequence/Item[@number=1]/CodeValue/value[@number=1] = 'G-D101'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentPhase/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentPhase" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentPhase/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentPhase" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentPhase/'" name="description"/>
<xslout:with-param select="ContrastBolusAgentPhase" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(ContrastBolusAgentPhase/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'PRE_CONTRAST'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'POST_CONTRAST'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'IMMEDIATE'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'DYNAMIC'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'STEADY_STATE'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'DELAYED'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'ARTERIAL'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'CAPILLARY'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'VENOUS'">T</xslout:when>
<xslout:when test="ContrastBolusAgentPhase/value[@number=1] = 'PORTAL_VENOUS'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: ContrastBolusUsageMacro/ContrastBolusUsageSequence/ContrastBolusAgentPhase/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ContrastBolusAgentPhase" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ContrastBolusAgentPhase/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRImageFrameTypeMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRImageFrameTypeMacro/MRImageFrameTypeSequence/'" name="description"/>
<xslout:with-param select="MRImageFrameTypeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRImageFrameTypeSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="FrameType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=3] = 'ANGIO'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'FLUOROSCOPY'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'LOCALIZER'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'MOTION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'PERFUSION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'PRE_CONTRAST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'POST_CONTRAST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'REST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'STRESS'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'VOLUME'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'ANGIO_TIME'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'CINE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'FLOW_ENCODED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'FLUID_ATTENUATED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'FMRI'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'MAX_IP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'MIN_IP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'M_MODE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'METABOLITE_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'MULTIECHO'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'PROTON_DENSITY'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'REALTIME'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'STIR'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'TAGGING'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'TEMPERATURE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'T1'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'T2'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'T2_STAR'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'TOF'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'VELOCITY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MASKED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MTT'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RCBF'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RCBV'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RESAMPLED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'T_TEST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'TTP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'Z_SCORE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'ADC'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIFFUSION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIFFUSION_ANISO'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIFFUSION_ATTNTD'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'METABOLITE_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'NEI'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'R_COEFFICIENT'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RHO'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'SCM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'SNR_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'T1_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'T2_STAR_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'T2_MAP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'TCS'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'TEMPERATURE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'VELOCITY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='ORIGINAL' and FrameType/value[@number=4]!='NONE'">
<xslout:text>Error: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='DERIVED' and FrameType/value[@number=4]='NONE'">
<xslout:text>Error: MRImageFrameTypeMacro/MRImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CommonCTMRImageDescriptionAtFrameLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CommonCTMRImageDescriptionAtFrameLevelMacro"/>
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRImageDescriptionAtFrameLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRImageDescriptionAtFrameLevelMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRTimingAndRelatedParametersMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/'" name="description"/>
<xslout:with-param select="MRTimingAndRelatedParametersSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRTimingAndRelatedParametersSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RepetitionTime/'" name="description"/>
<xslout:with-param select="RepetitionTime" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RepetitionTime/'" name="description"/>
<xslout:with-param select="RepetitionTime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RepetitionTime/'" name="description"/>
<xslout:with-param select="RepetitionTime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RepetitionTime/'" name="description"/>
<xslout:with-param select="RepetitionTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RepetitionTime) &gt; 0">
<xslout:if test="number(RepetitionTime/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RepetitionTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RepetitionTime" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/FlipAngle/'" name="description"/>
<xslout:with-param select="FlipAngle" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/FlipAngle/'" name="description"/>
<xslout:with-param select="FlipAngle" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/FlipAngle/'" name="description"/>
<xslout:with-param select="FlipAngle" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/FlipAngle/'" name="description"/>
<xslout:with-param select="FlipAngle" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FlipAngle) &gt; 0">
<xslout:if test="number(FlipAngle/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/FlipAngle/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FlipAngle" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/EchoTrainLength/'" name="description"/>
<xslout:with-param select="EchoTrainLength" name="element"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/EchoTrainLength/'" name="description"/>
<xslout:with-param select="EchoTrainLength" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/EchoTrainLength/'" name="description"/>
<xslout:with-param select="EchoTrainLength" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/EchoTrainLength/'" name="description"/>
<xslout:with-param select="EchoTrainLength" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'IS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(EchoTrainLength) &gt; 0">
<xslout:if test="number(EchoTrainLength/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/EchoTrainLength/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EchoTrainLength" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RFEchoTrainLength/'" name="description"/>
<xslout:with-param select="RFEchoTrainLength" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RFEchoTrainLength/'" name="description"/>
<xslout:with-param select="RFEchoTrainLength" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RFEchoTrainLength/'" name="description"/>
<xslout:with-param select="RFEchoTrainLength" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RFEchoTrainLength/'" name="description"/>
<xslout:with-param select="RFEchoTrainLength" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RFEchoTrainLength) &gt; 0">
<xslout:if test="number(RFEchoTrainLength/value)=0 and number(GradientEchoTrainLength/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/RFEchoTrainLength/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RFEchoTrainLength" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but 0 for both GradientEchoTrainLength and RFEchoTrainLength is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientEchoTrainLength/'" name="description"/>
<xslout:with-param select="GradientEchoTrainLength" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientEchoTrainLength/'" name="description"/>
<xslout:with-param select="GradientEchoTrainLength" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientEchoTrainLength/'" name="description"/>
<xslout:with-param select="GradientEchoTrainLength" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientEchoTrainLength/'" name="description"/>
<xslout:with-param select="GradientEchoTrainLength" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(GradientEchoTrainLength) &gt; 0">
<xslout:if test="number(GradientEchoTrainLength/value)=0 and number(RFEchoTrainLength/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientEchoTrainLength/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GradientEchoTrainLength" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but 0 for both GradientEchoTrainLength and RFEchoTrainLength is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:choose>
<xslout:when test="count(SpecificAbsorptionRateSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="SpecificAbsorptionRateSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateDefinition/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateDefinition" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateDefinition/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateDefinition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(SpecificAbsorptionRateDefinition/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpecificAbsorptionRateDefinition/value[@number=1] = 'IEC_WHOLE_BODY'">T</xslout:when>
<xslout:when test="SpecificAbsorptionRateDefinition/value[@number=1] = 'IEC_PARTIAL_BODY'">T</xslout:when>
<xslout:when test="SpecificAbsorptionRateDefinition/value[@number=1] = 'IEC_HEAD'">T</xslout:when>
<xslout:when test="SpecificAbsorptionRateDefinition/value[@number=1] = 'IEC_LOCAL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateDefinition/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpecificAbsorptionRateDefinition" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SpecificAbsorptionRateDefinition/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateValue/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateValue" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateValue/'" name="description"/>
<xslout:with-param select="SpecificAbsorptionRateValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(SpecificAbsorptionRateValue) &gt; 0">
<xslout:if test="number(SpecificAbsorptionRateValue/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/SpecificAbsorptionRateSequence/SpecificAbsorptionRateValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpecificAbsorptionRateValue" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutputType/'" name="description"/>
<xslout:with-param select="GradientOutputType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(GradientOutputType) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutputType/'" name="description"/>
<xslout:with-param select="GradientOutputType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutputType/'" name="description"/>
<xslout:with-param select="GradientOutputType" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutputType/'" name="description"/>
<xslout:with-param select="GradientOutputType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(GradientOutputType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="GradientOutputType/value[@number=1] = 'DB_DT'">T</xslout:when>
<xslout:when test="GradientOutputType/value[@number=1] = 'ELECTRIC_FIELD'">T</xslout:when>
<xslout:when test="GradientOutputType/value[@number=1] = 'PER_NERVE_STIM'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutputType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GradientOutputType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="GradientOutputType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutput/'" name="description"/>
<xslout:with-param select="GradientOutput" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(GradientOutput) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutput/'" name="description"/>
<xslout:with-param select="GradientOutput" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutput/'" name="description"/>
<xslout:with-param select="GradientOutput" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutput/'" name="description"/>
<xslout:with-param select="GradientOutput" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(GradientOutput) &gt; 0">
<xslout:if test="number(GradientOutput/value)=0">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/GradientOutput/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GradientOutput" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:choose>
<xslout:when test="count(OperatingModeSequence) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/'" name="description"/>
<xslout:with-param select="OperatingModeSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/'" name="description"/>
<xslout:with-param select="OperatingModeSequence" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/'" name="description"/>
<xslout:with-param select="OperatingModeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="OperatingModeSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingModeType/'" name="description"/>
<xslout:with-param select="OperatingModeType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingModeType/'" name="description"/>
<xslout:with-param select="OperatingModeType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(OperatingModeType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="OperatingModeType/value[@number=1] = 'STATIC FIELD'">T</xslout:when>
<xslout:when test="OperatingModeType/value[@number=1] = 'RF'">T</xslout:when>
<xslout:when test="OperatingModeType/value[@number=1] = 'GRADIENT'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingModeType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="OperatingModeType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="OperatingModeType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingMode/'" name="description"/>
<xslout:with-param select="OperatingMode" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingMode/'" name="description"/>
<xslout:with-param select="OperatingMode" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(OperatingMode/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="OperatingMode/value[@number=1] = 'IEC_NORMAL'">T</xslout:when>
<xslout:when test="OperatingMode/value[@number=1] = 'IEC_FIRST_LEVEL'">T</xslout:when>
<xslout:when test="OperatingMode/value[@number=1] = 'IEC_SECOND_LEVEL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRTimingAndRelatedParametersMacro/MRTimingAndRelatedParametersSequence/OperatingModeSequence/OperatingMode/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="OperatingMode" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="OperatingMode/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRFOVGeometryMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/'" name="description"/>
<xslout:with-param select="MRFOVGeometrySequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRFOVGeometrySequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/InPlanePhaseEncodingDirection/'" name="description"/>
<xslout:with-param select="InPlanePhaseEncodingDirection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/InPlanePhaseEncodingDirection/'" name="description"/>
<xslout:with-param select="InPlanePhaseEncodingDirection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/InPlanePhaseEncodingDirection/'" name="description"/>
<xslout:with-param select="InPlanePhaseEncodingDirection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/InPlanePhaseEncodingDirection/'" name="description"/>
<xslout:with-param select="InPlanePhaseEncodingDirection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(InPlanePhaseEncodingDirection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="InPlanePhaseEncodingDirection/value[@number=1] = 'COLUMN'">T</xslout:when>
<xslout:when test="InPlanePhaseEncodingDirection/value[@number=1] = 'ROW'">T</xslout:when>
<xslout:when test="InPlanePhaseEncodingDirection/value[@number=1] = 'OTHER'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRFOVGeometryMacro/MRFOVGeometrySequence/InPlanePhaseEncodingDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="InPlanePhaseEncodingDirection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="InPlanePhaseEncodingDirection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionFrequencyEncodingSteps/'" name="description"/>
<xslout:with-param select="MRAcquisitionFrequencyEncodingSteps" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionFrequencyEncodingSteps/'" name="description"/>
<xslout:with-param select="MRAcquisitionFrequencyEncodingSteps" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionFrequencyEncodingSteps/'" name="description"/>
<xslout:with-param select="MRAcquisitionFrequencyEncodingSteps" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionFrequencyEncodingSteps/'" name="description"/>
<xslout:with-param select="MRAcquisitionFrequencyEncodingSteps" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(MRAcquisitionFrequencyEncodingSteps) &gt; 0">
<xslout:if test="number(MRAcquisitionFrequencyEncodingSteps/value)=0">
<xslout:text>Warning: MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionFrequencyEncodingSteps/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MRAcquisitionFrequencyEncodingSteps" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsInPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsInPlane" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsInPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsInPlane" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsInPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsInPlane" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsInPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsInPlane" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(MRAcquisitionPhaseEncodingStepsInPlane) &gt; 0">
<xslout:if test="number(MRAcquisitionPhaseEncodingStepsInPlane/value)=0">
<xslout:text>Warning: MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsInPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsInPlane" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsOutOfPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsOutOfPlane" name="element"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/MRAcquisitionType/value[@number=1]='3D' and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsOutOfPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsOutOfPlane" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsOutOfPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsOutOfPlane" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsOutOfPlane/'" name="description"/>
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsOutOfPlane" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'US'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(MRAcquisitionPhaseEncodingStepsOutOfPlane) &gt; 0">
<xslout:if test="number(MRAcquisitionPhaseEncodingStepsOutOfPlane/value)=0">
<xslout:text>Warning: MRFOVGeometryMacro/MRFOVGeometrySequence/MRAcquisitionPhaseEncodingStepsOutOfPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MRAcquisitionPhaseEncodingStepsOutOfPlane" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PercentSampling) &gt; 0">
<xslout:if test="number(PercentSampling/value)=0">
<xslout:text>Warning: MRFOVGeometryMacro/MRFOVGeometrySequence/PercentSampling/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PercentSampling" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRFOVGeometryMacro/MRFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PercentPhaseFieldOfView) &gt; 0">
<xslout:if test="number(PercentPhaseFieldOfView/value)=0">
<xslout:text>Warning: MRFOVGeometryMacro/MRFOVGeometrySequence/PercentPhaseFieldOfView/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PercentPhaseFieldOfView" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MREchoMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MREchoMacro/MREchoSequence/'" name="description"/>
<xslout:with-param select="MREchoSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MREchoSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MREchoMacro/MREchoSequence/EffectiveEchoTime/'" name="description"/>
<xslout:with-param select="EffectiveEchoTime" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MREchoMacro/MREchoSequence/EffectiveEchoTime/'" name="description"/>
<xslout:with-param select="EffectiveEchoTime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MREchoMacro/MREchoSequence/EffectiveEchoTime/'" name="description"/>
<xslout:with-param select="EffectiveEchoTime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MREchoMacro/MREchoSequence/EffectiveEchoTime/'" name="description"/>
<xslout:with-param select="EffectiveEchoTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(EffectiveEchoTime) &gt; 0">
<xslout:if test="number(EffectiveEchoTime/value)=0">
<xslout:text>Warning: MREchoMacro/MREchoSequence/EffectiveEchoTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EffectiveEchoTime" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRModifierMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/'" name="description"/>
<xslout:with-param select="MRModifierSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRModifierSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionRecovery/'" name="description"/>
<xslout:with-param select="InversionRecovery" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionRecovery/'" name="description"/>
<xslout:with-param select="InversionRecovery" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionRecovery/'" name="description"/>
<xslout:with-param select="InversionRecovery" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionRecovery/'" name="description"/>
<xslout:with-param select="InversionRecovery" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(InversionRecovery/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="InversionRecovery/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="InversionRecovery/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/InversionRecovery/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="InversionRecovery" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="InversionRecovery/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionTimes/'" name="description"/>
<xslout:with-param select="InversionTimes" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="InversionRecovery/value[@number=1]='YES' and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionTimes/'" name="description"/>
<xslout:with-param select="InversionTimes" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionTimes/'" name="description"/>
<xslout:with-param select="InversionTimes" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/InversionTimes/'" name="description"/>
<xslout:with-param select="InversionTimes" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(InversionTimes) &gt; 0">
<xslout:if test="InversionRecovery/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/InversionTimes/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="InversionTimes" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless InversionRecovery is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensation/'" name="description"/>
<xslout:with-param select="FlowCompensation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensation/'" name="description"/>
<xslout:with-param select="FlowCompensation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensation/'" name="description"/>
<xslout:with-param select="FlowCompensation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensation/'" name="description"/>
<xslout:with-param select="FlowCompensation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FlowCompensation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FlowCompensation/value[@number=1] = 'ACCELERATION'">T</xslout:when>
<xslout:when test="FlowCompensation/value[@number=1] = 'VELOCITY'">T</xslout:when>
<xslout:when test="FlowCompensation/value[@number=1] = 'OTHER'">T</xslout:when>
<xslout:when test="FlowCompensation/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRModifierMacro/MRModifierSequence/FlowCompensation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FlowCompensation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FlowCompensation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensationDirection/'" name="description"/>
<xslout:with-param select="FlowCompensationDirection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(FlowCompensation) &gt; 0 and FlowCompensation/value[@number=1]!='NONE') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensationDirection/'" name="description"/>
<xslout:with-param select="FlowCompensationDirection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensationDirection/'" name="description"/>
<xslout:with-param select="FlowCompensationDirection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/FlowCompensationDirection/'" name="description"/>
<xslout:with-param select="FlowCompensationDirection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FlowCompensationDirection) &gt; 0">
<xslout:if test="FlowCompensation/value[@number=1]='NONE'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/FlowCompensationDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FlowCompensationDirection" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless FlowCompensation is other than NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FlowCompensationDirection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'FREQUENCY'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'SLICE_SELECT'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'SLICE_AND_FREQ'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'SLICE_FREQ_PHASE'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'PHASE_AND_FREQ'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'SLICE_AND_PHASE'">T</xslout:when>
<xslout:when test="FlowCompensationDirection/value[@number=1] = 'OTHER'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/FlowCompensationDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FlowCompensationDirection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FlowCompensationDirection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/Spoiling/'" name="description"/>
<xslout:with-param select="Spoiling" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/EchoPulseSequence/value[@number=1]='GRADIENT' or /DicomObject/EchoPulseSequence/value[@number=1]='BOTH') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/Spoiling/'" name="description"/>
<xslout:with-param select="Spoiling" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/Spoiling/'" name="description"/>
<xslout:with-param select="Spoiling" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/Spoiling/'" name="description"/>
<xslout:with-param select="Spoiling" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(Spoiling) &gt; 0">
<xslout:if test="/DicomObject/EchoPulseSequence/value[@number=1]!='GRADIENT' and /DicomObject/EchoPulseSequence/value[@number=1]!='BOTH'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/Spoiling/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Spoiling" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless EchoPulseSequence is GRADIENT or BOTH</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(Spoiling/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Spoiling/value[@number=1] = 'RF'">T</xslout:when>
<xslout:when test="Spoiling/value[@number=1] = 'GRADIENT'">T</xslout:when>
<xslout:when test="Spoiling/value[@number=1] = 'RF_AND_GRADIENT'">T</xslout:when>
<xslout:when test="Spoiling/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/Spoiling/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Spoiling" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="Spoiling/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/T2Preparation/'" name="description"/>
<xslout:with-param select="T2Preparation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/T2Preparation/'" name="description"/>
<xslout:with-param select="T2Preparation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/T2Preparation/'" name="description"/>
<xslout:with-param select="T2Preparation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/T2Preparation/'" name="description"/>
<xslout:with-param select="T2Preparation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(T2Preparation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="T2Preparation/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="T2Preparation/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/T2Preparation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="T2Preparation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="T2Preparation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpectrallySelectedExcitation/'" name="description"/>
<xslout:with-param select="SpectrallySelectedExcitation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpectrallySelectedExcitation/'" name="description"/>
<xslout:with-param select="SpectrallySelectedExcitation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpectrallySelectedExcitation/'" name="description"/>
<xslout:with-param select="SpectrallySelectedExcitation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpectrallySelectedExcitation/'" name="description"/>
<xslout:with-param select="SpectrallySelectedExcitation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SpectrallySelectedExcitation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpectrallySelectedExcitation/value[@number=1] = 'WATER'">T</xslout:when>
<xslout:when test="SpectrallySelectedExcitation/value[@number=1] = 'FAT'">T</xslout:when>
<xslout:when test="SpectrallySelectedExcitation/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/SpectrallySelectedExcitation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpectrallySelectedExcitation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="SpectrallySelectedExcitation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpatialPresaturation/'" name="description"/>
<xslout:with-param select="SpatialPresaturation" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpatialPresaturation/'" name="description"/>
<xslout:with-param select="SpatialPresaturation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpatialPresaturation/'" name="description"/>
<xslout:with-param select="SpatialPresaturation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/SpatialPresaturation/'" name="description"/>
<xslout:with-param select="SpatialPresaturation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SpatialPresaturation/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="SpatialPresaturation/value[@number=1] = 'SLAB'">T</xslout:when>
<xslout:when test="SpatialPresaturation/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRModifierMacro/MRModifierSequence/SpatialPresaturation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpatialPresaturation" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="SpatialPresaturation/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourier/'" name="description"/>
<xslout:with-param select="PartialFourier" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourier/'" name="description"/>
<xslout:with-param select="PartialFourier" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourier/'" name="description"/>
<xslout:with-param select="PartialFourier" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourier/'" name="description"/>
<xslout:with-param select="PartialFourier" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PartialFourier/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PartialFourier/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="PartialFourier/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/PartialFourier/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PartialFourier" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PartialFourier/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourierDirection/'" name="description"/>
<xslout:with-param select="PartialFourierDirection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(PartialFourier) &gt; 0 and PartialFourier/value[@number=1]='YES') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourierDirection/'" name="description"/>
<xslout:with-param select="PartialFourierDirection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourierDirection/'" name="description"/>
<xslout:with-param select="PartialFourierDirection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/PartialFourierDirection/'" name="description"/>
<xslout:with-param select="PartialFourierDirection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PartialFourierDirection) &gt; 0">
<xslout:if test="PartialFourier/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/PartialFourierDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PartialFourierDirection" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless PartialFourier is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(PartialFourierDirection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="PartialFourierDirection/value[@number=1] = 'PHASE'">T</xslout:when>
<xslout:when test="PartialFourierDirection/value[@number=1] = 'FREQUENCY'">T</xslout:when>
<xslout:when test="PartialFourierDirection/value[@number=1] = 'SLICE_SELECT'">T</xslout:when>
<xslout:when test="PartialFourierDirection/value[@number=1] = 'COMBINATION'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/PartialFourierDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PartialFourierDirection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="PartialFourierDirection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisition/'" name="description"/>
<xslout:with-param select="ParallelAcquisition" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisition/'" name="description"/>
<xslout:with-param select="ParallelAcquisition" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisition/'" name="description"/>
<xslout:with-param select="ParallelAcquisition" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisition/'" name="description"/>
<xslout:with-param select="ParallelAcquisition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ParallelAcquisition/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ParallelAcquisition/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="ParallelAcquisition/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelAcquisition/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelAcquisition" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ParallelAcquisition/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/'" name="description"/>
<xslout:with-param select="ParallelAcquisitionTechnique" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(ParallelAcquisition) &gt; 0 and ParallelAcquisition/value[@number=1]='YES') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/'" name="description"/>
<xslout:with-param select="ParallelAcquisitionTechnique" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/'" name="description"/>
<xslout:with-param select="ParallelAcquisitionTechnique" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/'" name="description"/>
<xslout:with-param select="ParallelAcquisitionTechnique" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ParallelAcquisitionTechnique) &gt; 0">
<xslout:if test="ParallelAcquisition/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelAcquisitionTechnique" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless ParallelAcquisition is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ParallelAcquisitionTechnique/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ParallelAcquisitionTechnique/value[@number=1] = 'PILS'">T</xslout:when>
<xslout:when test="ParallelAcquisitionTechnique/value[@number=1] = 'SENSE'">T</xslout:when>
<xslout:when test="ParallelAcquisitionTechnique/value[@number=1] = 'SMASH'">T</xslout:when>
<xslout:when test="ParallelAcquisitionTechnique/value[@number=1] = 'OTHER'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelAcquisitionTechnique/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelAcquisitionTechnique" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ParallelAcquisitionTechnique/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorInPlane" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(ParallelAcquisition) &gt; 0 and ParallelAcquisition/value[@number=1]='YES') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorInPlane" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorInPlane" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorInPlane" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ParallelReductionFactorInPlane) &gt; 0">
<xslout:if test="ParallelAcquisition/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelReductionFactorInPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelReductionFactorInPlane" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless ParallelAcquisition is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorOutOfPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorOutOfPlane" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(ParallelAcquisition) &gt; 0 and ParallelAcquisition/value[@number=1]='YES') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorOutOfPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorOutOfPlane" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorOutOfPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorOutOfPlane" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorOutOfPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorOutOfPlane" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ParallelReductionFactorOutOfPlane) &gt; 0">
<xslout:if test="ParallelAcquisition/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelReductionFactorOutOfPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelReductionFactorOutOfPlane" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless ParallelAcquisition is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(count(ParallelAcquisition) &gt; 0 and ParallelAcquisition/value[@number=1]='YES' and SOPClassUID/value[@number=1]='1.2.740.10008.5.1.4.1.1.4.2') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/'" name="description"/>
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ParallelReductionFactorSecondInPlane) &gt; 0">
<xslout:if test="ParallelAcquisition/value[@number=1]!='YES'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless ParallelAcquisition is YES</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ParallelReductionFactorSecondInPlane) &gt; 0">
<xslout:if test="SOPClassUID/value[@number=1]!='1.2.740.10008.5.1.4.1.1.4.2'">
<xslout:text>Error: MRModifierMacro/MRModifierSequence/ParallelReductionFactorSecondInPlane/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ParallelReductionFactorSecondInPlane" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless SOP Class is Spectroscopy</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRImagingModifierMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/'" name="description"/>
<xslout:with-param select="MRImagingModifierSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRImagingModifierSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/MagnetizationTransfer/'" name="description"/>
<xslout:with-param select="MagnetizationTransfer" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/MagnetizationTransfer/'" name="description"/>
<xslout:with-param select="MagnetizationTransfer" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/MagnetizationTransfer/'" name="description"/>
<xslout:with-param select="MagnetizationTransfer" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/MagnetizationTransfer/'" name="description"/>
<xslout:with-param select="MagnetizationTransfer" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(MagnetizationTransfer/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MagnetizationTransfer/value[@number=1] = 'ON_RESONANCE'">T</xslout:when>
<xslout:when test="MagnetizationTransfer/value[@number=1] = 'OFF_RESONANCE'">T</xslout:when>
<xslout:when test="MagnetizationTransfer/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/MagnetizationTransfer/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MagnetizationTransfer" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MagnetizationTransfer/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/BloodSignalNulling/'" name="description"/>
<xslout:with-param select="BloodSignalNulling" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/BloodSignalNulling/'" name="description"/>
<xslout:with-param select="BloodSignalNulling" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/BloodSignalNulling/'" name="description"/>
<xslout:with-param select="BloodSignalNulling" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/BloodSignalNulling/'" name="description"/>
<xslout:with-param select="BloodSignalNulling" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(BloodSignalNulling/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="BloodSignalNulling/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="BloodSignalNulling/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/BloodSignalNulling/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="BloodSignalNulling" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="BloodSignalNulling/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/Tagging/'" name="description"/>
<xslout:with-param select="Tagging" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/Tagging/'" name="description"/>
<xslout:with-param select="Tagging" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/Tagging/'" name="description"/>
<xslout:with-param select="Tagging" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/Tagging/'" name="description"/>
<xslout:with-param select="Tagging" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(Tagging/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="Tagging/value[@number=1] = 'GRID'">T</xslout:when>
<xslout:when test="Tagging/value[@number=1] = 'LINE'">T</xslout:when>
<xslout:when test="Tagging/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRImagingModifierMacro/MRImagingModifierSequence/Tagging/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="Tagging" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="Tagging/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingFirstDimension/'" name="description"/>
<xslout:with-param select="TagSpacingFirstDimension" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(Tagging/value[@number=1]='GRID' or Tagging/value[@number=1]='LINE') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingFirstDimension/'" name="description"/>
<xslout:with-param select="TagSpacingFirstDimension" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingFirstDimension/'" name="description"/>
<xslout:with-param select="TagSpacingFirstDimension" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingFirstDimension/'" name="description"/>
<xslout:with-param select="TagSpacingFirstDimension" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TagSpacingFirstDimension) &gt; 0">
<xslout:if test="Tagging/value[@number=1]!='GRID' and Tagging/value[@number=1]!='LINE'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingFirstDimension/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagSpacingFirstDimension" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless Tagging is GRID or LINE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingSecondDimension/'" name="description"/>
<xslout:with-param select="TagSpacingSecondDimension" name="element"/>
<xslout:with-param select="'SS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(Tagging/value[@number=1]='GRID') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingSecondDimension/'" name="description"/>
<xslout:with-param select="TagSpacingSecondDimension" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingSecondDimension/'" name="description"/>
<xslout:with-param select="TagSpacingSecondDimension" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingSecondDimension/'" name="description"/>
<xslout:with-param select="TagSpacingSecondDimension" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TagSpacingSecondDimension) &gt; 0">
<xslout:if test="Tagging/value[@number=1]!='GRID'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/TagSpacingSecondDimension/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagSpacingSecondDimension" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless Tagging is GRID</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleFirstAxis/'" name="description"/>
<xslout:with-param select="TagAngleFirstAxis" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(Tagging/value[@number=1]='GRID' or Tagging/value[@number=1]='LINE') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleFirstAxis/'" name="description"/>
<xslout:with-param select="TagAngleFirstAxis" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleFirstAxis/'" name="description"/>
<xslout:with-param select="TagAngleFirstAxis" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleFirstAxis/'" name="description"/>
<xslout:with-param select="TagAngleFirstAxis" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TagAngleFirstAxis) &gt; 0">
<xslout:if test="Tagging/value[@number=1]!='GRID' and Tagging/value[@number=1]!='LINE'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/TagAngleFirstAxis/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagAngleFirstAxis" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless Tagging is GRID or LINE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleSecondAxis/'" name="description"/>
<xslout:with-param select="TagAngleSecondAxis" name="element"/>
<xslout:with-param select="'SS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(Tagging/value[@number=1]='GRID') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleSecondAxis/'" name="description"/>
<xslout:with-param select="TagAngleSecondAxis" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleSecondAxis/'" name="description"/>
<xslout:with-param select="TagAngleSecondAxis" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagAngleSecondAxis/'" name="description"/>
<xslout:with-param select="TagAngleSecondAxis" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TagAngleSecondAxis) &gt; 0">
<xslout:if test="Tagging/value[@number=1]!='GRID'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/TagAngleSecondAxis/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagAngleSecondAxis" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless Tagging is GRID</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/'" name="description"/>
<xslout:with-param select="TagThickness" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(Tagging/value[@number=1]='GRID' or Tagging/value[@number=1]='LINE') and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/'" name="description"/>
<xslout:with-param select="TagThickness" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/'" name="description"/>
<xslout:with-param select="TagThickness" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/'" name="description"/>
<xslout:with-param select="TagThickness" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TagThickness) &gt; 0">
<xslout:if test="Tagging/value[@number=1]!='GRID' and Tagging/value[@number=1]!='LINE'">
<xslout:text>Error: MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagThickness" name="node"/>
</xslout:call-template>
<xslout:text>: May not be present unless Tagging is GRID or LINE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(TagThickness) &gt; 0">
<xslout:if test="number(TagThickness/value)=0">
<xslout:text>Warning: MRImagingModifierMacro/MRImagingModifierSequence/TagThickness/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TagThickness" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TaggingDelay/'" name="description"/>
<xslout:with-param select="TaggingDelay" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TaggingDelay/'" name="description"/>
<xslout:with-param select="TaggingDelay" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/TransmitterFrequency/'" name="description"/>
<xslout:with-param select="TransmitterFrequency" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TransmitterFrequency) &gt; 0">
<xslout:if test="number(TransmitterFrequency/value)=0">
<xslout:text>Warning: MRImagingModifierMacro/MRImagingModifierSequence/TransmitterFrequency/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TransmitterFrequency" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/PixelBandwidth/'" name="description"/>
<xslout:with-param select="PixelBandwidth" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/PixelBandwidth/'" name="description"/>
<xslout:with-param select="PixelBandwidth" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/PixelBandwidth/'" name="description"/>
<xslout:with-param select="PixelBandwidth" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRImagingModifierMacro/MRImagingModifierSequence/PixelBandwidth/'" name="description"/>
<xslout:with-param select="PixelBandwidth" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(PixelBandwidth) &gt; 0">
<xslout:if test="number(PixelBandwidth/value)=0">
<xslout:text>Warning: MRImagingModifierMacro/MRImagingModifierSequence/PixelBandwidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="PixelBandwidth" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRReceiveCoilMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/'" name="description"/>
<xslout:with-param select="MRReceiveCoilSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRReceiveCoilSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilName/'" name="description"/>
<xslout:with-param select="ReceiveCoilName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilName/'" name="description"/>
<xslout:with-param select="ReceiveCoilName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilName/'" name="description"/>
<xslout:with-param select="ReceiveCoilName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilName/'" name="description"/>
<xslout:with-param select="ReceiveCoilName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilManufacturerName/'" name="description"/>
<xslout:with-param select="ReceiveCoilManufacturerName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilManufacturerName/'" name="description"/>
<xslout:with-param select="ReceiveCoilManufacturerName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilManufacturerName/'" name="description"/>
<xslout:with-param select="ReceiveCoilManufacturerName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilManufacturerName/'" name="description"/>
<xslout:with-param select="ReceiveCoilManufacturerName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilType/'" name="description"/>
<xslout:with-param select="ReceiveCoilType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilType/'" name="description"/>
<xslout:with-param select="ReceiveCoilType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilType/'" name="description"/>
<xslout:with-param select="ReceiveCoilType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilType/'" name="description"/>
<xslout:with-param select="ReceiveCoilType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReceiveCoilType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ReceiveCoilType/value[@number=1] = 'BODY'">T</xslout:when>
<xslout:when test="ReceiveCoilType/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="ReceiveCoilType/value[@number=1] = 'SURFACE'">T</xslout:when>
<xslout:when test="ReceiveCoilType/value[@number=1] = 'MULTICOIL'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRReceiveCoilMacro/MRReceiveCoilSequence/ReceiveCoilType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReceiveCoilType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ReceiveCoilType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/QuadratureReceiveCoil/'" name="description"/>
<xslout:with-param select="QuadratureReceiveCoil" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/QuadratureReceiveCoil/'" name="description"/>
<xslout:with-param select="QuadratureReceiveCoil" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/QuadratureReceiveCoil/'" name="description"/>
<xslout:with-param select="QuadratureReceiveCoil" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/QuadratureReceiveCoil/'" name="description"/>
<xslout:with-param select="QuadratureReceiveCoil" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(QuadratureReceiveCoil/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="QuadratureReceiveCoil/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="QuadratureReceiveCoil/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRReceiveCoilMacro/MRReceiveCoilSequence/QuadratureReceiveCoil/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="QuadratureReceiveCoil" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="QuadratureReceiveCoil/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:choose>
<xslout:when test="ReceiveCoilType/value[@number=1] = 'MULTICOIL' and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/'" name="description"/>
<xslout:with-param select="MultiCoilDefinitionSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/'" name="description"/>
<xslout:with-param select="MultiCoilDefinitionSequence" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/'" name="description"/>
<xslout:with-param select="MultiCoilDefinitionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MultiCoilDefinitionSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilElementName/'" name="description"/>
<xslout:with-param select="MultiCoilElementName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilElementName/'" name="description"/>
<xslout:with-param select="MultiCoilElementName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilElementUsed/'" name="description"/>
<xslout:with-param select="MultiCoilElementUsed" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilElementUsed/'" name="description"/>
<xslout:with-param select="MultiCoilElementUsed" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(MultiCoilElementUsed/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="MultiCoilElementUsed/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="MultiCoilElementUsed/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilElementUsed/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="MultiCoilElementUsed" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="MultiCoilElementUsed/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilConfiguration/'" name="description"/>
<xslout:with-param select="MultiCoilConfiguration" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType3Attribute">
<xslout:with-param select="'MRReceiveCoilMacro/MRReceiveCoilSequence/MultiCoilDefinitionSequence/MultiCoilConfiguration/'" name="description"/>
<xslout:with-param select="MultiCoilConfiguration" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRTransmitCoilMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/'" name="description"/>
<xslout:with-param select="MRTransmitCoilSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRTransmitCoilSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilName/'" name="description"/>
<xslout:with-param select="TransmitCoilName" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilName/'" name="description"/>
<xslout:with-param select="TransmitCoilName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilName/'" name="description"/>
<xslout:with-param select="TransmitCoilName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilName/'" name="description"/>
<xslout:with-param select="TransmitCoilName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilManufacturerName/'" name="description"/>
<xslout:with-param select="TransmitCoilManufacturerName" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilManufacturerName/'" name="description"/>
<xslout:with-param select="TransmitCoilManufacturerName" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilManufacturerName/'" name="description"/>
<xslout:with-param select="TransmitCoilManufacturerName" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilManufacturerName/'" name="description"/>
<xslout:with-param select="TransmitCoilManufacturerName" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilType/'" name="description"/>
<xslout:with-param select="TransmitCoilType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilType/'" name="description"/>
<xslout:with-param select="TransmitCoilType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilType/'" name="description"/>
<xslout:with-param select="TransmitCoilType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilType/'" name="description"/>
<xslout:with-param select="TransmitCoilType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TransmitCoilType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="TransmitCoilType/value[@number=1] = 'BODY'">T</xslout:when>
<xslout:when test="TransmitCoilType/value[@number=1] = 'VOLUME'">T</xslout:when>
<xslout:when test="TransmitCoilType/value[@number=1] = 'SURFACE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRTransmitCoilMacro/MRTransmitCoilSequence/TransmitCoilType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TransmitCoilType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="TransmitCoilType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRDiffusionMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/'" name="description"/>
<xslout:with-param select="MRDiffusionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRDiffusionSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionBValue/'" name="description"/>
<xslout:with-param select="DiffusionBValue" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionBValue/'" name="description"/>
<xslout:with-param select="DiffusionBValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionBValue/'" name="description"/>
<xslout:with-param select="DiffusionBValue" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionBValue/'" name="description"/>
<xslout:with-param select="DiffusionBValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DiffusionBValue) &gt; 0">
<xslout:if test="number(DiffusionBValue/value)=0">
<xslout:text>Warning: MRDiffusionMacro/MRDiffusionSequence/DiffusionBValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DiffusionBValue" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/'" name="description"/>
<xslout:with-param select="DiffusionDirectionality" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/'" name="description"/>
<xslout:with-param select="DiffusionDirectionality" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/'" name="description"/>
<xslout:with-param select="DiffusionDirectionality" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/'" name="description"/>
<xslout:with-param select="DiffusionDirectionality" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DiffusionDirectionality/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DiffusionDirectionality/value[@number=1] = 'DIRECTIONAL'">T</xslout:when>
<xslout:when test="DiffusionDirectionality/value[@number=1] = 'ISOTROPIC'">T</xslout:when>
<xslout:when test="DiffusionDirectionality/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DiffusionDirectionality" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="DiffusionDirectionality/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(DiffusionDirectionality) &gt; 0">
<xslout:if test="DiffusionDirectionality/value[@number=1] != 'NONE' and (DiffusionBValue/value[@number=1] = 0 or (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=4]='DIFFUSION_ANISO' or ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=4]='DIFFUSION_ANISO'))">
<xslout:text>Error: MRDiffusionMacro/MRDiffusionSequence/DiffusionDirectionality/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DiffusionDirectionality" name="node"/>
</xslout:call-template>
<xslout:text>: DiffusionDirectionality must be NONE when DiffusionBValue is 0 or FrameType value 4 is DIFFUSION_ANISO</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:choose>
<xslout:when test="MRDiffusionSequence/Item[@number=1]/DiffusionDirectionality/value[@number=1] = 'DIRECTIONAL'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/'" name="description"/>
<xslout:with-param select="DiffusionGradientDirectionSequence" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/'" name="description"/>
<xslout:with-param select="DiffusionGradientDirectionSequence" name="element"/>
<xslout:with-param select="''" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CSequenceAttributeRegardless">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/'" name="description"/>
<xslout:with-param select="DiffusionGradientDirectionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="DiffusionGradientDirectionSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/DiffusionGradientOrientation/'" name="description"/>
<xslout:with-param select="DiffusionGradientOrientation" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/DiffusionGradientOrientation/'" name="description"/>
<xslout:with-param select="DiffusionGradientOrientation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/DiffusionGradientOrientation/'" name="description"/>
<xslout:with-param select="DiffusionGradientOrientation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionGradientDirectionSequence/DiffusionGradientOrientation/'" name="description"/>
<xslout:with-param select="DiffusionGradientOrientation" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			</xslout:for-each>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionAnisotropyType/'" name="description"/>
<xslout:with-param select="DiffusionAnisotropyType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=4]='DIFFUSION_ANISO' or ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=4]='DIFFUSION_ANISO'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionAnisotropyType/'" name="description"/>
<xslout:with-param select="DiffusionAnisotropyType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionAnisotropyType/'" name="description"/>
<xslout:with-param select="DiffusionAnisotropyType" name="element"/>
<xslout:with-param select="'F'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRDiffusionMacro/MRDiffusionSequence/DiffusionAnisotropyType/'" name="description"/>
<xslout:with-param select="DiffusionAnisotropyType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DiffusionAnisotropyType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="DiffusionAnisotropyType/value[@number=1] = 'FRACTIONAL'">T</xslout:when>
<xslout:when test="DiffusionAnisotropyType/value[@number=1] = 'RELATIVE'">T</xslout:when>
<xslout:when test="DiffusionAnisotropyType/value[@number=1] = 'VOLUME_RATIO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRDiffusionMacro/MRDiffusionSequence/DiffusionAnisotropyType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DiffusionAnisotropyType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="DiffusionAnisotropyType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRAveragesMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRAveragesMacro/MRAveragesSequence/'" name="description"/>
<xslout:with-param select="MRAveragesSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRAveragesSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRAveragesMacro/MRAveragesSequence/NumberOfAverages/'" name="description"/>
<xslout:with-param select="NumberOfAverages" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRAveragesMacro/MRAveragesSequence/NumberOfAverages/'" name="description"/>
<xslout:with-param select="NumberOfAverages" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRAveragesMacro/MRAveragesSequence/NumberOfAverages/'" name="description"/>
<xslout:with-param select="NumberOfAverages" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRAveragesMacro/MRAveragesSequence/NumberOfAverages/'" name="description"/>
<xslout:with-param select="NumberOfAverages" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(NumberOfAverages) &gt; 0">
<xslout:if test="number(NumberOfAverages/value)=0">
<xslout:text>Warning: MRAveragesMacro/MRAveragesSequence/NumberOfAverages/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="NumberOfAverages" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRSpatialSaturationMacro">
		<xslout:call-template name="CheckType2SequenceAttribute">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/'" name="description"/>
<xslout:with-param select="MRSpatialSaturationSequence" name="element"/>
<xslout:with-param select="'0'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRSpatialSaturationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/SlabThickness/'" name="description"/>
<xslout:with-param select="SlabThickness" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/SlabThickness/'" name="description"/>
<xslout:with-param select="SlabThickness" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SlabThickness) &gt; 0">
<xslout:if test="number(SlabThickness/value)=0">
<xslout:text>Warning: MRSpatialSaturationMacro/MRSpatialSaturationSequence/SlabThickness/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SlabThickness" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/SlabOrientation/'" name="description"/>
<xslout:with-param select="SlabOrientation" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/SlabOrientation/'" name="description"/>
<xslout:with-param select="SlabOrientation" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/MidSlabPosition/'" name="description"/>
<xslout:with-param select="MidSlabPosition" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpatialSaturationMacro/MRSpatialSaturationSequence/MidSlabPosition/'" name="description"/>
<xslout:with-param select="MidSlabPosition" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRMetaboliteMapMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/'" name="description"/>
<xslout:with-param select="MRMetaboliteMapSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRMetaboliteMapSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/MetaboliteMapDescription/'" name="description"/>
<xslout:with-param select="MetaboliteMapDescription" name="element"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/MetaboliteMapDescription/'" name="description"/>
<xslout:with-param select="MetaboliteMapDescription" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/MetaboliteMapDescription/'" name="description"/>
<xslout:with-param select="MetaboliteMapDescription" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/MetaboliteMapDescription/'" name="description"/>
<xslout:with-param select="MetaboliteMapDescription" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'ST'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/MetaboliteCodeSequence/'" name="description"/>
<xslout:with-param select="MetaboliteCodeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MetaboliteCodeSequence/Item">
				<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CodeSequenceMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CodeSequenceMacro"/>
			</xslout:for-each>
			<xslout:call-template name="CheckType3SequenceAttribute">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/'" name="description"/>
<xslout:with-param select="ChemicalShiftSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="ChemicalShiftSequence/Item">
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMinimumIntegrationLimitInPPM/'" name="description"/>
<xslout:with-param select="ChemicalShiftMinimumIntegrationLimitInPPM" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMinimumIntegrationLimitInPPM/'" name="description"/>
<xslout:with-param select="ChemicalShiftMinimumIntegrationLimitInPPM" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(ChemicalShiftMinimumIntegrationLimitInPPM) &gt; 0">
<xslout:if test="number(ChemicalShiftMinimumIntegrationLimitInPPM/value)=0">
<xslout:text>Warning: MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMinimumIntegrationLimitInPPM/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ChemicalShiftMinimumIntegrationLimitInPPM" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
				<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMaximumIntegrationLimitInPPM/'" name="description"/>
<xslout:with-param select="ChemicalShiftMaximumIntegrationLimitInPPM" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMaximumIntegrationLimitInPPM/'" name="description"/>
<xslout:with-param select="ChemicalShiftMaximumIntegrationLimitInPPM" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
					<xslout:if test="count(ChemicalShiftMaximumIntegrationLimitInPPM) &gt; 0">
<xslout:if test="number(ChemicalShiftMaximumIntegrationLimitInPPM/value)=0">
<xslout:text>Warning: MRMetaboliteMapMacro/MRMetaboliteMapSequence/ChemicalShiftSequence/ChemicalShiftMaximumIntegrationLimitInPPM/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ChemicalShiftMaximumIntegrationLimitInPPM" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				
			</xslout:for-each>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRVelocityEncodingMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/'" name="description"/>
<xslout:with-param select="MRVelocityEncodingSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRVelocityEncodingSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingDirection/'" name="description"/>
<xslout:with-param select="VelocityEncodingDirection" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingDirection/'" name="description"/>
<xslout:with-param select="VelocityEncodingDirection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingDirection/'" name="description"/>
<xslout:with-param select="VelocityEncodingDirection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingDirection/'" name="description"/>
<xslout:with-param select="VelocityEncodingDirection" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMinimumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMinimumValue" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMinimumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMinimumValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMinimumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMinimumValue" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMinimumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMinimumValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMaximumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMaximumValue" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMaximumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMaximumValue" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMaximumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMaximumValue" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMaximumValue/'" name="description"/>
<xslout:with-param select="VelocityEncodingMaximumValue" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(VelocityEncodingMaximumValue) &gt; 0">
<xslout:if test="number(VelocityEncodingMaximumValue/value)=0">
<xslout:text>Warning: MRVelocityEncodingMacro/MRVelocityEncodingSequence/VelocityEncodingMaximumValue/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="VelocityEncodingMaximumValue" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRSpectroscopyFrameTypeMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/'" name="description"/>
<xslout:with-param select="MRSpectroscopyFrameTypeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRSpectroscopyFrameTypeSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="FrameType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=3] = 'SPECTROSCOPY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='ORIGINAL' and FrameType/value[@number=4]!='NONE'">
<xslout:text>Error: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='DERIVED' and FrameType/value[@number=4]='NONE'">
<xslout:text>Error: MRSpectroscopyFrameTypeMacro/MRSpectroscopyFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: MRSpectroscopyDescriptionAtFrameLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="MRSpectroscopyDescriptionAtFrameLevelMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="MRSpectroscopyFOVGeometryMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/'" name="description"/>
<xslout:with-param select="MRSpectroscopyFOVGeometrySequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="MRSpectroscopyFOVGeometrySequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionDataColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionDataColumns" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionDataColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionDataColumns" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionDataColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionDataColumns" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionDataColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionDataColumns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseRows/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseRows" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseRows/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseRows" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseRows/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseRows" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseRows/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseRows" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseColumns" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseColumns" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseColumns" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionPhaseColumns/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionPhaseColumns" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionOutOfPlanePhaseSteps/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionOutOfPlanePhaseSteps" name="element"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/MRAcquisitionType/value[@number=1]='PLANE' and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionOutOfPlanePhaseSteps/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionOutOfPlanePhaseSteps" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionOutOfPlanePhaseSteps/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionOutOfPlanePhaseSteps" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/SpectroscopyAcquisitionOutOfPlanePhaseSteps/'" name="description"/>
<xslout:with-param select="SpectroscopyAcquisitionOutOfPlanePhaseSteps" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'UL'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentSampling/'" name="description"/>
<xslout:with-param select="PercentSampling" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/MRImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'MRSpectroscopyFOVGeometryMacro/MRSpectroscopyFOVGeometrySequence/PercentPhaseFieldOfView/'" name="description"/>
<xslout:with-param select="PercentPhaseFieldOfView" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTImageFrameTypeMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTImageFrameTypeMacro/CTImageFrameTypeSequence/'" name="description"/>
<xslout:with-param select="CTImageFrameTypeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTImageFrameTypeSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/'" name="description"/>
<xslout:with-param select="FrameType" name="element"/>
<xslout:with-param select="'4'" name="vmmin"/>
<xslout:with-param select="'4'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=1] = 'ORIGINAL'">T</xslout:when>
<xslout:when test="FrameType/value[@number=1] = 'DERIVED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=2] = 'PRIMARY'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="2"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FrameType/value[@number=2]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=3] = 'ANGIO'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'FLUOROSCOPY'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'LOCALIZER'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'MOTION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'PERFUSION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'PRE_CONTRAST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'POST_CONTRAST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'REST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'STRESS'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'VOLUME'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'ATTENUATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'CARDIAC'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'CARDIAC_GATED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=3] = 'REFERENCE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="3"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=3]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FrameType/value[@number=4] = 'FILTERED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MEDIAN'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'ADDITION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'DIVISION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MASKED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MAXIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MEAN'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MINIMUM'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MTT'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'MULTIPLICATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RCBF'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RCBV'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'RESAMPLED'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'STD_DEVIATION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'SUBTRACTION'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'T_TEST'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'TTP'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'Z_SCORE'">T</xslout:when>
<xslout:when test="FrameType/value[@number=4] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="4"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FrameType/value[@number=4]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='ORIGINAL' and FrameType/value[@number=4]!='NONE'">
<xslout:text>Error: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must be NONE when value 1 is ORIGINAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FrameType) &gt; 0">
<xslout:if test="FrameType/value[@number=1]='DERIVED' and FrameType/value[@number=4]='NONE'">
<xslout:text>Error: CTImageFrameTypeMacro/CTImageFrameTypeSequence/FrameType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FrameType" name="node"/>
</xslout:call-template>
<xslout:text>: value 4 must not be NONE when value 1 is DERIVED</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:if test="$optionDescribeChecking='T'">
<xslout:text>Checking Macro: CommonCTMRImageDescriptionAtFrameLevelMacro</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
<xslout:call-template name="CommonCTMRImageDescriptionAtFrameLevelMacro"/>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTAcquisitionTypeMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/'" name="description"/>
<xslout:with-param select="CTAcquisitionTypeSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTAcquisitionTypeSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/'" name="description"/>
<xslout:with-param select="AcquisitionType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/'" name="description"/>
<xslout:with-param select="AcquisitionType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/'" name="description"/>
<xslout:with-param select="AcquisitionType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/'" name="description"/>
<xslout:with-param select="AcquisitionType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(AcquisitionType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="AcquisitionType/value[@number=1] = 'SEQUENCED'">T</xslout:when>
<xslout:when test="AcquisitionType/value[@number=1] = 'SPIRAL'">T</xslout:when>
<xslout:when test="AcquisitionType/value[@number=1] = 'CONSTANT_ANGLE'">T</xslout:when>
<xslout:when test="AcquisitionType/value[@number=1] = 'STATIONARY'">T</xslout:when>
<xslout:when test="AcquisitionType/value[@number=1] = 'FREE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="AcquisitionType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(AcquisitionType) &gt; 0">
<xslout:if test="AcquisitionType/value!='CONSTANT_ANGLE' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=3]='LOCALIZER'">
<xslout:text>Warning: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/AcquisitionType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="AcquisitionType" name="node"/>
</xslout:call-template>
<xslout:text>: expect AcquisitionType to be CONSTANT_ANGLE when FrameType value 3 is LOCALIZER</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/'" name="description"/>
<xslout:with-param select="TubeAngle" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and AcquisitionType/value='CONSTANT_ANGLE'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/'" name="description"/>
<xslout:with-param select="TubeAngle" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/'" name="description"/>
<xslout:with-param select="TubeAngle" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/'" name="description"/>
<xslout:with-param select="TubeAngle" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TubeAngle) &gt; 0">
<xslout:if test="AcquisitionType/value!='CONSTANT_ANGLE'">
<xslout:text>Error: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TubeAngle" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present unless AcquisitionType is CONSTANT_ANGLE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(TubeAngle) &gt; 0">
<xslout:if test="TubeAngle/value &lt; 0 and TubeAngle/value &gt; 360">
<xslout:text>Error: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/TubeAngle/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TubeAngle" name="node"/>
</xslout:call-template>
<xslout:text>: value should be between 0 and +360 degrees inclusive</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/ConstantVolumeFlag/'" name="description"/>
<xslout:with-param select="ConstantVolumeFlag" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/ConstantVolumeFlag/'" name="description"/>
<xslout:with-param select="ConstantVolumeFlag" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/ConstantVolumeFlag/'" name="description"/>
<xslout:with-param select="ConstantVolumeFlag" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/ConstantVolumeFlag/'" name="description"/>
<xslout:with-param select="ConstantVolumeFlag" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ConstantVolumeFlag/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ConstantVolumeFlag/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="ConstantVolumeFlag/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/ConstantVolumeFlag/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ConstantVolumeFlag" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="ConstantVolumeFlag/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/FluoroscopyFlag/'" name="description"/>
<xslout:with-param select="FluoroscopyFlag" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/FluoroscopyFlag/'" name="description"/>
<xslout:with-param select="FluoroscopyFlag" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/FluoroscopyFlag/'" name="description"/>
<xslout:with-param select="FluoroscopyFlag" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/FluoroscopyFlag/'" name="description"/>
<xslout:with-param select="FluoroscopyFlag" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FluoroscopyFlag/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FluoroscopyFlag/value[@number=1] = 'YES'">T</xslout:when>
<xslout:when test="FluoroscopyFlag/value[@number=1] = 'NO'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTAcquisitionTypeMacro/CTAcquisitionTypeSequence/FluoroscopyFlag/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FluoroscopyFlag" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="FluoroscopyFlag/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTAcquisitionDetailsMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/'" name="description"/>
<xslout:with-param select="CTAcquisitionDetailsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTAcquisitionDetailsSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/'" name="description"/>
<xslout:with-param select="RotationDirection" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/'" name="description"/>
<xslout:with-param select="RotationDirection" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/'" name="description"/>
<xslout:with-param select="RotationDirection" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/'" name="description"/>
<xslout:with-param select="RotationDirection" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RotationDirection) &gt; 0">
<xslout:if test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE')">
<xslout:text>Error: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RotationDirection" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if AcquisitionType is CONSTANT_ANGLE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(RotationDirection/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="RotationDirection/value[@number=1] = 'CW'">T</xslout:when>
<xslout:when test="RotationDirection/value[@number=1] = 'CC'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Error: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RotationDirection/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RotationDirection" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized enumerated value :</xslout:text>
<xslout:value-of select="RotationDirection/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/'" name="description"/>
<xslout:with-param select="RevolutionTime" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/'" name="description"/>
<xslout:with-param select="RevolutionTime" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/'" name="description"/>
<xslout:with-param select="RevolutionTime" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/'" name="description"/>
<xslout:with-param select="RevolutionTime" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RevolutionTime) &gt; 0">
<xslout:if test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE')">
<xslout:text>Error: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RevolutionTime" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if AcquisitionType is CONSTANT_ANGLE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(RevolutionTime) &gt; 0">
<xslout:if test="number(RevolutionTime/value)=0">
<xslout:text>Warning: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/RevolutionTime/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RevolutionTime" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/SingleCollimationWidth/'" name="description"/>
<xslout:with-param select="SingleCollimationWidth" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/SingleCollimationWidth/'" name="description"/>
<xslout:with-param select="SingleCollimationWidth" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/SingleCollimationWidth/'" name="description"/>
<xslout:with-param select="SingleCollimationWidth" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/SingleCollimationWidth/'" name="description"/>
<xslout:with-param select="SingleCollimationWidth" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SingleCollimationWidth) &gt; 0">
<xslout:if test="number(SingleCollimationWidth/value)=0">
<xslout:text>Warning: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/SingleCollimationWidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SingleCollimationWidth" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TotalCollimationWidth/'" name="description"/>
<xslout:with-param select="TotalCollimationWidth" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TotalCollimationWidth/'" name="description"/>
<xslout:with-param select="TotalCollimationWidth" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TotalCollimationWidth/'" name="description"/>
<xslout:with-param select="TotalCollimationWidth" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TotalCollimationWidth/'" name="description"/>
<xslout:with-param select="TotalCollimationWidth" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TotalCollimationWidth) &gt; 0">
<xslout:if test="number(TotalCollimationWidth/value)=0">
<xslout:text>Warning: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TotalCollimationWidth/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TotalCollimationWidth" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TableHeight/'" name="description"/>
<xslout:with-param select="TableHeight" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TableHeight/'" name="description"/>
<xslout:with-param select="TableHeight" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TableHeight/'" name="description"/>
<xslout:with-param select="TableHeight" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TableHeight/'" name="description"/>
<xslout:with-param select="TableHeight" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TableHeight) &gt; 0">
<xslout:if test="number(TableHeight/value)=0">
<xslout:text>Warning: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/TableHeight/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TableHeight" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/GantryDetectorTilt/'" name="description"/>
<xslout:with-param select="GantryDetectorTilt" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/GantryDetectorTilt/'" name="description"/>
<xslout:with-param select="GantryDetectorTilt" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/GantryDetectorTilt/'" name="description"/>
<xslout:with-param select="GantryDetectorTilt" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/GantryDetectorTilt/'" name="description"/>
<xslout:with-param select="GantryDetectorTilt" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(GantryDetectorTilt) &gt; 0">
<xslout:if test="GantryDetectorTilt/value &lt; -90 and GantryDetectorTilt/value &gt; 90">
<xslout:text>Error: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/GantryDetectorTilt/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="GantryDetectorTilt" name="node"/>
</xslout:call-template>
<xslout:text>: value should be between -90 and +90 degrees inclusive</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/DataCollectionDiameter/'" name="description"/>
<xslout:with-param select="DataCollectionDiameter" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/DataCollectionDiameter/'" name="description"/>
<xslout:with-param select="DataCollectionDiameter" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/DataCollectionDiameter/'" name="description"/>
<xslout:with-param select="DataCollectionDiameter" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/DataCollectionDiameter/'" name="description"/>
<xslout:with-param select="DataCollectionDiameter" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DataCollectionDiameter) &gt; 0">
<xslout:if test="number(DataCollectionDiameter/value)=0">
<xslout:text>Warning: CTAcquisitionDetailsMacro/CTAcquisitionDetailsSequence/DataCollectionDiameter/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DataCollectionDiameter" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTTableDynamicsMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/'" name="description"/>
<xslout:with-param select="CTTableDynamicsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTTableDynamicsSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/'" name="description"/>
<xslout:with-param select="TableSpeed" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and ((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE')) or (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL')))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/'" name="description"/>
<xslout:with-param select="TableSpeed" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/'" name="description"/>
<xslout:with-param select="TableSpeed" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/'" name="description"/>
<xslout:with-param select="TableSpeed" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TableSpeed) &gt; 0">
<xslout:if test="not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE')) and not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL'))">
<xslout:text>Error: CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TableSpeed" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if AcquisitionType is not CONSTANT_ANGLE or SPIRAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(TableSpeed) &gt; 0">
<xslout:if test="number(TableSpeed/value)=0">
<xslout:text>Warning: CTTableDynamicsMacro/CTTableDynamicsSequence/TableSpeed/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TableSpeed" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/'" name="description"/>
<xslout:with-param select="TableFeedPerRotation" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/'" name="description"/>
<xslout:with-param select="TableFeedPerRotation" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/'" name="description"/>
<xslout:with-param select="TableFeedPerRotation" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/'" name="description"/>
<xslout:with-param select="TableFeedPerRotation" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(TableFeedPerRotation) &gt; 0">
<xslout:if test="not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL'))">
<xslout:text>Error: CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TableFeedPerRotation" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if AcquisitionType is not SPIRAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(TableFeedPerRotation) &gt; 0">
<xslout:if test="number(TableFeedPerRotation/value)=0">
<xslout:text>Warning: CTTableDynamicsMacro/CTTableDynamicsSequence/TableFeedPerRotation/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="TableFeedPerRotation" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/'" name="description"/>
<xslout:with-param select="SpiralPitchFactor" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL'))">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/'" name="description"/>
<xslout:with-param select="SpiralPitchFactor" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/'" name="description"/>
<xslout:with-param select="SpiralPitchFactor" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/'" name="description"/>
<xslout:with-param select="SpiralPitchFactor" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(SpiralPitchFactor) &gt; 0">
<xslout:if test="not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='SPIRAL'))">
<xslout:text>Error: CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpiralPitchFactor" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if AcquisitionType is not SPIRAL</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(SpiralPitchFactor) &gt; 0">
<xslout:if test="number(SpiralPitchFactor/value)=0">
<xslout:text>Warning: CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpiralPitchFactor" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(SpiralPitchFactor) &gt; 0">
<xslout:if test="count(../../CTAcquisitionDetailsSequence) &gt; 0        and not (round(number(SpiralPitchFactor/value) * 100) = round(number(TableFeedPerRotation/value)       div number(../../CTAcquisitionDetailsSequence/Item[@number=1]/TotalCollimationWidth/value)       * 100))">
<xslout:text>Warning: CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpiralPitchFactor" name="node"/>
</xslout:call-template>
<xslout:text>: value inconsistent with TableFeedPerRotation and TotalCollimationWidth</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(SpiralPitchFactor) &gt; 0">
<xslout:if test="count(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionDetailsSequence) &gt; 0        and count(../../CTAcquisitionDetailsSequence) = 0        and not (round(number(SpiralPitchFactor/value) * 100) = round(number(TableFeedPerRotation/value)       div number(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionDetailsSequence/Item[@number=1]/TotalCollimationWidth/value)       * 100))">
<xslout:text>Warning: CTTableDynamicsMacro/CTTableDynamicsSequence/SpiralPitchFactor/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="SpiralPitchFactor" name="node"/>
</xslout:call-template>
<xslout:text>: value inconsistent with TableFeedPerRotation and TotalCollimationWidth</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTPositionMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/'" name="description"/>
<xslout:with-param select="CTPositionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTPositionSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/TablePosition/'" name="description"/>
<xslout:with-param select="TablePosition" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/TablePosition/'" name="description"/>
<xslout:with-param select="TablePosition" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/TablePosition/'" name="description"/>
<xslout:with-param select="TablePosition" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/TablePosition/'" name="description"/>
<xslout:with-param select="TablePosition" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/DataCollectionCenterPatient/'" name="description"/>
<xslout:with-param select="DataCollectionCenterPatient" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/DataCollectionCenterPatient/'" name="description"/>
<xslout:with-param select="DataCollectionCenterPatient" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/DataCollectionCenterPatient/'" name="description"/>
<xslout:with-param select="DataCollectionCenterPatient" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/DataCollectionCenterPatient/'" name="description"/>
<xslout:with-param select="DataCollectionCenterPatient" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/ReconstructionTargetCenterPatient/'" name="description"/>
<xslout:with-param select="ReconstructionTargetCenterPatient" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/ReconstructionTargetCenterPatient/'" name="description"/>
<xslout:with-param select="ReconstructionTargetCenterPatient" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/ReconstructionTargetCenterPatient/'" name="description"/>
<xslout:with-param select="ReconstructionTargetCenterPatient" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTPositionMacro/CTPositionSequence/ReconstructionTargetCenterPatient/'" name="description"/>
<xslout:with-param select="ReconstructionTargetCenterPatient" name="element"/>
<xslout:with-param select="'3'" name="vmmin"/>
<xslout:with-param select="'3'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTGeometryMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/'" name="description"/>
<xslout:with-param select="CTGeometrySequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTGeometrySequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDetector/'" name="description"/>
<xslout:with-param select="DistanceSourceToDetector" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDetector/'" name="description"/>
<xslout:with-param select="DistanceSourceToDetector" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDetector/'" name="description"/>
<xslout:with-param select="DistanceSourceToDetector" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDetector/'" name="description"/>
<xslout:with-param select="DistanceSourceToDetector" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DistanceSourceToDetector) &gt; 0">
<xslout:if test="number(DistanceSourceToDetector/value)=0">
<xslout:text>Warning: CTGeometryMacro/CTGeometrySequence/DistanceSourceToDetector/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DistanceSourceToDetector" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDataCollectionCenter/'" name="description"/>
<xslout:with-param select="DistanceSourceToDataCollectionCenter" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDataCollectionCenter/'" name="description"/>
<xslout:with-param select="DistanceSourceToDataCollectionCenter" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDataCollectionCenter/'" name="description"/>
<xslout:with-param select="DistanceSourceToDataCollectionCenter" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTGeometryMacro/CTGeometrySequence/DistanceSourceToDataCollectionCenter/'" name="description"/>
<xslout:with-param select="DistanceSourceToDataCollectionCenter" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(DistanceSourceToDataCollectionCenter) &gt; 0">
<xslout:if test="number(DistanceSourceToDataCollectionCenter/value)=0">
<xslout:text>Warning: CTGeometryMacro/CTGeometrySequence/DistanceSourceToDataCollectionCenter/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="DistanceSourceToDataCollectionCenter" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTReconstructionMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/'" name="description"/>
<xslout:with-param select="CTReconstructionSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTReconstructionSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAlgorithm/'" name="description"/>
<xslout:with-param select="ReconstructionAlgorithm" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAlgorithm/'" name="description"/>
<xslout:with-param select="ReconstructionAlgorithm" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAlgorithm/'" name="description"/>
<xslout:with-param select="ReconstructionAlgorithm" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAlgorithm/'" name="description"/>
<xslout:with-param select="ReconstructionAlgorithm" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReconstructionAlgorithm/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ReconstructionAlgorithm/value[@number=1] = 'FILTER_BACK_PROJ'">T</xslout:when>
<xslout:when test="ReconstructionAlgorithm/value[@number=1] = 'ITERATIVE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionAlgorithm/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionAlgorithm" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ReconstructionAlgorithm/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernel/'" name="description"/>
<xslout:with-param select="ConvolutionKernel" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernel/'" name="description"/>
<xslout:with-param select="ConvolutionKernel" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernel/'" name="description"/>
<xslout:with-param select="ConvolutionKernel" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernel/'" name="description"/>
<xslout:with-param select="ConvolutionKernel" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernelGroup/'" name="description"/>
<xslout:with-param select="ConvolutionKernelGroup" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="count(ConvolutionKernel) &gt; 0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernelGroup/'" name="description"/>
<xslout:with-param select="ConvolutionKernelGroup" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernelGroup/'" name="description"/>
<xslout:with-param select="ConvolutionKernelGroup" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernelGroup/'" name="description"/>
<xslout:with-param select="ConvolutionKernelGroup" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ConvolutionKernelGroup/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ConvolutionKernelGroup/value[@number=1] = 'BRAIN'">T</xslout:when>
<xslout:when test="ConvolutionKernelGroup/value[@number=1] = 'SOFT_TISSUE'">T</xslout:when>
<xslout:when test="ConvolutionKernelGroup/value[@number=1] = 'LUNG'">T</xslout:when>
<xslout:when test="ConvolutionKernelGroup/value[@number=1] = 'BONE'">T</xslout:when>
<xslout:when test="ConvolutionKernelGroup/value[@number=1] = 'CONSTANT_ANGLE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ConvolutionKernelGroup/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ConvolutionKernelGroup" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ConvolutionKernelGroup/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/'" name="description"/>
<xslout:with-param select="ReconstructionDiameter" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and count(ReconstructionFieldOfView)=0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/'" name="description"/>
<xslout:with-param select="ReconstructionDiameter" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/'" name="description"/>
<xslout:with-param select="ReconstructionDiameter" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/'" name="description"/>
<xslout:with-param select="ReconstructionDiameter" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReconstructionDiameter) &gt; 0">
<xslout:if test="count(ReconstructionFieldOfView) &gt; 0">
<xslout:text>Error: CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionDiameter" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if ReconstructionFieldOfView is present</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ReconstructionDiameter) &gt; 0">
<xslout:if test="number(ReconstructionFieldOfView/value)=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionDiameter/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionDiameter" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/'" name="description"/>
<xslout:with-param select="ReconstructionFieldOfView" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and count(ReconstructionDiameter)=0">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/'" name="description"/>
<xslout:with-param select="ReconstructionFieldOfView" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/'" name="description"/>
<xslout:with-param select="ReconstructionFieldOfView" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/'" name="description"/>
<xslout:with-param select="ReconstructionFieldOfView" name="element"/>
<xslout:with-param select="'2'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReconstructionFieldOfView) &gt; 0">
<xslout:if test="count(ReconstructionDiameter) &gt; 0">
<xslout:text>Error: CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionFieldOfView" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if ReconstructionDiameter is present</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ReconstructionFieldOfView) &gt; 0">
<xslout:if test="number(ReconstructionDiameter/value[@number=1])=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionFieldOfView" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ReconstructionFieldOfView) &gt; 0">
<xslout:if test="number(ReconstructionDiameter/value[@number=2])=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionFieldOfView/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionFieldOfView" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/'" name="description"/>
<xslout:with-param select="ReconstructionPixelSpacing" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/'" name="description"/>
<xslout:with-param select="ReconstructionPixelSpacing" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/'" name="description"/>
<xslout:with-param select="ReconstructionPixelSpacing" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/'" name="description"/>
<xslout:with-param select="ReconstructionPixelSpacing" name="element"/>
<xslout:with-param select="'2'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReconstructionPixelSpacing) &gt; 0">
<xslout:if test="number(ReconstructionPixelSpacing/value[@number=1])=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionPixelSpacing" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ReconstructionPixelSpacing) &gt; 0">
<xslout:if test="number(ReconstructionPixelSpacing/value[@number=2])=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionPixelSpacing/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionPixelSpacing" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/'" name="description"/>
<xslout:with-param select="ReconstructionAngle" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/'" name="description"/>
<xslout:with-param select="ReconstructionAngle" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/'" name="description"/>
<xslout:with-param select="ReconstructionAngle" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/'" name="description"/>
<xslout:with-param select="ReconstructionAngle" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ReconstructionAngle) &gt; 0">
<xslout:if test="not (/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') and number(ReconstructionAngle/value)=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionAngle" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct since AcquisitionType is not CONSTANT_ANGLE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(ReconstructionAngle) &gt; 0">
<xslout:if test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') or /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTAcquisitionTypeSequence/Item[@number=1]/AcquisitionType/value='CONSTANT_ANGLE') and number(ReconstructionAngle/value)!=0">
<xslout:text>Warning: CTReconstructionMacro/CTReconstructionSequence/ReconstructionAngle/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ReconstructionAngle" name="node"/>
</xslout:call-template>
<xslout:text>: value of other than 0 is not illegal, but is unlikely to be correct since AcquisitionType is CONSTANT_ANGLE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ImageFilter/'" name="description"/>
<xslout:with-param select="ImageFilter" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ImageFilter/'" name="description"/>
<xslout:with-param select="ImageFilter" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ImageFilter/'" name="description"/>
<xslout:with-param select="ImageFilter" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTReconstructionMacro/CTReconstructionSequence/ImageFilter/'" name="description"/>
<xslout:with-param select="ImageFilter" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTExposureMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/'" name="description"/>
<xslout:with-param select="CTExposureSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTExposureSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureTimeInms/'" name="description"/>
<xslout:with-param select="ExposureTimeInms" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureTimeInms/'" name="description"/>
<xslout:with-param select="ExposureTimeInms" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureTimeInms/'" name="description"/>
<xslout:with-param select="ExposureTimeInms" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureTimeInms/'" name="description"/>
<xslout:with-param select="ExposureTimeInms" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ExposureTimeInms) &gt; 0">
<xslout:if test="number(ExposureTimeInms/value)=0">
<xslout:text>Warning: CTExposureMacro/CTExposureSequence/ExposureTimeInms/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ExposureTimeInms" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/XrayTubeCurrentInmA/'" name="description"/>
<xslout:with-param select="XrayTubeCurrentInmA" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/XrayTubeCurrentInmA/'" name="description"/>
<xslout:with-param select="XrayTubeCurrentInmA" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/XrayTubeCurrentInmA/'" name="description"/>
<xslout:with-param select="XrayTubeCurrentInmA" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/XrayTubeCurrentInmA/'" name="description"/>
<xslout:with-param select="XrayTubeCurrentInmA" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(XrayTubeCurrentInmA) &gt; 0">
<xslout:if test="number(XrayTubeCurrentInmA/value)=0">
<xslout:text>Warning: CTExposureMacro/CTExposureSequence/XrayTubeCurrentInmA/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="XrayTubeCurrentInmA" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureInmAs/'" name="description"/>
<xslout:with-param select="ExposureInmAs" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureInmAs/'" name="description"/>
<xslout:with-param select="ExposureInmAs" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureInmAs/'" name="description"/>
<xslout:with-param select="ExposureInmAs" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureInmAs/'" name="description"/>
<xslout:with-param select="ExposureInmAs" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ExposureInmAs) &gt; 0">
<xslout:if test="number(ExposureInmAs/value)=0">
<xslout:text>Warning: CTExposureMacro/CTExposureSequence/ExposureInmAs/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ExposureInmAs" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureModulationType/'" name="description"/>
<xslout:with-param select="ExposureModulationType" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureModulationType/'" name="description"/>
<xslout:with-param select="ExposureModulationType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureModulationType/'" name="description"/>
<xslout:with-param select="ExposureModulationType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/ExposureModulationType/'" name="description"/>
<xslout:with-param select="ExposureModulationType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(ExposureModulationType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="ExposureModulationType/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTExposureMacro/CTExposureSequence/ExposureModulationType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="ExposureModulationType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="ExposureModulationType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/EstimatedDoseSaving/'" name="description"/>
<xslout:with-param select="EstimatedDoseSaving" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="(/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')) and ExposureModulationType/value!='NONE'">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/EstimatedDoseSaving/'" name="description"/>
<xslout:with-param select="EstimatedDoseSaving" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/EstimatedDoseSaving/'" name="description"/>
<xslout:with-param select="EstimatedDoseSaving" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType2CAttributeRegardless">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/EstimatedDoseSaving/'" name="description"/>
<xslout:with-param select="EstimatedDoseSaving" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(EstimatedDoseSaving) &gt; 0">
<xslout:if test="ExposureModulationType/value='NONE'">
<xslout:text>Error: CTExposureMacro/CTExposureSequence/EstimatedDoseSaving/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="EstimatedDoseSaving" name="node"/>
</xslout:call-template>
<xslout:text>: should not be present if ExposureModulationType is NONE</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/CTDIVol/'" name="description"/>
<xslout:with-param select="CTDIVol" name="element"/>
<xslout:with-param select="'FD'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType2Attribute">
<xslout:with-param select="'CTExposureMacro/CTExposureSequence/CTDIVol/'" name="description"/>
<xslout:with-param select="CTDIVol" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
				<xslout:if test="count(CTDIVol) &gt; 0">
<xslout:if test="number(CTDIVol/value)=0">
<xslout:text>Warning: CTExposureMacro/CTExposureSequence/CTDIVol/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="CTDIVol" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTXrayDetailsMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/'" name="description"/>
<xslout:with-param select="CTXrayDetailsSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="CTXrayDetailsSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/KVP/'" name="description"/>
<xslout:with-param select="KVP" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/KVP/'" name="description"/>
<xslout:with-param select="KVP" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/KVP/'" name="description"/>
<xslout:with-param select="KVP" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/KVP/'" name="description"/>
<xslout:with-param select="KVP" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(KVP) &gt; 0">
<xslout:if test="number(KVP/value)=0">
<xslout:text>Warning: CTXrayDetailsMacro/CTXrayDetailsSequence/KVP/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="KVP" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/'" name="description"/>
<xslout:with-param select="FocalSpot" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/'" name="description"/>
<xslout:with-param select="FocalSpot" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/'" name="description"/>
<xslout:with-param select="FocalSpot" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/'" name="description"/>
<xslout:with-param select="FocalSpot" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'2'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FocalSpot) &gt; 0">
<xslout:if test="number(KVP/value[@number=1])=0">
<xslout:text>Warning: CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FocalSpot" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
				<xslout:if test="count(FocalSpot) &gt; 0">
<xslout:if test="number(KVP/value[@number=2])=0">
<xslout:text>Warning: CTXrayDetailsMacro/CTXrayDetailsSequence/FocalSpot/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FocalSpot" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterType/'" name="description"/>
<xslout:with-param select="FilterType" name="element"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterType/'" name="description"/>
<xslout:with-param select="FilterType" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterType/'" name="description"/>
<xslout:with-param select="FilterType" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterType/'" name="description"/>
<xslout:with-param select="FilterType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'SH'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FilterType/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FilterType/value[@number=1] = 'WEDGE'">T</xslout:when>
<xslout:when test="FilterType/value[@number=1] = 'BUTTERFLY'">T</xslout:when>
<xslout:when test="FilterType/value[@number=1] = 'MULTIPLE'">T</xslout:when>
<xslout:when test="FilterType/value[@number=1] = 'FLAT'">T</xslout:when>
<xslout:when test="FilterType/value[@number=1] = 'SHAPED'">T</xslout:when>
<xslout:when test="FilterType/value[@number=1] = 'NONE'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTXrayDetailsMacro/CTXrayDetailsSequence/FilterType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FilterType" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FilterType/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterMaterial/'" name="description"/>
<xslout:with-param select="FilterMaterial" name="element"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
<xslout:choose>
<xslout:when test="/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL')">
<xslout:call-template name="CheckConditionalAttributeWhenConditionSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterMaterial/'" name="description"/>
<xslout:with-param select="FilterMaterial" name="element"/>
</xslout:call-template>
</xslout:when>
<xslout:otherwise>
<xslout:call-template name="CheckConditionalAttributeWhenConditionNotSatisfied">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterMaterial/'" name="description"/>
<xslout:with-param select="FilterMaterial" name="element"/>
<xslout:with-param select="'T'" name="mbpo"/>
</xslout:call-template>
</xslout:otherwise>
</xslout:choose>
<xslout:call-template name="CheckType1CAttributeRegardless">
<xslout:with-param select="'CTXrayDetailsMacro/CTXrayDetailsSequence/FilterMaterial/'" name="description"/>
<xslout:with-param select="FilterMaterial" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'n'" name="vmmax"/>
<xslout:with-param select="'CS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(FilterMaterial/value) &gt; 0">
<xslout:variable name="valuewasfound">
<xslout:choose>
<xslout:when test="FilterMaterial/value[@number=1] = 'MOLYBDENUM'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'ALUMINUM'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'COPPER'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'RHODIUM'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'NIOBIUM'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'EUROPIUM'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'LEAD'">T</xslout:when>
<xslout:when test="FilterMaterial/value[@number=1] = 'MIXED'">T</xslout:when>
<xslout:otherwise>F</xslout:otherwise>
</xslout:choose>
</xslout:variable>
<xslout:if test="$valuewasfound = 'F'">
<xslout:text>Warning: CTXrayDetailsMacro/CTXrayDetailsSequence/FilterMaterial/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="FilterMaterial" name="node"/>
</xslout:call-template>
<xslout:text>[</xslout:text>
<xslout:value-of select="1"/>
<xslout:text>]: </xslout:text>
<xslout:text>Unrecognized defined term :</xslout:text>
<xslout:value-of select="FilterMaterial/value[@number=1]"/>
<xslout:text>:</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
<xslout:template name="CTPixelValueTransformationMacro">
		<xslout:call-template name="CheckType1SequenceAttribute">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/'" name="description"/>
<xslout:with-param select="PixelValueTransformationSequence" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
</xslout:call-template>
<xslout:for-each select="PixelValueTransformationSequence/Item">
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleIntercept/'" name="description"/>
<xslout:with-param select="RescaleIntercept" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleIntercept/'" name="description"/>
<xslout:with-param select="RescaleIntercept" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/'" name="description"/>
<xslout:with-param select="RescaleSlope" name="element"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/'" name="description"/>
<xslout:with-param select="RescaleSlope" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'DS'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RescaleSlope) &gt; 0">
<xslout:if test="number(RescaleSlope/value)=0">
<xslout:text>Warning: CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleSlope/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RescaleSlope" name="node"/>
</xslout:call-template>
<xslout:text>: value of 0 is not illegal, but is unlikely to be correct</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
			<xslout:call-template name="CheckAttributeVR">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/'" name="description"/>
<xslout:with-param select="RescaleType" name="element"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
<xslout:call-template name="CheckType1Attribute">
<xslout:with-param select="'CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/'" name="description"/>
<xslout:with-param select="RescaleType" name="element"/>
<xslout:with-param select="'1'" name="vmmin"/>
<xslout:with-param select="'1'" name="vmmax"/>
<xslout:with-param select="'LO'" name="vr"/>
</xslout:call-template>
				<xslout:if test="count(RescaleType) &gt; 0">
<xslout:if test="RescaleType/value != 'HU' and ((/DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' and /DicomObject/SharedFunctionalGroupsSequence/Item[@number=1]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=3]!='LOCALIZER') or (name(../../..) = 'PerFrameFunctionalGroupsSequence' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' and ../../CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=3]!='LOCALIZER') or (name(../../..) = 'SharedFunctionalGroupsSequence' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=1]='ORIGINAL' and /DicomObject/PerFrameFunctionalGroupsSequence/Item[*]/CTImageFrameTypeSequence/Item[@number=1]/FrameType/value[@number=3]!='LOCALIZER'))">
<xslout:text>Error: CTPixelValueTransformationMacro/PixelValueTransformationSequence/RescaleType/: </xslout:text>
<xslout:call-template name="buildFullPathInInstanceToNamedChildOfCurrentNode">
<xslout:with-param select="RescaleType" name="node"/>
</xslout:call-template>
<xslout:text>: Only HU allowed for ORIGINAL images and frames unless LOCALIZERs</xslout:text>
<xslout:value-of select="$newline"/>
</xslout:if>
</xslout:if>
			
		</xslout:for-each>
	</xslout:template>
</xslout:stylesheet>
